# Sistema de inicio de sesión (Breeze Livewire)

Proyecto base de inicio de sesión (login) en **Laravel 10** utilizando **Laravel Livewire** que incluye las siguientes funcionalidades de autenticación:
* Inicio de sesión.
* Registro de usuario.
* Restablecimiento de contraseña
* Verificación de correo electrónico
* Confirmación de contraseña.
* Perfil del usuario.

Agregando personalización y funcionalidades adicionales como:
* Logo y colores representativos de la marca.
* Respuesta de excepciones.
* Cambio de lenguaje entre Español - Inglés.
* Mayor información del usuario.
* CRUD de usuarios en dashboard de administrador y tipo de documentos.
* CRUD de roles y permisos.
* CRUD de países, estados, ciudades y monedas.

## Construido con 🛠️

Las herramientas que utilice para crear este proyecto:

* Framework de PHP [Laravel](https://laravel.com/docs/10.x).
* Funciones de autenticación de Laravel: [Breeze](https://laravel.com/docs/10.x/starter-kits#breeze-and-next).
* Creador de interfaces dinámicas: [Livewire](https://laravel-livewire.com/).
* Framework de CSS: [TailwinCSS](https://tailwindcss.com/).

## Desarrollado por 👩‍💻

* **Susana Piñero** - *FrontEnd + BackEnd + Documentación* - GitLab: [susananzth](https://gitlab.com/susananzth) GitHub: [susananzth](https://github.com/susananzth)
