<?php

namespace App\Http\Controllers;

use App\Models\Imagen;
use App\Models\InformeInmuno;
use App\Models\Inmuno;
use App\Models\Medico;
use App\Models\Peticion;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use Barryvdh\DomPDF\Facade\Pdf as FacadePdf;
use Illuminate\Database\QueryException;

class InmunoController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //return response()->json($request);
        // Obtener datos del formulario
    $idpaciente = $request->input('idpaciente');
    $registro = $request->input('registro');
    $visita = $request->input('visita');
    $detalle = $request->input('detalle');
    $especimen = $request->input('especimen');
    $conclusion = $request->input('conclusion');
    $tipo = $request->input('tipo');
    $resultado = $request->input('resultado');
    $estado = $request->input('estado');
    $proveniencia = $request->input('proveniencia');
    $remitente = $request->input('remitente');
    $tipoPeticion = $request->input('tipoPeticion');
    // Calcular la longitud de $tipo (suponemos que ambos arrays tienen la misma longitud)
    $longitud = count($tipo);

    // Iniciar la transacción
    DB::beginTransaction();

    try {
        // Crear y guardar la Peticion
        $peticion = new Peticion();
        $peticion->registro = $registro;
        $peticion->visita = $visita;
        $peticion->idmedico = 1; // Suponemos que el idmedico es fijo o se obtiene de otro lugar
        $peticion->idpaciente = $idpaciente;
        $peticion->estado = 0;
        $peticion->proveniencia = $proveniencia;
        $peticion->remitente = $remitente;
        $peticion->tipo = 2;
        $peticion->save();

        // Crear y guardar el InformeInmuno
        $informeInmuno = new InformeInmuno();
        $informeInmuno->idpeticion = $peticion->id;
        $informeInmuno->detalle = $detalle;
        $informeInmuno->especimen = $especimen;
        $informeInmuno->conclusion = $conclusion;
        $informeInmuno->save();

        // Crear y guardar múltiples registros de Inmuno
        for ($i = 0; $i < $longitud; $i++) {
           
            $inmuno = new Inmuno();
            $inmuno->idpeticion = $peticion->id;
            $inmuno->tipo = $tipo[$i];
            $inmuno->resultado = $resultado[$i];
            $inmuno->save();
        }

        // Confirmar la transacción
        DB::commit();
        $figuras=$request->input('figura');
           $cont=0;
            if ($request->hasFile('ruta')) {
                $imagenes = $request->file('ruta');
                foreach ($imagenes as $imagen) {
                    $nombreImagen = time() . '_' . $imagen->getClientOriginalName();
                    $rutaImagen = $imagen->move(public_path('images'), $nombreImagen);
                Imagen::create([
                    'idpeticion' => $peticion->id,
                    'ruta' => 'images/' . $nombreImagen,
                    'figura'=>$figuras[$cont],
                ]);
                $cont=$cont+1;
                }
            }

        // Redirigir con mensaje de éxito
        session()->flash('success', 'Destino de Informe creado exitosamente.');
        return redirect()->route('inmunos.show', $peticion->id);
    } catch (\Exception $e) {
        // En caso de error, hacer rollback de la transacción
        DB::rollBack();
        session()->flash('error', 'Ocurrió un error al crear o actualizar el Destino de Informe: ' . $e->getMessage());
        return redirect()->back()->withInput();
    }    
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $datos = DB::table('peticiones')
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->where('peticiones.id', $id)
        ->select('peticiones.*', 'pacientes.*')
        ->get();
        $informeInmunos = InformeInmuno::where('idpeticion', $id)->get();
        $inmunos = Inmuno::where('idpeticion', $id)->get();
        $imagenes = Imagen::where('idpeticion',$id)->get();
        $medico=Medico::all();
        return view('inmuno.show',compact('datos','informeInmunos','inmunos','imagenes','id','medico'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function crearInmuno($id){
        $medico=DB::table('medicos')->select('medicos.*')->get();
        $datohoy=date("ymd".'%');
        $consultacont="SELECT COUNT(peticiones.registro) AS cantidad
        FROM peticiones
        WHERE peticiones.registro LIKE '".$datohoy."'";
        $consultacontdb=DB::select($consultacont);
        $hoy=date("ymd".str_pad($consultacontdb[0]->cantidad+1, 3, "0", STR_PAD_LEFT));
        $datos=DB::table('pacientes')->join('institucion','institucion.id','=','pacientes.idinstitucion')->where('pacientes.id','=',$id)->get();
        //return response()->json($medico);
        return view('inmuno.create',compact('datos','id','hoy','medico'));
    }

    public function inmunoPdf($id){
        $datosMedico=DB::table('medicos')->select('medicos.*')->get();
        $datosPaciente = Peticion::where('peticiones.id', $id)
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->select('peticiones.*', 'pacientes.*')
        ->first();
        //return response()->json($datosPaciente);
        $informeInmunos = InformeInmuno::where('idpeticion', $id)->get();
        $inmunos = Inmuno::where('idpeticion', $id)->get();
        $imagenes = Imagen::where('idpeticion',$id)->get();
        $nombrePdf='inmunohistoquimica_'.$datosPaciente->paterno." ".$datosPaciente->materno." ".$datosPaciente->nombre;
        $enlace=route('inmunoPdf',['dato'=>$id]);
        // Obtener el contenido del código QR
        QrCode::format('png')->size(450)->generate($enlace,'../public/qrcodes/'.$id.'.png');
        $codigoqr=$id;
        // Cargar la vista y pasar los datos
        $pdf = FacadePdf::loadView('inmuno.inmunoPdf', compact('datosMedico','datosPaciente','informeInmunos','imagenes','codigoqr','inmunos'))->setPaper('letter', 'portrait');
        // Descargar el PDF con un nombre específico
        $nombreArchivo = $nombrePdf . '.pdf';
        return $pdf->stream($nombreArchivo);
    }

    public function inmunoPdfUniversitario($id){
        $datosMedico=DB::table('medicos')->select('medicos.*')->get();
        $datosPaciente = Peticion::where('peticiones.id', $id)
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->select('peticiones.*', 'pacientes.*')
        ->first();
        //return response()->json($datosPaciente);
        $informeInmunos = InformeInmuno::where('idpeticion', $id)->get();
        $inmunos = Inmuno::where('idpeticion', $id)->get();
        $imagenes = Imagen::where('idpeticion',$id)->get();
        $nombrePdf='inmunohistoquimica_U_'.$datosPaciente->paterno." ".$datosPaciente->materno." ".$datosPaciente->nombre;
        $enlace=route('inmunoPdfUniversitario',['dato'=>$id]);
        // Obtener el contenido del código QR
        QrCode::format('png')->size(450)->generate($enlace,'../public/qrcodes/'.$id.'.png');
        $codigoqr=$id;
        // Cargar la vista y pasar los datos
        $pdf = FacadePdf::loadView('inmuno.inmunoUniPdf', compact('datosMedico','datosPaciente','informeInmunos','imagenes','codigoqr','inmunos'))->setPaper('letter', 'portrait');
        // Descargar el PDF con un nombre específico
        $nombreArchivo =  $nombrePdf . '.pdf';
        return $pdf->stream($nombreArchivo);
    }

    public function editarInmuno(Request $request, string $id)
    {
        //return response()->json($request);
        $detalle = $request->input('detalle');
        $especimen = $request->input('especimen');
        $conclusion = $request->input('conclusion');

        // Decodificar datos de la tabla enviados como JSON
        $datosTabla = json_decode($request->input('datosTabla'), true);
        //return response()->json($datosTabla);
        try {
            $informe = InformeInmuno::where('idpeticion', $id)->first();
            //return response()->json($informe);
            if ($informe) {
                //return response()->json($informes);
                $informe->detalle = $detalle;
                $informe->especimen = $especimen;
                $informe->conclusion = $conclusion;
                $informe->save();
            }
            // Manejar las imágenes
        $images = Imagen::where('idpeticion', $id)->get();
        $figura1 = $request->input('figura1');
        $figura2 = $request->input('figura2');
        
        if ($images->count() > 0) {
            // Actualizar imágenes existentes
            if ($request->hasFile('ruta1')) {
                $file1 = $request->file('ruta1');
                $filename1 = time() . '_' . $file1->getClientOriginalName();
                $file1->move(public_path('images'), $filename1);
                $images[0]->ruta = 'images/' . $filename1;
            }
            $images[0]->figura = $figura1;
            $images[0]->save();
        
            if ($request->hasFile('ruta2')) {
                $file2 = $request->file('ruta2');
                $filename2 = time() . '_' . $file2->getClientOriginalName();
                $file2->move(public_path('images'), $filename2);
        
                if (isset($images[1])) {
                    $images[1]->ruta = 'images/' . $filename2;
                    $images[1]->figura = $figura2;
                    $images[1]->save();
                } else {
                    $imagen = new Imagen();
                    $imagen->idpeticion = $id;
                    $imagen->figura = $figura2;
                    $imagen->ruta = 'images/' . $filename2;
                    $imagen->save();
                }
            } else if (isset($images[1])) {
                $images[1]->figura = $figura2;
                $images[1]->save();
            }
        } else {
            // Crear nuevas imágenes
            if ($request->hasFile('ruta1')) {
                $file1 = $request->file('ruta1');
                $filename1 = time() . '_' . $file1->getClientOriginalName();
                $file1->move(public_path('images'), $filename1);
        
                $imagen1 = new Imagen();
                $imagen1->idpeticion = $id;
                $imagen1->figura = $figura1;
                $imagen1->ruta = 'images/' . $filename1;
                $imagen1->save();
            }
        
            if ($request->hasFile('ruta2')) {
                $file2 = $request->file('ruta2');
                $filename2 = time() . '_' . $file2->getClientOriginalName();
                $file2->move(public_path('images'), $filename2);
        
                $imagen2 = new Imagen();
                $imagen2->idpeticion = $id;
                $imagen2->figura = $figura2;
                $imagen2->ruta = 'images/' . $filename2;
                $imagen2->save();
            }
        }
            // Procesar los datos de la tabla
            if (!empty($datosTabla)) {
                foreach ($datosTabla as $dato) {
                        $idtipo=$dato['id'];
                        $tipo = $dato['tipo'];
                        $resultado = $dato['resultado'];
                        if($idtipo !== null && is_numeric($idtipo)){
                            $registro = Inmuno::where('id', $idtipo)->first();
                            $registro->tipo = $tipo;
                            $registro->resultado = $resultado;
                            $registro->save();
                        }
                        else {
                            $nuevoRegistro = new Inmuno();
                            $nuevoRegistro->idpeticion = $id;
                            $nuevoRegistro->tipo = $idtipo;
                            $nuevoRegistro->resultado = $resultado;
                            $nuevoRegistro->save();
                        } 

                    } 
                }
            return response()->json(['message' => 'Informes actualizados correctamente'], 200);

        } catch (\Exception $e) {
            return response()->json(['error' => 'Error al editar informes: ' . $e->getMessage()], 500);
        }
    }

    public function historialInmuno($id){
        
        $datohoy=date("ymd".'%');
        $consultacont="SELECT COUNT(peticiones.registro) AS cantidad
        FROM peticiones
        WHERE peticiones.registro LIKE '".$datohoy."'";
        $consultacontdb=DB::select($consultacont);
        $hoy=date("ymd".str_pad($consultacontdb[0]->cantidad+1, 3, "0", STR_PAD_LEFT));
        $datos=DB::table('pacientes')->where('pacientes.id','=',$id)->get();
        return view('inmuno.resultadoHistorial',compact('datos','id','hoy'));
    }

    public function obtenerHistorialInmuno($id){
        $data = DB::table('peticiones')
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->join('institucion', 'institucion.id', '=', 'pacientes.idinstitucion')
        ->where('peticiones.idpaciente', $id)
        ->where('peticiones.tipo', 2)
        ->select('peticiones.*', 'institucion.nombreInstituto')
        ->orderBy('peticiones.visita','DESC')
        ->get();
        return response()->json($data);
    }
}
