<?php

namespace App\Http\Controllers;

use App\Models\CitoInterpretacion;
use App\Models\Medico;
use App\Models\Peticion;
use App\Models\ResultadoCitologico;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use Barryvdh\DomPDF\Facade\Pdf as FacadePdf;

class ResultadoCitologicoController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    { 
        //return response()->json($request);
        $idpaciente = $request->input('idpaciente');
        $registro = $request->input('registro');
        $visita = $request->input('visita');
        $examen = $request->input('examen');
        $calidad = $request->input('calidad');
        $comentario = $request->input('comentario');
        $descripcion = $request->input('descripcion');
        $proveniencia = $request->input('proveniencia');
        $remitente = $request->input('remitente');
        $longitud = count($descripcion);
        // Iniciar la transacción
        DB::beginTransaction();
        try {
                    // Crear y guardar la Peticion
            $peticion = new Peticion();
            $peticion->registro = $registro;
            $peticion->visita = $visita;
            $peticion->idmedico = 1; // Suponemos que el idmedico es fijo o se obtiene de otro lugar
            $peticion->idpaciente = $idpaciente;
            $peticion->estado = 0;
            $peticion->proveniencia = $proveniencia;
            $peticion->remitente = $remitente;
            $peticion->tipo = 3;
            $peticion->save();
            // Crear y guardar el InformeInmuno
            $citoIntepretacion = new CitoInterpretacion();
            $citoIntepretacion->idpeticion = $peticion->id;
            $citoIntepretacion->examen = $examen;
            $citoIntepretacion->comentario = $comentario;
            $citoIntepretacion->calidad = $calidad;
            $citoIntepretacion->save();
            for ($i = 0; $i < $longitud; $i++) {
            
                $resultado = new ResultadoCitologico();
                $resultado->idpeticion = $peticion->id;
                $resultado->descripcion = $descripcion[$i];
                $valor1="estado".$i+1;
                $valor=$request->$valor1;
                if($descripcion[$i]==="Cocos" 
                    || $descripcion[$i]==="Bacilos"
                    || $descripcion[$i]==="Neutrófilos"
                    || $descripcion[$i]==="Linfocitos"
                    || $descripcion[$i]==="Eritrocitos"
                    || $descripcion[$i]==="Eosinofilos"
                    || $descripcion[$i]==="Doederlein (Lactobacilo)"
                    || $descripcion[$i]==="Flora bacteriana mixta"
                    || $descripcion[$i]==="Gardenella Vaginalis"
                    || $descripcion[$i]==="Trichomona vaginalis"
                    || $descripcion[$i]==="Candida albicans"
                    || $descripcion[$i]==="Candida glabrata"
                    || $descripcion[$i]==="Herpes virus (HSV)"
                    || $descripcion[$i]==="Leptotix"
                    || $descripcion[$i]==="Chlamydia"
                    || $descripcion[$i]==="Otros"){
                    $valor2=$valor1."1";
                    $valorEstado=$request->$valor2;
                    if($valorEstado!=null){
                        $resultado->estado1=1;
                    }
                    else{
                        $resultado->estado1=0;
                    }
                    $valor3=$valor1."2";
                    $valorEstado=$request->$valor3;
                    if($valorEstado!=null){
                        $resultado->estado2=1;
                    }
                    else{
                        $resultado->estado2=0;
                    }
                    $valor4=$valor1."3";
                    $valorEstado=$request->$valor4;
                    if($valorEstado!=null){
                        $resultado->estado3=1;
                    }
                    else{
                        $resultado->estado3=0;
                    }
                    
                }
                else{
                    if($valor!=null){
                        $resultado->estado1=1;
                    }
                    else{
                        $resultado->estado1=0;
                    }
                }
                $resultado->save();
            }
            // Confirmar la transacción
            DB::commit();
            // Redirigir con mensaje de éxito
            session()->flash('success', 'Destino de Informe creado exitosamente.');
            return redirect()->route('citologicos.show', $peticion->id);
        }
        catch (\Exception $e) {
            // En caso de error, hacer rollback de la transacción
            DB::rollBack();
            session()->flash('error', 'Ocurrió un error al crear o actualizar el Destino de Informe: ' . $e->getMessage());
            return redirect()->back()->withInput();
        }   

       
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //return response()->json($id);
        $datos = DB::table('peticiones')
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->where('peticiones.id', $id)
        ->select('peticiones.*', 'pacientes.*')
        ->get();
        $CitoInterpretacion = CitoInterpretacion::where('idpeticion', $id)->get();
        $ResultadoCitologico = ResultadoCitologico::where('idpeticion', $id)->get();
        $medico=Medico::all();
        //return response()->json($CitoInterpretacion);
        return view('citologia.show',compact('datos','CitoInterpretacion','ResultadoCitologico','id','medico'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        for($i = 1; $i <= 20; $i++){
            $resultado = ResultadoCitologico::find($request->input('codigo'.$i));
        if ($resultado) {
            $resultado->estado1 = $request->input('estado'.$i);
            $resultado->save();
        }
        }
        for($i = 36; $i <= 40; $i++){
            $resultado = ResultadoCitologico::find($request->input('codigo'.$i));
        if ($resultado) {
            $resultado->estado1 = $request->input('estado'.$i);
            $resultado->save();
            }
        }
        for($i = 20; $i <= 35; $i++){
            $resultado = ResultadoCitologico::find($request->input('codigo'.$i));
            if ($resultado) {
                $resultado->estado1 = $request->input('estado'.$i.'1');
                $resultado->estado2 = $request->input('estado'.$i.'2');
                $resultado->estado3 = $request->input('estado'.$i.'3');
                $resultado->save();
                }
        }

        $interpretacion = CitoInterpretacion::find($request->input('idInterpretacion'));
        if ($interpretacion) {
            $interpretacion->examen = $request->input('examen');
            $interpretacion->calidad = $request->input('calidad');
            $interpretacion->comentario = $request->input('comentario');
            $interpretacion->save();
            }
        $peticion = Peticion::find($request->input('idpeticion'));
        if ($peticion) {
            $peticion->registro =$request->input('registro');
            $peticion->proveniencia =$request->input('proveniencia');
            $peticion->remitente = $request->input('remitente');
            $peticion->save();   
        }
        return response()->json(['message' => 'Informes actualizados correctamente'], 200);
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
    public function crearCitologia($id){
        $medico=DB::table('medicos')->select('medicos.*')->get();
        $datohoy=date("ymd".'%');
        $consultacont="SELECT COUNT(peticiones.registro) AS cantidad
        FROM peticiones
        WHERE peticiones.registro LIKE '".$datohoy."'";
        $consultacontdb=DB::select($consultacont);
        $hoy=date("ymd".str_pad($consultacontdb[0]->cantidad+1, 3, "0", STR_PAD_LEFT));
        $datos=DB::table('pacientes')->join('institucion','institucion.id','=','pacientes.idinstitucion')->where('pacientes.id','=',$id)->get();
        //return response()->json($medico);
        return view('citologia.create',compact('datos','id','hoy','medico'));
    }

    public function citologiaPdf($id){
        $datosMedico=DB::table('medicos')->select('medicos.*')->get();
        $datosPaciente = Peticion::where('peticiones.id', $id)
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->select('peticiones.*', 'pacientes.*')
        ->first();
        $datosInterpretacion=CitoInterpretacion::where('idpeticion',$id)->get();
        $ResultadoCitologico=ResultadoCitologico::where('idpeticion',$id)->get();
        //return response()->json($ResultadoCitologico);
        $nombrePdf='citologia_'.$datosPaciente->paterno." ".$datosPaciente->materno." ".$datosPaciente->nombre;
        $enlace=route('citologiaPdf',['dato'=>$id]);
        // Obtener el contenido del código QR
        QrCode::format('png')->size(450)->generate($enlace,'../public/qrcodes/'.$id.'.png');
        $codigoqr=$id;
        // Cargar la vista y pasar los datos
        $pdf = FacadePdf::loadView('citologia.citoPdf', compact('datosMedico','datosPaciente','codigoqr','datosInterpretacion','ResultadoCitologico'))->setPaper('letter', 'portrait');
        // Descargar el PDF con un nombre específico
        $nombreArchivo = $nombrePdf . '.pdf';
        return $pdf->stream($nombreArchivo);
    }

    public function citoPdfUniversitario($id){
        $datosMedico=DB::table('medicos')->select('medicos.*')->get();
        $datosPaciente = Peticion::where('peticiones.id', $id)
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->select('peticiones.*', 'pacientes.*')
        ->first();
        $datosInterpretacion=CitoInterpretacion::where('idpeticion',$id)->get();
        $ResultadoCitologico=ResultadoCitologico::where('idpeticion',$id)->get();
        //return response()->json($ResultadoCitologico);
        $nombrePdf='citologia_U_'.$datosPaciente->paterno." ".$datosPaciente->materno." ".$datosPaciente->nombre;
        $enlace=route('citoPdfUniversitario',['dato'=>$id]);
        // Obtener el contenido del código QR
        QrCode::format('png')->size(450)->generate($enlace,'../public/qrcodes/'.$id.'.png');
        $codigoqr=$id;
        // Cargar la vista y pasar los datos
        $pdf = FacadePdf::loadView('citologia.citoPdfUniversitario', compact('datosMedico','datosPaciente','codigoqr','datosInterpretacion','ResultadoCitologico'))->setPaper('letter', 'portrait');
        // Descargar el PDF con un nombre específico
        $nombreArchivo = $nombrePdf. '.pdf';
        return $pdf->stream($nombreArchivo);
    }

    public function historialCito($id){
        
        $datohoy=date("ymd".'%');
        $consultacont="SELECT COUNT(peticiones.registro) AS cantidad
        FROM peticiones
        WHERE peticiones.registro LIKE '".$datohoy."'";
        $consultacontdb=DB::select($consultacont);
        $hoy=date("ymd".str_pad($consultacontdb[0]->cantidad+1, 3, "0", STR_PAD_LEFT));
        $datos=DB::table('pacientes')->where('pacientes.id','=',$id)->get();
        return view('citologia.resultadoHistorial',compact('datos','id','hoy'));
    }
    public function obtenerHistorialCito($id){
        $data = DB::table('peticiones')
        ->join('pacientes', 'pacientes.id', '=', 'peticiones.idpaciente')
        ->join('institucion', 'institucion.id', '=', 'pacientes.idinstitucion')
        ->where('peticiones.idpaciente', $id)
        ->where('peticiones.tipo', 3)
        ->select('peticiones.*', 'institucion.nombreInstituto')
        ->orderBy('peticiones.visita','DESC')
        ->get();
        return response()->json($data);
    }

}
