<?php

namespace App\Http\Controllers;

use App\Models\Sexo;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SexoController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('sexo.index');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('sexo.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $rules = [
            'codigo' => 'required|string|max:255',
            'sexo' => 'required|string|max:255',
        ];
        $validatedData = $request->validate($rules);
        DB::beginTransaction();
        $sexo = new Sexo();
        $sexo->codigo = $validatedData['codigo'];
        $sexo->sexo = $validatedData['sexo'];
        $sexo->save();
        DB::commit();
        session()->flash('success', 'Sexo creado exitosamente.');
        return redirect()->route('sexos.index');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $Datos=Sexo::where('id',$id)->get();
        return response()->json($Datos);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request)
    {
         $sexoId = $request->input('id');
         $nuevosCodigo= $request->input('codigo');
         $nuevosSexo = $request->input('sexo');
 
         // Buscar el usuario por su ID
         $datoSexo = Sexo::find($sexoId);
 
         if ($datoSexo) {
             $datoSexo->codigo = $nuevosCodigo;
             $datoSexo->sexo = $nuevosSexo;
             $datoSexo->save();
 
             // Opcionalmente, puedes devolver una respuesta JSON
             return response()->json(['success' => true, 'message' => 'Sexo actualizado correctamente']);
         } else {
             // Si no se encuentra el usuario, devolver un mensaje de error
             return response()->json(['success' => false, 'message' => 'Sexo no encontrado'], 404);
         }
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $datos=Sexo::findOrFail($id);
        $datos->delete();
        return response()->json("elimando correctamente");
    }

    public function obtenerSexo(){
        $data = Sexo::all();
        return response()->json($data);
    }
}
