<?php

namespace App\Http\Controllers;

use App\Models\TipoPeticion;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class TipoPeticionController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('tipoPeticion.index');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return view('tipoPeticion.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //return response()->json($request);
        $rules = [
            'codigo' => 'required|string|max:255',
            'tipo' => 'required|string|max:500',
            'color' => 'required|string|max:500',
        ];
        $validatedData = $request->validate($rules);
        DB::beginTransaction();
        $tipoPeticion = new TipoPeticion();
        $tipoPeticion->codigo = $validatedData['codigo'];
        $tipoPeticion->tipo = $validatedData['tipo'];
        $tipoPeticion->color = $validatedData['color'];
        $tipoPeticion->save();
        DB::commit();
        session()->flash('success', 'Tipo de Peticion creado exitosamente.');
        return redirect()->route('tipopeticiones.index');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $Datos = TipoPeticion::select('tipo_peticion.*')
                    ->where('tipo_peticion.id',$id)
                    ->get();
        return response()->json($Datos);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $tipoPeticionId = $request->input('id');
        $codigo= $request->input('codigo');
        $tipo = $request->input('tipo');
        $color = $request->input('color');
        $datoTipoPeticion = TipoPeticion::find($tipoPeticionId);
 
         if ($datoTipoPeticion) {
             $datoTipoPeticion->codigo = $codigo;
             $datoTipoPeticion->tipo = $tipo;
             $datoTipoPeticion->color = $color;
             $datoTipoPeticion->save();
 
             // Opcionalmente, puedes devolver una respuesta JSON
             return response()->json(['success' => true, 'message' => 'Tipo de Peticion actualizado correctamente']);
         } else {
             // Si no se encuentra el usuario, devolver un mensaje de error
             return response()->json(['success' => false, 'message' => 'Tipo de Peticion no encontrado'], 404);
         }
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $datos=TipoPeticion::findOrFail($id);
        $datos->delete();
        return response()->json("elimando correctamente");
    }
    public function obtenerTipoPeticion(){
        $data = TipoPeticion::all();
        return response()->json($data);
    }
}
