<?php

namespace App\Http\Controllers;

use App\Http\Livewire\Roles;
use App\Models\Country;
use App\Models\DocumentType;
use App\Models\Role_user;
use App\Models\User;
use Illuminate\Support\Facades\Gate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class UsuarioController extends Controller
{

    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('user.index');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $roles = DB::table('roles')->get();
        return view('user.create',compact('roles'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $ultimo=DB::table('users')->orderBy('id','desc')->first();
        $rules = [
            'first_name' => 'required|string|max:255',
            'last_name' => 'required|string|max:255',
            'email' => 'required|email|unique:users,email|max:255',
            'password' => 'required|string|min:5',
            'role_id' => 'required|integer|exists:roles,id',
        ];
        
        $validatedData = $request->validate($rules);

            DB::beginTransaction();
            $user = new User();
            $user->first_name = $validatedData['first_name'];
            $user->last_name = $validatedData['last_name'];
            $user->email = $validatedData['email'];
            $user->password = Hash::make($validatedData['password']);
            $user->save();
            DB::commit();
            $ultimo=DB::table('users')->orderBy('id','desc')->first();
            DB::beginTransaction();
            $roles =new Role_user();
            $roles->role_id=$validatedData['role_id'];
            $roles->user_id=$ultimo->id;
            $roles->save();
            DB::commit();
            session()->flash('success', 'Usuario creado exitosamente.');
            return redirect()->route('usuarios.index');
               
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        DB::select('DELETE FROM role_user
                    WHERE user_id ='.$id);
        $datos=User::findOrFail($id);
        $datos->delete();
        return response()->json("elimando correctamente");
    }

    public function datosusuario(Request $request){
        $usuario=User::where('id',$request->id)->get();
        return response()->json($usuario);
    }
    public function actualizarusuario(Request $request){
        // Obtener los datos de la solicitud
        $userId = $request->input('id');
        $nuevosNombres = $request->input('first_name');
        $nuevosApellidos = $request->input('last_name');
        $nuevoCorreo = $request->input('email');

        // Buscar el usuario por su ID
        $usuario = User::find($userId);

        if ($usuario) {
            // Actualizar los datos del usuario
            $usuario->first_name = $nuevosNombres;
            $usuario->last_name = $nuevosApellidos;
            $usuario->email = $nuevoCorreo;
            $usuario->save();

            // Opcionalmente, puedes devolver una respuesta JSON
            return response()->json(['success' => true, 'message' => 'Usuario actualizado correctamente']);
        } else {
            // Si no se encuentra el usuario, devolver un mensaje de error
            return response()->json(['success' => false, 'message' => 'Usuario no encontrado'], 404);
        }
    }
}
