<?php

namespace App\Http\Livewire;

use App\Models\Ginecologia;
use App\Models\Obstetricia;
use App\Models\Paciente;
use App\Models\PacienteEstado;
use App\Models\Peticion;
use DB;
use Livewire\Component;

class EditarObstetricia extends Component
{
    public $id;
    public $nombre;
    public $edad;
    public $fecha_nacimiento;
    public $ci;
    public $nombreInstituto;
    public $diagnostico;
    public $sexo;
    public $paciente;
    public $peticion;
    public $proveniencia;

    //estado actual del paciente
    public $peso;
    public $talla;
    public $imc;
    public $pa;
    public $fc;
    public $fr;
    public $sat;
    public $temp;
    public $motivo;
    public $enfermedad;
    public $antecedentes;
    public $menarca;
    public $ritmo;
    public $mac;
    public $pap;
    public $fum;
    public $resultado_pap;
    public $gestas;
    public $partos;
    public $abortos;
    public $cesareas;
    public $fup;
    public $fuab;
    public $fuc;
    public $irs;
    public $psex;

    //Columna derecha
    public $semanas;
    public $dias;
    public $uterino;
    public $movilidad;
    public $peso_fetal;
    public $placenta;
    public $liq_amn;
    public $fcf;
    public $posicion;
    public $fecha_parto;
    public $presentacion;
    public $posicion_placenta;
    public $posicion_presentacion;
    public $ecografia;
    public $conclusion;
    public $tratamiento;
    public $control;
    public $tipo;
    public $visita;
    public $idpaciente;
    public $id_informe;


    protected $rules = [
        'peso' => 'nullable',
        'talla' => 'nullable',
        'imc' => 'nullable',
        'pa' => 'nullable',
        'fc' => 'nullable',
        'fr' => 'nullable',
        'sat' => 'nullable',
        'temp' => 'nullable',
        'motivo' => 'nullable',
        'enfermedad' => 'nullable',
        'antecedentes' => 'nullable',
        'menarca' => 'nullable',
        'ritmo' => 'nullable',
        'mac' => 'nullable',
        'pap' => 'nullable',
        'fum' => 'nullable',
        'resultado' => 'nullable',
        'gestas' => 'nullable',
        'partos' => 'nullable',
        'abortos' => 'nullable',
        'cesareas' => 'nullable',
        'fup' => 'nullable',
        'fuab' => 'nullable',
        'fuc' => 'nullable',
        'irs' => 'nullable',
        'psex' => 'nullable',
        'semanas' => 'nullable',
        'dias' => 'nullable',
        'uterino' => 'nullable',
        'movilidad' => 'nullable',
        'peso_fetal' => 'nullable',
        'placenta' => 'nullable',
        'liq_amn' => 'nullable',
        'fcf' => 'nullable',
        'posicion' => 'nullable',
        'fecha_parto' => 'nullable',
        'presentacion' => 'nullable',
        'posicion_placenta' => 'nullable',
        'posicion_presentacion' => 'nullable',
        'ecografia' => 'nullable',
        'conclusion' => 'nullable',
        'tratamiento' => 'nullable',
        'control' => 'nullable',
    ];
    public function mount($id)
    {
        $this->id = $id;
        $this->peticion = Peticion::find($id);
        $this->idpaciente = $this->peticion->idpaciente;
        $this->paciente = Paciente::where('id', $this->peticion->idpaciente)->first();
        $pacienteEstado = PacienteEstado::where('idpeticion', $this->peticion->id)->first();
        $ginecologia = Ginecologia::where('idpeticion', $this->peticion->id)->first();   
        $obstetricia = Obstetricia::where('idginecologia', $ginecologia->id)->first();
        $this->nombre = $this->getFullName();
        $this->proveniencia = $this->paciente->institucion->nombreInstituto ?? '';
        $this->diagnostico = $this->paciente->diagnostico ?? '';
        $this->tipo = 5;

        //Estado inicial para mostrar en el formulario
        $this->peso = $pacienteEstado->peso;
        $this->talla = $pacienteEstado->talla;
        $this->imc = $pacienteEstado->imc;
        $this->pa = $pacienteEstado->pa;
        $this->fc = $pacienteEstado->fc;
        $this->fr = $pacienteEstado->fr;
        $this->sat = $pacienteEstado->sat;
        $this->temp = $pacienteEstado->temp;
        $this->motivo = $ginecologia->motivo;
        $this->enfermedad = $ginecologia->enfermedad;
        $this->antecedentes = $ginecologia->antecedentes;
        $this->menarca = $ginecologia->menarca;
        $this->ritmo = $ginecologia->ritmo;
        $this->mac = $ginecologia->mac;
        $this->pap = $ginecologia->pap;
        $this->fum = $ginecologia->fum;
        $this->resultado_pap = $ginecologia->resultado_pap;
        $this->gestas = $ginecologia->gestas;
        $this->partos = $ginecologia->partos;
        $this->abortos = $ginecologia->abortos;
        $this->cesareas = $ginecologia->cesareas;
        $this->fup = $ginecologia->fup;
        $this->fuab = $ginecologia->fuab;
        $this->fuc = $ginecologia->fuc;
        $this->irs = $ginecologia->irs;
        $this->psex = $ginecologia->psex;
        $this->semanas = $obstetricia->semanas;
        $this->dias = $obstetricia->dias;
        $this->uterino = $obstetricia->uterino;
        $this->movilidad = $obstetricia->movilidad;
        $this->peso_fetal = $obstetricia->peso_fetal;
        $this->placenta = $obstetricia->placenta;
        $this->liq_amn = $obstetricia->liq_amn;
        $this->fcf = $obstetricia->fcf;
        $this->posicion = $obstetricia->posicion;
        $this->fecha_parto = $obstetricia->fecha_parto;
        $this->presentacion = $obstetricia->presentacion;
        $this->posicion_placenta = $obstetricia->posicion_placenta;
        $this->posicion_presentacion = $obstetricia->posicion_presentacion;
        $this->ecografia = $ginecologia->ecografia;
        $this->conclusion = $ginecologia->conclusion;
        $this->tratamiento = $ginecologia->tratamiento;
        $this->control = $ginecologia->control;
        $this->visita = now();
    }
    public function submit()
    {
        // Iniciar la transacción
        DB::beginTransaction();

        try {
            // Actualizar el registro existente
            $peticion = Peticion::find($this->id);
            //$peticion->registro = $registro;
            $peticion->visita = $this->visita;
            $peticion->idmedico = 1; // Suponemos que el idmedico es fijo o se obtiene de otro lugar
            $peticion->idpaciente = $this->idpaciente;
            $peticion->estado = 0;
            $peticion->proveniencia = $this->proveniencia;
            //$peticion->remitente = $remitente;
            $peticion->tipo = $this->tipo;
            $peticion->save();

            $estadoPaciente = PacienteEstado::where('idpeticion', $peticion->id)->first();
            $estadoPaciente->idpeticion = $peticion->id;
            $estadoPaciente->peso = $this->peso;
            $estadoPaciente->talla = $this->talla;
            $estadoPaciente->imc = $this->imc;
            $estadoPaciente->pa = $this->pa;
            $estadoPaciente->fc = $this->fc;
            $estadoPaciente->fr = $this->fr;
            $estadoPaciente->sat = $this->sat;
            $estadoPaciente->temp = $this->temp;
            $estadoPaciente->save();

            $estadoPaciente->save();

            $paciente = Paciente::find($this->idpaciente);
            $paciente->diagnostico = $this->diagnostico;
            $paciente->save();
            

            $ginecologia = Ginecologia::where('idpeticion', $peticion->id)->first();
            $ginecologia->idpeticion = $peticion->id;
            $ginecologia->motivo = $this->motivo;
            $ginecologia->enfermedad = $this->enfermedad;
            $ginecologia->antecedentes = $this->antecedentes;
            $ginecologia->menarca = $this->menarca;
            $ginecologia->ritmo = $this->ritmo;
            $ginecologia->mac = $this->mac;
            $ginecologia->pap = $this->pap;
            $ginecologia->fum = $this->fum;
            $ginecologia->gestas = $this->gestas;
            $ginecologia->partos = $this->partos;
            $ginecologia->abortos = $this->abortos;
            $ginecologia->cesareas = $this->cesareas;
            $ginecologia->irs = $this->irs;
            $ginecologia->fup = $this->fup;
            $ginecologia->fuab = $this->fuab;
            $ginecologia->fuc = $this->fuc;
            $ginecologia->resultado_pap = $this->resultado_pap;
            $ginecologia->psex = $this->psex;
            $ginecologia->ecografia = $this->ecografia;
            $ginecologia->conclusion = $this->conclusion;
            $ginecologia->tratamiento = $this->tratamiento;
            $ginecologia->control = $this->control;

            $ginecologia->save();
            if ($this->tipo == 5) {
                $obstetricia = Obstetricia::where('idginecologia', $ginecologia->id)->first();
                $obstetricia->idginecologia = $ginecologia->id;
                $obstetricia->semanas = $this->semanas;
                $obstetricia->dias = $this->dias;
                $obstetricia->uterino = $this->uterino;
                $obstetricia->movilidad = $this->movilidad;
                $obstetricia->peso_fetal = $this->peso_fetal;
                $obstetricia->posicion = $this->posicion;
                $obstetricia->placenta = $this->placenta;
                $obstetricia->liq_amn = $this->liq_amn;
                $obstetricia->fcf = $this->fcf;
                $obstetricia->presentacion = $this->presentacion;
                $obstetricia->fecha_parto = $this->fecha_parto;
                $obstetricia->posicion_placenta = $this->posicion_placenta;
                $obstetricia->posicion_presentacion = $this->posicion_presentacion;                
                $obstetricia->save();
            }
            // Confirmar la transacción
            DB::commit();
            session()->flash('success', 'Registro actualizado exitosamente.');
            $this->dispatch('mostrarAlerta','Información editada correctamente'); 
            //return redirect()->route('obstetricia.show', $obstetricia->id);
        } catch (\Exception $e) {
            // En caso de error, hacer rollback de la transacción
            DB::rollBack();
            session()->flash('error', 'Ocurrió un error al actualizar el registro: ' . $e->getMessage());
            return redirect()->back()->withInput();
        }

    }
    protected function getFullName()
{
    return trim(($this->paciente->paterno ?? '') . ' ' . ($this->paciente->materno ?? '') . ' ' . ($this->paciente->nombre ?? ''));
}
    public function render()
    {
        return view('livewire.editar-obstetricia');
    }
}
