<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Ginecologia extends Model
{
    use HasFactory;
    protected $table = 'ginecologia'; 
    protected $fillable=[
        'idpeticion',
        'motivo',
        'enfermedad',
        'antecedentes',
        'menarca',
        'ritmo',
        'mac',
        'pap',
        'fum',
        'gestas',
        'partos',
        'abortos',
        'cesareas',
        'irs',
        'fup',
        'fuab',
        'fuc',
        'resultado_pap',
        'psex',
        'ecografia',
        'conclusion',
        'tratamiento',
        'control',
        'utero',
        'trompas',
        'ovarioder',
        'ovarioizq',
        'otros',
        'imagen1',
        'imagen2',
        'descripcion_imagenes',
        'antecedentes_familiares'
    ];

    //relacion con informe_ginecologia
    public function informe()
    {
        return $this->hasOne(InformeGinecologia::class, 'idginecologia', 'id');
    }

    //relacion con examen_ginecologico
    public function examen()
    {
        return $this->hasOne(ExamenGinecologo::class, 'idginecologia', 'id');
    }
    //relacion con informe_fertilidad
    public function informeFertilidad()
    {
        return $this->hasOne(InformeFertilidad::class, 'idginecologia', 'id');
    }
    public function perfilHormonal(){
        return $this->hasMany(PerfilHormonal::class, 'idginecologia', 'id');
    }

    //relacion con peticion
    public function peticion()
    {
        return $this->belongsTo(Peticion::class, 'idpeticion', 'id');
    }

    public function obstetricia()
    {
        return $this->hasOne(Obstetricia::class, 'idginecologia', 'id');
    }
}
