<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InformeFertilidad extends Model
{
    use HasFactory;

    protected $table = 'informe_fertilidad';

    protected $fillable = [
        'id',
        'idginecologia',
        'antecedentes_pareja',
        'antecedentes_patologicos',
        'antecedentes_ginecologicos',
        'cirugias',
        'convivencia',
        'busqueda',
        'ecografia',
        'diagnostico',
        'observaciobes'
    ];


    //relacion con ginecologia
    public function ginecologia()
    {
        return $this->belongsTo(Ginecologia::class, 'idginecologia', 'id');
    }
    
}
