<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Paciente extends Model
{
    use HasFactory;
    protected $table = 'pacientes';
    protected $fillable = ['historial', 'codigoPaciente', 'paterno', 'materno', 'nombre', 'nacimiento', 'sexo', 'direccion', 'profesion', 'residencia', 'civil', 'ci', 'telefono', 'alergia', 'comorbilidad', 'procedencia', 'familiar1', 'telefono1', 'familiar2', 'telefono2', 'sanguineo', 'diagnostico', 'deceso', 'fecha_diagnostico', 'fecha_deceso', 'edad', 'asegurado1', 'idinstitucion', 'idseguro'];

    public function institucion()
    {
        return $this->belongsTo(Institucion::class, 'idinstitucion');
    }

    public function seguro()
    {
        return $this->belongsTo(Seguro::class, 'idseguro');
    }
    public function peticiones()
    {
        return $this->hasMany(Peticion::class, 'idpaciente');
    }

    public function diagnosticos()
    {
        return $this->hasMany(Diagnostico::class, 'idpaciente');
    }

    public function pareja()
    {
        return $this->hasOne(Pareja::class, 'idpaciente');
    }
    //Examenes
    public function examenes()
    {
        return $this->hasMany(ExamenRealizado::class, 'idpaciente');
    }
}
