<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Peticion extends Model
{
    use HasFactory;
    protected $table = 'peticiones'; 
    protected $fillable=['registro','visita','idmedico','idpaciente','proveniencia','remitente','tipo','estado','validado'];
    public function paciente()
    {
        return $this->belongsTo(Paciente::class, 'idpaciente');
    }

    public function pacienteEstado()
    {
        return $this->hasOne(PacienteEstado::class, 'idpeticion');
    }  

    //relacion con ginecologia
    public function ginecologia()
    {
        return $this->hasOne(Ginecologia::class, 'idpeticion', 'id');
    }
}
