<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\City;

class CitySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $cities = [
            ['state_id' => 1, 'name' => 'Guayaramerín', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Cercado', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia General José Ballivián', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Iténez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Mamoré', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Marbán', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Moxos', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Vaca Diez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Provincia Yacuma', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Reyes', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Riberalta', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Rurrenabaque', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'San Borja', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'San Ramón', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Santa Ana de Yacuma', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Santa Rosa', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 1, 'name' => 'Trinidad', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 2, 'name' => 'Challapata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Huanuni', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Litoral de Atacama', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Machacamarca', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Nor Carangas Province', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Oruro', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Poopó', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Avaroa', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Carangas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Cercado', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Ladislao Cabrera', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Pantaleón Dalence', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Poopó', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Sabaya', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Sajama', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia San Pedro de Totora', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Saucari', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Provincia Tomás Barron', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Puerto de Mejillones', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Sebastian Pagador Province', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Sud Carangas Province', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 2, 'name' => 'Totoral', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 3, 'name' => 'Abapó', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Ascención de Guarayos', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Ascensión', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Boyuibe', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Buena Vista', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Camiri', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Charagua', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Comarapa', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 3, 'name' => 'Concepción', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 4, 'name' => 'Bermejo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Entre Ríos', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Provincia Arce', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Provincia Avilez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Provincia Cercado', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Provincia Gran Chaco', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Provincia Méndez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Provincia O’Connor', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Tarija', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Villamontes', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 4, 'name' => 'Yacuiba', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 5, 'name' => 'Cobija', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 5, 'name' => 'Provincia Abuná', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 5, 'name' => 'Provincia General Federico Román', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 5, 'name' => 'Provincia Madre de Dios', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 5, 'name' => 'Provincia Manuripi', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 5, 'name' => 'Provincia Nicolás Suárez', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 6, 'name' => 'Achacachi', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Amarete', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Batallas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Caranavi', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Chulumani', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Colquiri', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Coripata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Coroico', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Curahuara de Carangas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Eucaliptus', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Guanay', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Huarina', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Huatajata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'José Manuel Pando', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'La Paz', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Lahuachaca', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Mapiri', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Patacamaya', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Aroma', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Bautista Saavedra', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Camacho', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Franz Tamayo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Gualberto Villarroel', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Ingavi', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Inquisivi', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Iturralde', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Larecaja', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Loayza', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Los Andes', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Manco Kapac', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Murillo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Muñecas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Nor Yungas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Omasuyos', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Pacajes', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Provincia Sud Yungas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Quime', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'San Pablo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'San Pedro', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Sorata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Tiahuanaco', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Viloco', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 6, 'name' => 'Yumani', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 7, 'name' => 'Aiquile', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Arani', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Bolivar', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Capinota', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Chimoré', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Cliza', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Cochabamba', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Colchani', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Colomi', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Independencia', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Irpa Irpa', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Mizque', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Arani', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Arque', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Ayopaya', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Campero', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Capinota', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Carrasco', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Cercado', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Chaparé', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Esteban Arce', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Germán Jordán', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Mizque', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Punata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Quillacollo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Provincia Tapacarí', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Punata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Quillacollo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Sacaba', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Sipe Sipe', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Tarata', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Tiquipaya', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Tiraque Province', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 7, 'name' => 'Totora', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 8, 'name' => 'Camargo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Monteagudo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Padilla', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Azurduy', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Belisario Boeto', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Hernando Siles', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Luis Calvo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Nor Cinti', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Oropeza', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Sud Cinti', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Tomina', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Yamparáez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Provincia Zudáñez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Sucre', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 8, 'name' => 'Tarabuco', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 9, 'name' => 'Atocha', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Betanzos', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Colchani', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Colquechaca', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Enrique Baldivieso', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Llallagua', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Potosí', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Alonzo de Ibáñez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Charcas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Chayanta', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Daniel Campos', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia General Bilbao', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Linares', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Modesto Omiste', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Nor Chichas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Nor Lípez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Quijarro', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Rafael Bustillo', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Saavedra', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Sud Chichas', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Sud Lípez', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Provincia Tomás Frías', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Santa Bárbara', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Tupiza', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Uyuni', 'created_at' => now(), 'updated_at' => now(), ],
            ['state_id' => 9, 'name' => 'Villazón', 'created_at' => now(), 'updated_at' => now(), ],

            ['state_id' => 10, 'name' => 'Armenia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Buenavista', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Calarca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Circasia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Córdoba', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Filandia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Génova', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'La Tebaida', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Montenegro', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Pijao', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Quimbaya', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 10, 'name' => 'Salento', 'created_at' => now(), 'updated_at' => now(),],

            ['state_id' => 11, 'name' => 'Agua de Dios', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Albán', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Anapoima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Anolaima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Apulo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Arbeláez', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Beltrán', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Bituima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Bojacá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Cabrera', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Cachipay', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Cajicá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Caparrapí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Caqueza', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Carmen de Carupa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Chaguaní', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Chipaque', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Choachí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Chocontá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Chía', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Cogua', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Cota', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Cucunubá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'El Colegio', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'El Peñón', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'El Rosal', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Facatativá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Fomeque', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Fosca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Funza', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Fusagasugá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Fúquene', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Gachala', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Gachancipá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Gachetá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Gama', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Girardot', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Granada', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guachetá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guaduas', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guasca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guataquí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guatavita', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guayabal de Siquima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Guayabetal', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Gutiérrez', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Jerusalén', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Junín', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'La Calera', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'La Mesa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'La Palma', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'La Peña', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'La Vega', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Lenguazaque', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Macheta', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Madrid', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Manta', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Medina', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Mosquera', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Nariño', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Nemocón', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Nilo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Nimaima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Nocaima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Pacho', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Paime', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Pandi', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Paratebueno', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Pasca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Puerto Salgar', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Pulí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Quebradanegra', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Quetame', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Quipile', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Ricaurte', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'San Antonio del Tequendama', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'San Bernardo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'San Cayetano', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'San Francisco', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'San Juan de Río Seco', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Sasaima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Sesquilé', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Sibaté', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Silvania', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Simijaca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Soacha', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Sopó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Subachoque', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Suesca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Supatá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Susa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Sutatausa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tabio', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tausa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tena', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tenjo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tibacuy', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tibirita', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tocaima', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Tocancipá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Topaipí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Ubalá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Ubaque', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Une', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Venecia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Vergara', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Vianí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Villa de San Diego de Ubate', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Villagómez', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Villapinzón', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Villeta', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Viotá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Yacopí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Zipacón', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Zipaquirá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Útica', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 11, 'name' => 'Bogotá D.C.', 'created_at' => now(), 'updated_at' => now(),],

            ['state_id' => 12, 'name' => 'Acandí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Alto Baudó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Atrato', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Bagadó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Bahía Solano', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Bajo Baudó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Bojayá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Carmen del Darien', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Condoto', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Cértegui', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'El Cantón de San Pablo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'El Carmen de Atrato', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Istmina', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Juradó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Lloró', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Medio Atrato', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Medio Baudó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Medio San Juan', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Nuquí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Nóvita', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Quibdó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Riosucio', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Río Iro', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Río Quito', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'San José del Palmar', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Litoral del San Juan', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Sipí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Tadó', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Unguía', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 12, 'name' => 'Unión Panamericana', 'created_at' => now(), 'updated_at' => now(),],

            ['state_id' => 13, 'name' => 'Abrego', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Arboledas', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Bochalema', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Bucarasica', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Cachirá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Chinácota', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Chitagá', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Convención', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Cucutilla', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Cácota', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Cúcuta', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Durania', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'El Carmen', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'El Tarra', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'El Zulia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Gramalote', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Hacarí', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Herrán', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'La Esperanza', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'La Playa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Labateca', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Los Patios', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Lourdes', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Mutiscua', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Ocaña', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Pamplona', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Pamplonita', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Puerto Santander', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Ragonvalia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Salazar', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'San Calixto', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'San Cayetano', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Santiago', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Sardinata', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Silos', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Tibú', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Toledo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Villa del Rosario', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Teorama', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 13, 'name' => 'Villa Caro', 'created_at' => now(), 'updated_at' => now(),],

            ['state_id' => 14, 'name' => 'Acacías', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Barranca de Upía', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Cabuyaro', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Castilla la Nueva', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Cubarral', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Cumaral', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'El Calvario', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'El Castillo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Fuente de Oro', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Granada', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Guamal', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'La Macarena', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Lejanías', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Mapiripán', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Mesetas', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Puerto Concordia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Puerto Gaitán', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Puerto Lleras', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Puerto López', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Puerto Rico', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Restrepo', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'San Carlos de Guaroa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'San Juan de Arama', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'San Martín', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Villavicencio', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Vistahermosa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'El Dorado', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'San Juanito', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 14, 'name' => 'Uribe', 'created_at' => now(), 'updated_at' => now(),],

            ['state_id' => 15,'name' => 'Apía', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Balboa', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Belén de Umbría', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Dosquebradas', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Guática', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'La Celia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'La Virginia', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Marsella', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Mistrató', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Pereira', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Pueblo Rico', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Quinchía', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Santa Rosa de Cabal', 'created_at' => now(), 'updated_at' => now(),],
            ['state_id' => 15,'name' => 'Santuario', 'created_at' => now(), 'updated_at' => now(),],
        ];
        city::insert($cities);
    }
}
