// Suponiendo que tienes una variable que determina si mostrar o no el subrayado
var mayorAUno = 1; // Cambia este valor según tu lógica

// Verificar si mayorAUno es mayor a 1 para mostrar la línea
if (mayorAUno > 1) {
    var underlineElements = document.querySelectorAll(".underline");
    underlineElements.forEach(function (element) {
        element.style.display = "block"; // Mostrar la línea
    });
}

function capitalizeWords(str) {
    return str
        .split(" ")
        .map((word) => word.toUpperCase())
        .join(" ");
}
function alertaEdicionPaciente() {
    var idpaciente = $("#idpaciente").val();
    var Paciente =
        $("#paterno").val() +
        " " +
        $("#materno").val() +
        " " +
        $("#nombre").val();
    Valor = capitalizeWords(Paciente);
    if (idpaciente !== "") {
        Swal.fire({
            title: "Atención",
            html:
                "Seguro que quieres Editar Informacion del Paciente: <br>" +
                Valor,
            showCancelButton: true,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "Si",
        }).then((result) => {
            if (result.isConfirmed) {
                var url =
                    "{{ route('pacientes.edit', ['paciente' => ':idpaciente']) }}";
                window.location.href = url.replace(":idpaciente", idpaciente);
            }
        });
    } else {
        alert("introduzca un valor");
    }
}

$(document).ready(function () {
    $(
        "#registro, #ci, #paterno, #materno, #nombre, #nacimiento, #edad, #sexo, #diagnostico"
    ).on("keypress", function (event) {
        if (event.which === 13) {
            busquedaPorParametro();
        }
    });
});

function buscarPaciente() {
    location.reload(true);
}
function buscarBtn() {
    console.log("buscarBtn");
    
}

function busquedaPorParametro() {
    var currentIndex = 0; // Índice actual del array response
    var responseLength = 0; // Variable para almacenar la longitud del array response
    var valorInput = $("#idpaciente").val();
    const data = obtenerDatosFormulario();
    console.log(data);
    $.ajax({
        type: "GET",
        dataType: "json",
        url: "./filtrarPaciente",
        data: data,
        success: function (response) {
            //Habilitamos el boton de historial
            $("#historial-dx").prop("disabled", false);
            console.log(response);
            responseLength = response.length;
            if (responseLength > 0) {
                $("#total").val(responseLength);

                mostrarDatos(currentIndex); // Mostrar los datos del primer elemento al inicio

                // Función para mostrar los datos según el índice actual
                function mostrarDatos(index) {
                    $("#indice").val(index + 1); // Mostrar el índice actualizado
                    $("#idpaciente").val(response[index].id);
                    if (response[index].asegurado1 != null) {
                        $("#registro").val(response[index].asegurado1);
                        $("#registro").attr("disabled", "disabled");
                    } else {
                        $("#registro").val(response[index].historial);
                        $("#registro").attr("disabled", "disabled");
                    }
                    $("#paterno").val(response[index].paterno);
                    $("#paterno").attr("disabled", "disabled");
                    $("#materno").val(response[index].materno);
                    $("#materno").attr("disabled", "disabled");
                    $("#nombre").val(response[index].nombre);
                    $("#nombre").attr("disabled", "disabled");
                    $("#nacimiento").val(response[index].nacimiento);
                    $("#nacimiento").attr("disabled", "disabled");
                    $("#sexo").val(response[index].sexo);
                    $("#sexo").attr("disabled", "disabled");
                    $("#telefono").val(response[index].telefono);
                    $("#telefono").attr("disabled", "disabled");
                    $("#alergia").val(response[index].alergia);
                    $("#alergia").attr("disabled", "disabled");
                    $("#ci").val(response[index].ci);
                    $("#ci").attr("disabled", "disabled");
                    $("#diagnostico").val(response[index].diagnostico);
                    $("#diagnostico").attr("disabled", "disabled");
                    $("#edad").val(response[index].edad);
                    $("#edad").attr("disabled", "disabled");
                }
                // Inicialmente, habilitar ambos botones
                $("#btnSiguiente").prop("disabled", false);
                $("#btnAnterior").prop("disabled", false);

                function actualizarEstadoBotones() {
                    // Deshabilitar el botón "Siguiente" si estamos en el último elemento
                    $("#btnSiguiente").prop(
                        "disabled",
                        currentIndex === responseLength - 1
                    );

                    // Deshabilitar el botón "Anterior" si estamos en el primer elemento
                    $("#btnAnterior").prop("disabled", currentIndex === 0);
                }

                // Botón para avanzar al siguiente elemento
                $("#btnSiguiente").on("click", function () {
                    if (currentIndex < responseLength - 1) {
                        // Solo avanzar si no estamos en el último elemento
                        currentIndex++; // Incrementar el índice
                        mostrarDatos(currentIndex); // Mostrar datos del elemento actual
                        actualizarEstadoBotones(); // Actualizar el estado de los botones
                    }
                });

                // Botón para retroceder al elemento anterior
                $("#btnAnterior").on("click", function () {
                    if (currentIndex > 0) {
                        // Solo retroceder si no estamos en el primer elemento
                        currentIndex--; // Decrementar el índice
                        mostrarDatos(currentIndex); // Mostrar datos del elemento actual
                        actualizarEstadoBotones(); // Actualizar el estado de los botones
                    }
                });

                // Manejar los eventos de teclado para las flechas izquierda y derecha
                $(document).on("keydown", function (event) {
                    if (event.which === 39) {
                        // Flecha derecha
                        $("#btnSiguiente").click(); // Simular clic en el botón "Siguiente"
                    } else if (event.which === 37) {
                        // Flecha izquierda
                        $("#btnAnterior").click(); // Simular clic en el botón "Anterior"
                    }
                });
            } else {
                Swal.fire({
                    title: "Paciente no encontrado",
                    text: "No hay registros que coincidan con estos criterios de busqueda",
                    icon: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Modificar Busqueda",
                }).then((result) => {
                    if (result.isConfirmed) {
                        location.reload(true);
                    }
                });
            }
        },
        error: function (error) {
            console.error("Error en la solicitud AJAX:", error);
        },
    });
}
function obtenerDatosFormulario() {
    const data = {
        id: $("#registro").val(),
        ci: $("#ci").val(),
        paterno: $("#paterno").val(),
        materno: $("#materno").val(),
        nombre: $("#nombre").val(),
        edad: $("#edad").val(),
        nacimiento: $("#nacimiento").val(),
        sexo: $("#sexo").val(),
        diagnostico: $("#diagnostico").val(),
    };
    return data;
}

function mostrarHistorialDx() {
    const idpaciente = $("#idpaciente").val();

    // Hacemos una petición al backend al método historialDx
    $.ajax({
        type: "GET",
        url: "./obtenerHistorialDx/" + idpaciente,
        dataType: "json",
        success: function (response) {
            console.log(response);

            // Limpiar el contenido de la tabla antes de agregar nuevos datos
            $("#tablaHistorialDx tbody").empty();

            // Función para agregar filas a la tabla
            function agregarFila(diagnostico, modulo) {
                const fecha = formatearFecha(diagnostico.created_at);
                $("#tablaHistorialDx tbody").append(
                    `<tr>
                        <td>${diagnostico.id}</td>
                        <td>${diagnostico.nombre}</td>
                        <td>${modulo}</td>
                        <td>${fecha}</td>
                    </tr>`
                );
            }

            // Verificar si existe un diagnóstico de origen
            if (response.origen) {
                agregarFila(response.origen, "Origen");
            }

            // Recorrer diagnósticos de ginecología
            if (Array.isArray(response.ginecologia)) {
                response.ginecologia.forEach((diagnostico) => {
                    agregarFila(diagnostico, "Ginecología");
                });
            }

            // Recorrer diagnósticos de obstetricia
            if (Array.isArray(response.obstetricia)) {
                response.obstetricia.forEach((diagnostico) => {
                    agregarFila(diagnostico, "Obstetricia");
                });
            }
        },
        error: function (error) {
            console.error(error);
        },
    });

    // Abrir el modal de historial de diagnóstico
    $("#modalHistorialDx").modal("show");
}

function formatearFecha(fechaISO) {
    const fecha = new Date(fechaISO);
    const dia = String(fecha.getDate()).padStart(2, "0");
    const mes = String(fecha.getMonth() + 1).padStart(2, "0"); // Los meses en JS empiezan en 0
    const anio = fecha.getFullYear();
    return `${dia}/${mes}/${anio}`;
}
