var idpaciente = $("#idpaciente").val();
$("#talla").on("keydown", function (event) {
    if (event.which === 9) {
        var talla = $(this).val();
        var peso = $("#peso").val();
        console.log(peso);
        console.log(talla);
        resultadoimc = peso / (talla * talla);
        $("#imc").val(resultadoimc.toFixed(2));
    }
});

console.log(idpaciente);



var tipo = document.getElementById("tipo").value;
$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log("Datos recibidos:");
        console.log(response);
        var columnDefs = [
            {
                headerName: "Fecha",
                field: "",
                pinned: "left",
                width: "110",
                valueFormatter: function (params) {
                    var fecha = params.data.visita;
                    var formattedDate = formatDate(fecha);
                    return formattedDate;
                },
            },
            { headerName: "Peso (Kg.)", field: "peso", width: "95" },
            { headerName: "Talla (m)", field: "talla", width: "95" },
            { headerName: "IMC (Kg/m2)", field: "imc", width: "110" },
            { headerName: "PA (mmHg)", field: "pa", width: "110" },
            { headerName: "FC (Lat/min)", field: "fc", width: "110" },
            { headerName: "FR (Resp/min)", field: "fr", width: "120" },
            { headerName: "Sat. O2 (%)", field: "sat", width: "100" },
            { headerName: "Temp. (°C)", field: "temp", width: "100" },
        ];

        var gridOptions = {
            headerHeight: 30,
            rowHeight: 30,
            autoSizeColumns: true,
            columnDefs: columnDefs,
            rowData: response,
            domLayout: "autoHeight", // Ajuste automático de altura
            autoSizeColumns: true, // Ajuste automático de ancho de columnas
        };
        new agGrid.Grid(document.querySelector("#miHistorial"), gridOptions);
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});
function formatDate(dateString) {
    // Convertir la cadena de fecha a un objeto Date
    var dateObj = new Date(dateString);

    // Obtener los componentes de la fecha (día, mes, año)
    var day = String(dateObj.getDate()).padStart(2, "0");
    var month = String(dateObj.getMonth() + 1).padStart(2, "0"); // El mes es devuelto de 0 a 11
    var year = dateObj.getFullYear();

    // Formatear los componentes en el formato dd-mm-YYYY
    var formattedDate = day + "-" + month + "-" + year;

    return formattedDate;
}

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.peso); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "Peso",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                    fill: "false",
                    cubicInterpolationMode: "monotone",
                    tension: 0.6,
                    pointStyle: "circle",
                    pointRadius: 4,
                },
            ],
        };
        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoPeso").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "line",
            data: datos,
            options: {
                scales: {
                    y: {
                        beginAtZero: true,
                        suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                        suggestedMax: 150,
                    },
                },
                responsive: true,
                plugins: {
                    legend: {
                        position: "top",
                    },
                    annotation: {
                        annotations: {
                            line1: {
                                type: "line",
                                yMin: 80,
                                yMax: 80,
                                borderColor: "orange",
                                borderWidth: 1,
                                label: {
                                    content: "Threshold",
                                    enabled: true,
                                    position: "center",
                                },
                            },
                            line2: {
                                type: "line",
                                yMin: 40,
                                yMax: 40,
                                borderColor: "orange",
                                borderWidth: 1,
                                label: {
                                    content: "Threshold",
                                    enabled: true,
                                    position: "center",
                                },
                            },
                        },
                    },
                },
            },
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        var historial = response.historial; // Asumiendo que response tiene una propiedad "historial" con los datos

        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.imc); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "IMC",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                },
            ],
        };

        // Opciones para personalizar el gráfico
        var opciones = {
            scales: {
                y: {
                    beginAtZero: true,
                    suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                    suggestedMax: 150,
                },
            },
            plugins: {
                legend: {
                    position: "top",
                },
                annotation: {
                    annotations: {
                        line1: {
                            type: "line",
                            yMin: 80,
                            yMax: 80,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                        line2: {
                            type: "line",
                            yMin: 40,
                            yMax: 40,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                    },
                },
            },
        };

        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoImc").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "bar",
            data: datos,
            options: opciones,
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.fc); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "FC",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                },
            ],
        };

        // Opciones para personalizar el gráfico
        var opciones = {
            scales: {
                y: {
                    beginAtZero: true,
                    suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                    suggestedMax: 150,
                },
            },
            plugins: {
                legend: {
                    position: "top",
                },
                annotation: {
                    annotations: {
                        line1: {
                            type: "line",
                            yMin: 80,
                            yMax: 80,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                        line2: {
                            type: "line",
                            yMin: 40,
                            yMax: 40,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                    },
                },
            },
        };

        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoFc").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "bar",
            data: datos,
            options: opciones,
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.fr); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "FR",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                },
            ],
        };

        // Opciones para personalizar el gráfico
        var opciones = {
            scales: {
                y: {
                    beginAtZero: true,
                    suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                    suggestedMax: 150,
                },
            },
            plugins: {
                legend: {
                    position: "top",
                },
                annotation: {
                    annotations: {
                        line1: {
                            type: "line",
                            yMin: 80,
                            yMax: 80,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                        line2: {
                            type: "line",
                            yMin: 40,
                            yMax: 40,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                    },
                },
            },
        };

        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoFr").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "line",
            data: datos,
            options: opciones,
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.pa); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "PA",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                },
            ],
        };

        // Opciones para personalizar el gráfico
        var opciones = {
            scales: {
                y: {
                    beginAtZero: true,
                    suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                    suggestedMax: 150,
                },
            },
            plugins: {
                legend: {
                    position: "top",
                },
                annotation: {
                    annotations: {
                        line1: {
                            type: "line",
                            yMin: 80,
                            yMax: 80,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                        line2: {
                            type: "line",
                            yMin: 40,
                            yMax: 40,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                    },
                },
            },
        };

        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoPa").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "line",
            data: datos,
            options: opciones,
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.sat); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "SAT",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                },
            ],
        };

        // Opciones para personalizar el gráfico
        var opciones = {
            scales: {
                y: {
                    beginAtZero: true,
                    suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                    suggestedMax: 150,
                },
            },
            plugins: {
                legend: {
                    position: "top",
                },
                annotation: {
                    annotations: {
                        line1: {
                            type: "line",
                            yMin: 80,
                            yMax: 80,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                        line2: {
                            type: "line",
                            yMin: 40,
                            yMax: 40,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                    },
                },
            },
        };

        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoSat").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "line",
            data: datos,
            options: opciones,
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});

$.ajax({
    type: "GET",
    url: "../obtenerHistorialEstado/" + idpaciente,
    data: { tipo: tipo },
    success: function (response) {
        console.log(response);
        // Arrays para almacenar etiquetas y datos
        var labels = [];
        var data = [];
        // Llenar arrays con datos del historial
        response.forEach(function (item) {
            labels.push(item.visita); // Asumiendo que "fecha" es el campo que usarás como etiqueta en el eje X
            data.push(item.temp); // Asumiendo que "peso" es el campo que usarás como dato en el eje Y
        });

        // Datos para el gráfico
        var datos = {
            labels: labels,
            datasets: [
                {
                    label: "TEMP",
                    backgroundColor: "rgb(54, 162, 235)",
                    borderColor: "rgb(54, 162, 235)",
                    data: data,
                },
            ],
        };

        // Opciones para personalizar el gráfico
        var opciones = {
            scales: {
                y: {
                    beginAtZero: true,
                    suggestedMin: -5, // Valor mínimo sugerido para el eje Y
                    suggestedMax: 150,
                },
            },
            plugins: {
                legend: {
                    position: "top",
                },
                annotation: {
                    annotations: {
                        line1: {
                            type: "line",
                            yMin: 80,
                            yMax: 80,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                        line2: {
                            type: "line",
                            yMin: 40,
                            yMax: 40,
                            borderColor: "orange",
                            borderWidth: 1,
                            label: {
                                content: "Threshold",
                                enabled: true,
                                position: "center",
                            },
                        },
                    },
                },
            },
        };

        // Obtener el contexto del canvas
        var ctx = document.getElementById("graficoTemp").getContext("2d");

        // Crear el gráfico
        var myChart = new Chart(ctx, {
            type: "line",
            data: datos,
            options: opciones,
        });
    },
    error: function (xhr, status, error) {
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    },
});
