$(document).ready(function(){
    function CompanyRenderer(params) {
      var valor = params.data.tipo;
      if(valor==1){
        link = `
                <button type="button" class="botonAcciones" onclick="showImprimirPato(${params.data.id})" title="PDF"><small class="estiloIconos"><em class="icon ni ni-file-pdf"></em></small></button>
                <button type="button" class="botonAcciones" onclick="showEditPato(${params.data.id})" title="EDITAR"><small class="estiloIconos"><em class="icon ni ni-edit"></em></small></button>
                `;
        return link;
      } else{
        if(valor==2){
          link = `
          <button type="button" class="botonAcciones" onclick="showImprimirInmuno(${params.data.id})" title="PDF"><small class="estiloIconos"><em class="icon ni ni-file-pdf"></em></small></button>
          <button type="button" class="botonAcciones" onclick="showEditInmuno(${params.data.id})" title="EDITAR"><small class="estiloIconos"><em class="icon ni ni-edit"></em></small></button>
          `;
          return link;
        } else{
          if( valor==3){
            link = `
            <button type="button" class="botonAcciones" onclick="showImprimirCito(${params.data.id})" title="PDF"><small class="estiloIconos"><em class="icon ni ni-file-pdf"></em></small></button>
            <button type="button" class="botonAcciones" onclick="showEditCito(${params.data.id})" title="EDITAR"><small class="estiloIconos"><em class="icon ni ni-edit"></em></small></button>
            `;
            return link;
          }else{
            var detalle =" "
            return detalle;
          }
        }
      }
    }
    function Estados(params) {
      valor=params.data.estado;
      if(valor==1){
       link = `
                   <small class="estiloEstadosValidado" style="padding:10px" title="Informado"><em class="icon ni ni-check-circle-fill"></em></small>
                 `;
      }
      else{
       link = `
                   <small class="estiloEstadosEspera" style="padding:10px" title="En proceso"><em class="icon ni ni-minus-circle-fill"></em></small>
                 `;
      }
     return link;
    }

    $.ajax({
      type: "GET",
      url: "./obtenerInformePacientes/", 
      success: function(response){
          console.log("Datos recibidos:");
          console.log(response);
  
          var columnDefs = [
              { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100' },
              { headerName: "Historial Clinico", field: "registro",filter: true,width: '150'},
              { headerName: "Nombre Completo", field: "nombreCompleto",filter: true,width: '200',
                valueFormatter: function(params) {
                  var nombreCompleto = params.data.nombreCompleto;
                  
                  // Verificar si nombreInstituto está vacío o nulo
                  if (!nombreCompleto) {
                      return ""; // Devolver cadena vacía si el campo está vacío
                  }
                  
                  // Convertir todas las letras a minúsculas y luego capitalizar la primera letra de la primera palabra
                  var nombreFormateado = nombreCompleto.toLowerCase().replace(/(?:^|\s)\S/g, function(a) { return a.toUpperCase(); });
                  
                  return nombreFormateado;
              }
              },
              { headerName: "Institucion", field: "nombreInstituto",filter: true,width: '300',
                valueFormatter: function(params) {
                  var nombreInstituto = params.data.nombreInstituto;
                  
                  // Verificar si nombreInstituto está vacío o nulo
                  if (!nombreInstituto) {
                      return ""; // Devolver cadena vacía si el campo está vacío
                  }
                  
                  // Convertir todas las letras a minúsculas y luego capitalizar la primera letra de la primera palabra
                  var nombreFormateado = nombreInstituto.toLowerCase().replace(/(?:^|\s)\S/g, function(a) { return a.toUpperCase(); });
                  
                  return nombreFormateado;
              }
              },
              { headerName: "Resultado", field: "tipo",filter: true,width: '300',
                valueFormatter: function(params) {
                  // Obtener la fecha del campo 'visita' del objeto 'params'
                  var valor = params.data.tipo;
                  if(valor==1){
                    var detalle="PATOLOGÍA"
                    return detalle;
                  } else{
                    if(valor==2){
                      var detalle="INMUNOHISTOQUÍMICA"
                      return detalle;
                    } else{
                      if( valor==3){
                        var detalle="CITOPATOLOGÍA"
                        return detalle;
                      }else{
                        var detalle =" "
                        return detalle;
                      }
                    }
                  }
 
              }
              },
              { headerName: "Estado", cellRenderer: Estados,filter: true,width: '110'},
          ];
  
          var gridOptions = {
              columnDefs: columnDefs,
              rowData: response,
              defaultColDef: {
                floatingFilter: true,
              },
              pagination: true,
              paginationPageSize: 10,
              paginationPageSizeSelector: [100, 500, 1000],
          };
          new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
      },
      error: function(xhr, status, error){
          console.error("Error en la petición:");
          console.error(xhr.responseText);
      }
    });
    
  });
  
  function showImprimirPato(idpato){
    var id = idpato; // Asumiendo que $id está disponible en la vista
          var url = 'patologiaPdf/' + id;
          window.open(url, '_blank');
  }
  function showImprimirInmuno(idpato){
    var id = idpato; // Asumiendo que $id está disponible en la vista
          var url = 'inmunoPdf/' + id;
          window.open(url, '_blank');
  }
  function showImprimirCito(idpato){
    var id = idpato; // Asumiendo que $id está disponible en la vista
          var url = 'citologiaPdf/' + id;
          window.open(url, '_blank');
  }


  function showEditPato(idpato) {
    Swal.fire({
      title: 'Estas Seguro de Editar?',
      icon: 'warning',
      showCancelButton: true,
      confirmButtonColor: '#3085d6',
      cancelButtonColor: '#d33',
      confirmButtonText: 'Si, Editemos!'
    }).then((result) => {
      if (result.isConfirmed) {
        var id = idpato;
        console.log(id);
        var url = 'resultado/' + id;
        window.location.href = url; 
      }
    });
  }

  function showEditInmuno(idpato) {
    Swal.fire({
      title: 'Estas Seguro de Editar?',
      icon: 'warning',
      showCancelButton: true,
      confirmButtonColor: '#3085d6',
      cancelButtonColor: '#d33',
      confirmButtonText: 'Si, Editemos!'
    }).then((result) => {
      if (result.isConfirmed) {
        var id = idpato;
        console.log(id);
        var url = 'inmunos/' + id;
        window.location.href = url; 
      }
    });
  }
  
  function showEditCito(idpato) {
    Swal.fire({
      title: 'Estas Seguro de Editar?',
      icon: 'warning',
      showCancelButton: true,
      confirmButtonColor: '#3085d6',
      cancelButtonColor: '#d33',
      confirmButtonText: 'Si, Editemos!'
    }).then((result) => {
      if (result.isConfirmed) {
        var id = idpato;
        console.log(id);
        var url = 'citologicos/' + id;
        window.location.href = url; 
      }
    });
  }
  
  