$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtenermedico", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100%' },
            { headerName: "Codigo", field: "codigo",filter: true,width: '130%'},
            { headerName: "Medico", field: "nombreMedico",filter: true,width: '300%'},
            { headerName: "Especialidad", field: "especialidad",filter: true,width: '300%'},
            { headerName: "Telefono", field: "telefono",filter: true,width: '300%'},
            { headerName: "E-mail", field: "correo",filter: true},
            { headerName: "Nº Colegialo", field: "colegialo",filter: true},
            { headerName: "Domicilio", field: "direccion",filter: true},
            { headerName: "Observacion", field: "observacion",filter: true},
            { headerName: "No Activo", field: "activo",filter: true},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(MedicoId) {
  $.ajax({
    type: "GET",
    url: "./medicos/"+MedicoId+"/edit",
    success: function (response) {
      var codigo = response[0].codigo;
      var nombreMedico = response[0].nombreMedico;
      var especialidad = response[0].especialidad;
      var telefono = response[0].telefono;
      var correo = response[0].correo;
      var colegialo = response[0].colegialo;
      var direccion = response[0].direccion;
      var observacion = response[0].observacion;
      Swal.fire({
        html: `
        <h6>Aquí puedes editar el Paciente seleccionado: ${nombreMedico}</h6>
        <div class="form-group">
        <label class="form-label" for="codigo">Codigo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="${codigo}">
        </div>
    </div>
    <div class="form-group">
        <label class="form-label" for="nombreMedico">Medico</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="nombreMedico" id="nombreMedico" autocomplete="nombreMedico" placeholder="Medico" value="${nombreMedico}">
        </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="especialidad">Especialidad</label>
      <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="especialidad" id="especialidad" autocomplete="especialidad" placeholder="Especialidad" value="${especialidad}">
      </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="telefono">Telefono</label>
      <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="telefono" id="telefono" autocomplete="telefono" placeholder="Telefono" value="${telefono}">
      </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="correo">E-mail</label>
      <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="correo" id="correo" autocomplete="correo" placeholder="E-mail" value="${correo}">
      </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="colegialo">Nº Colegialo</label>
      <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="colegialo" id="colegialo" autocomplete="colegialo" placeholder="Nº Colegialo" value="${colegialo}">
      </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="direccion">Domicilio</label>
      <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="direccion" id="direccion" autocomplete="direccion" placeholder="Domicilio" value="${direccion}">
      </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="observacion">Observaciones</label>
      <div class="form-control-wrap">
          <textarea class="form-control form-control-sm" name="observacion" id="observacion" autocomplete="observacion" placeholder="Observaciones" value="">${observacion}</textarea>
      </div>
    </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var nuevosCodigo = $("#codigo").val();
          var nuevosNombreMedico = $("#nombreMedico").val();
          var nuevosEspecialidad = $("#especialidad").val();
          var nuevosTelefono = $("#telefono").val();
          var nuevosCorreo = $("#correo").val();
          var nuevosColegialo = $('#colegialo').val();
          var nuevosDireccion = $('#direccion').val();
          var nuevosObservacion = $('#observacion').val();
          $.ajax({
            type: "PUT",
            url: "./medicos/"+MedicoId,
            data: {
              id: MedicoId,
              codigo: nuevosCodigo,
              nombreMedico:nuevosNombreMedico,
              especialidad:nuevosEspecialidad,
              telefono:nuevosTelefono,
              correo:nuevosCorreo,
              colegialo:nuevosColegialo,
              direccion:nuevosDireccion,
              observacion:nuevosObservacion,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(MedicoId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./medicos/"+MedicoId,
        data: MedicoId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}