$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtenerpaciente", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100%' },
            { headerName: "Codigo", field: "codigoPaciente",filter: true},
            { headerName: "Paterno", field: "paterno",filter: true},
            { headerName: "Materno", field: "materno",filter: true},
            { headerName: "Nombre", field: "nombre",filter: true},
            { headerName: "F. Nacimiento", field: "nacimiento",filter: true},
            { headerName: "Alergia", field: "alergia",filter: true,width:450},
            { headerName: "Sexo", field: "sexo",filter: true},
            { headerName: "C.I.", field: "ci",filter: true},
            { headerName: "Domicilio", field: "residencia",filter: true},
            { headerName: "Telefono", field: "telefono",filter: true},
            
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(PacientesId) {
  $.ajax({
    type: "GET",
    url: "./pacientes/"+PacientesId+"/edit",
    success: function (response) {
      var obthistorial = response[0].historial;
      var obtapellidos = response[0].apellidos;
      var obtnombres = response[0].nombres;
      var obtnacimiento = response[0].nacimiento;
      var obtedad = response[0].edad;
      var obtsexo = response[0].sexo;
      var obtci = response[0].ci;
      var obtdomicilio = response[0].domicilio;
      var obttelefono = response[0].telefono;
      var obtcorreo = response[0].correo;
      var obtobservacion = response[0].observacion;
      var datosSexo =response[0].datosSexo;
      var selectOptions = '';
          // Iterar sobre las opciones y construir el HTML para el select
          datosSexo.forEach(function(opcion) {
            selectOptions += `<option value="${opcion.sexo}">${opcion.sexo} (${opcion.codigo})</option>`;
          });

      Swal.fire({
        html: `
        <h6>Aquí puedes editar el Paciente seleccionado: ${obtnombres} ${obtapellidos}</h6>
        <div class="form-group pt-1">
          <label class="form-label" for="historial">Historial</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="historial" id="historial" autocomplete="historial" placeholder="Historial" value="${obthistorial}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="apellidos">Apellidos</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="apellidos" id="apellidos" autocomplete="apellidos" placeholder="Apellidos" value="${obtapellidos}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="nombres">Nombres</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="nombres" id="nombres" autocomplete="nombres" placeholder="Nombres" value="${obtnombres}">
          </div>
        </div>
        <div class="form-group">
        <label class="form-label" for="nacimiento">Fecha de Nacimiento</label>
        <div class="form-control-wrap">
            <input type="date" class="form-control form-control-sm" name="nacimiento" id="nacimiento" autocomplete="nacimiento" placeholder="Fecha de Nacimiento" value="${obtnacimiento}">
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="edad">Edad</label>
        <div class="form-control-wrap">
            <input type="number" class="form-control form-control-sm" name="edad" id="edad" autocomplete="edad" placeholder="Fecha de Nacimiento" value="${obtedad}">
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="sexo">Sexo</label>
        <div class="form-control-wrap">
          <select class="form-select js-select2" data-search="on" aria-hidden="true" name="sexo" id="sexo">
            <option value="${obtsexo}">${obtsexo}</option>
            ${selectOptions}
          </select>
        </div>
      </div>
      <div class="form-group">
      <label class="form-label" for="ci">Documento de Identidad</label>
      <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="ci" id="ci" autocomplete="ci" placeholder="Documento de Identidad" value="${obtci}">
      </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="domicilio">Domicilio</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="domicilio" id="domicilio" autocomplete="domicilio" placeholder="Domicilio" value="${obtdomicilio}">
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="telefono">Telefono</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="telefono" id="telefono" autocomplete="telefono" placeholder="Telefono" value="${obttelefono}">
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="correo">Correo Electronico</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="correo" id="correo" autocomplete="correo" placeholder="Correo Electronico" value="${obtcorreo}">
        </div>
      </div>
      <div class="form-group">
        <label class="form-label" for="observacion">Observaciones</label>
        <div class="form-control-wrap">
            <textarea class="form-control form-control-sm" name="observacion" id="observacion" autocomplete="observacion" placeholder="Observaciones" value="${obtobservacion}"></textarea>
        </div>
      </div>   
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var nuevosHistorial = $("#historial").val();
          var nuevosApellidos = $("#apellidos").val();
          var nuevosNombres = $("#nombres").val();
          var nuevosNacimiento = $("#nacimiento").val();
          var nuevosEdad = $("#edad").val();
          var nuevosSexo = $('#sexo').val();
          var nuevosCi = $('#ci').val();
          var nuevosDomicilio = $('#domicilio').val();
          var nuevosTelefono = $('#telefono').val();
          var nuevosCorreo = $('#correo').val();
          var nuevosObservacion = $('#observacion').val();
          $.ajax({
            type: "PUT",
            url: "./pacientes/"+PacientesId,
            data: {
              id: PacientesId,
              historial: nuevosHistorial,
              apellidos:nuevosApellidos,
              nombres:nuevosNombres,
              nacimiento:nuevosNacimiento,
              edad:nuevosEdad,
              sexo:nuevosSexo,
              ci:nuevosCi,
              domicilio:nuevosDomicilio,
              telefono:nuevosTelefono,
              correo:nuevosCorreo,
              observacion:nuevosObservacion,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(PacientesId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./pacientes/"+PacientesId,
        data: PacientesId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}