// Obtener la fecha y hora actual
    var now = new Date();
    // Formatear la fecha y hora para el input datetime-local
    var year = now.getFullYear();
    var month = String(now.getMonth() + 1).padStart(2, '0');
    var day = String(now.getDate()).padStart(2, '0');
    var hours = String(now.getHours()).padStart(2, '0');
    var minutes = String(now.getMinutes()).padStart(2, '0');
    
    var formattedDateTime = `${year}-${month}-${day}T${hours}:${minutes}`;
    // Establecer el valor del input
    $('#visita').val(formattedDateTime);

// Controlador de eventos para presionar Enter
$('input').keypress(function(e) {
    if (e.which == 13) {
      e.preventDefault();
      var $next = $(this).closest('.row').next().find('input,textarea');
      $next.focus();
    }
  });

var selectize1 = $('#idseguro').selectize({
    placeholder:"seleccionar un elemento de la lista",
    maxItems: 1,
    openOnFocus: false
});

var selectize2 = $('#idinstitucion').selectize({
    placeholder:"seleccionar un elemento de la lista",
    maxItems: 1,
    openOnFocus: false
});

var selectize3 = $('#idmedico').selectize({
    placeholder:"seleccionar un elemento de la lista",
    maxItems: 1,
    openOnFocus: false
});

var selectize4 = $('#idtipo').selectize({
  placeholder:"seleccionar un elemento de la lista",
  maxItems: 1,
  openOnFocus: false
});

var selectize5 = $('#idfactura').selectize({
  placeholder:"seleccionar un elemento de la lista",
  maxItems: 1,
  openOnFocus: false
});

var selectize6 = $('#iddestino').selectize({
  placeholder:"seleccionar un elemento de la lista",
  maxItems: 1,
  openOnFocus: false
});


var selectize7 = $('#idparametro').selectize({
  placeholder:"seleccionar un elemento de la lista",
  maxOptions:1,
  maxItems: 1,
  openOnFocus: false,
  onInitialize: function() {
    var selectize = this;
    selectize.$control_input.on('keydown', function(event) {
      if (event.keyCode === 13) { // Captura cuando se presiona la tecla Enter
        event.preventDefault(); // Evita el comportamiento predeterminado de Enter
        var selectedValue = selectize.getValue(); // Captura el valor seleccionado
        if (selectedValue !== '') {
          addRowToGrid(selectedValue); // Añade el valor seleccionado a la tabla
          selectize.clear(); // Borra la selección actual del select
        }
      }
    });
  }
});
let datosTabla = [];
var initialRowData = [];
const gridOptions = {
  rowData: initialRowData, // Datos iniciales
  rowHeight: 30,
  headerHeight: 30,
  columnDefs: [
    { headerName: "",cellRenderer: acciones, width: 75 },
    { field: "Codigo",width: 100},
    { field: "Tecnica",width: 350 },
    { field: "Precio",valueFormatter: currencyFormatter,width: 100 }
  ],
};

const myGridElement = document.querySelector('#tablaLista');
const gridApi = agGrid.createGrid(myGridElement, gridOptions); 
function addRowToGrid(selectedValue) {
  console.log('Valor obtenido:', selectedValue);
  const rowData = gridOptions.rowData || [];
  const codeExists = datosTabla.some(row => row.Codigo == selectedValue);
  console.log(codeExists)
  if (codeExists) {
    alert("¡El código ya está agregado a la tabla!");
  } else {
    $.ajax({
      type: "GET",
      url: "../obtTecnica/" + selectedValue,
      success: function (response) {
        console.log("Respuesta recibida:", response);
        const newRow = { Codigo: response[0].codigo, Tecnica: response[0].nombre, Precio: "" };
        
        // Agregar la nueva fila a la tabla
        gridOptions.rowData = [...rowData, newRow]; // Actualizar rowData en gridOptions
        gridApi.setRowData(gridOptions.rowData); // Actualizar la tabla con los nuevos datos
        datosTabla = gridOptions.rowData;
        console.log("Datos de la tabla:", datosTabla);
      },
      error: function (xhr, status, error) {
        console.error("Error en la petición");
        console.error(xhr.responseText);
      }
    });
  }
}

// Función para formatear valores como moneda
function currencyFormatter(params) {
  if (params.value !== undefined && params.value !== null) {
    return 'Bs.' + params.value.toLocaleString(); // Formatea el valor como moneda
  }
  return params.value;
}

function acciones(params) {
  const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
  const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>
                `;
  return link;
}



var selectize8 = $('#idopciones').selectize({
  maxItems: 1,
  onInitialize: function() {
    // Establecer el primer valor como valor inicial
    var firstValue = this.options[Object.keys(this.options)[0]].value;
    this.setValue(firstValue);
  }
  
});

// Evento keydown para detectar la tecla Enter en el primer selectize
selectize1[0].selectize.$control_input.on('keydown', function(e) {
      if (e.key === 'Enter') {
        e.preventDefault(); // Evita que se añada una nueva opción
        selectize2[0].selectize.focus(); // Cambia el foco al siguiente selectize
      }
});

selectize2[0].selectize.$control_input.on('keydown', function(e) {
      if (e.key === 'Enter') {
        e.preventDefault(); // Evita que se añada una nueva opción
        selectize3[0].selectize.focus(); // Cambia el foco al siguiente selectize
      }
});

selectize3[0].selectize.$control_input.on('keydown', function(e) {
  if (e.key === 'Enter') {
    e.preventDefault(); // Evita que se añada una nueva opción
    selectize4[0].selectize.focus(); // Cambia el foco al siguiente selectize
  }
});

selectize4[0].selectize.$control_input.on('keydown', function(e) {
  if (e.key === 'Enter') {
    e.preventDefault(); // Evita que se añada una nueva opción
    selectize5[0].selectize.focus(); // Cambia el foco al siguiente selectize
  }
});

selectize5[0].selectize.$control_input.on('keydown', function(e) {
  if (e.key === 'Enter') {
    e.preventDefault(); // Evita que se añada una nueva opción
    selectize6[0].selectize.focus(); // Cambia el foco al siguiente selectize
  }
});
selectize6[0].selectize.$control_input.on('keydown', function(e) {
  if (e.key === 'Enter') {
    e.preventDefault(); // Evita que se añada una nueva opción
    $('#observacion').focus(); // Cambia el foco al siguiente selectize
  }
});

$('#observacion').on('keydown', function(e) {
  if (e.key === 'Enter') {
    e.preventDefault();
    selectize7[0].selectize.focus(); // Cambia el foco al último selectize
  }
});



function ModalBusquedaPaciente() {
  var obtApellido=$('#apellidos').val()
  var obtNombre=$('#nombres').val()
  var obtHistoria=$('#historial').val()
  var obtCarnet=$('#ci').val()
  console.log(obtApellido)
  $.ajax({
    type: "GET",
    url: "../busquedaPaciente/",
    data:{
      obtAp:obtApellido,
      obtNom:obtNombre,
      obtHis:obtHistoria,
      obtCi:obtCarnet,
    },
    success: function (response) {
      let gridInstance;
      console.log(response)
      Swal.fire({
        html: `
          <h6>Base de Pacientes</h6>
          <hr>
          <div id="grid-container" style="height: 620px" class="ag-theme-alpine"></div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Asignar",
        cancelButtonText: "Salir",
        position: "top",
        width: "50%",
        customClass: {
          content: 'swal2-content-align',
          confirmButton: 'swal2-confirm-align',
          cancelButton: 'swal2-cancel-align',
        },
        onOpen: (modalElement) => {
          const gridDiv = modalElement.querySelector('#grid-container');
          // Define las columnas para tu tabla
          const columnDefs = [
            { checkboxSelection: true,width: 40, },
            { headerName: "Historial", field: "historial",filter: true,width: 120},
            { headerName: "Apellidos", field: "apellidos",filter: true},
            { headerName: "Nombres", field: "nombres",filter: true},
            { headerName: "F.N.", field: "nacimiento",filter: true},
            { headerName: "Edad", field: "edad",filter: true},
            { headerName: "Sexo", field: "sexo",filter: true},
            { headerName: "C.I.", field: "ci",filter: true},
            { headerName: "Domicilio", field: "domicilio",filter: true},
            { headerName: "Telefono", field: "telefono",filter: true},
            { headerName: "Correo", field: "correo",filter: true},
            { headerName: "Observaciones", field: "observacion",filter: true},
        ];
          
          // Configura la tabla
          const gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 25,
            rowHeight: 30,
            paginationPageSizeSelector: [25, 50, 100],
            rowSelection: 'single',
          };
          gridInstance = new agGrid.Grid(gridDiv, gridOptions);

          const extraButton = document.createElement('button');
          extraButton.innerHTML = 'Nueva Historia';
          extraButton.classList.add('swal2-confirm');
          extraButton.style.backgroundColor = "#3085d6";
          extraButton.style.marginLeft = "10px";
          extraButton.style.paddingTop = "3px";
          extraButton.style.paddingBottom = "3px";
          extraButton.style.border = "2px solid #3085d6"
          extraButton.style.borderRadius = "5px";
          extraButton.style.color = "#ffff";
          modalElement.querySelector('.swal2-actions').appendChild(extraButton);
          extraButton.addEventListener('click', () => {
            Swal.fire('Botón extra presionado');
          });
        }
      }).then((result) => {
        if (result.isConfirmed) {
          // Obtener la fila seleccionada
          const selectedNode = gridInstance.gridOptions.api.getSelectedNodes()[0];
          if (selectedNode) {
            const selectedData = selectedNode.data;
            console.log(selectedData);
            $('#nombres').val(selectedData.nombres);
            $('#apellidos').val(selectedData.apellidos);
            $('#historial').val(selectedData.historial);
            $('#ci').val(selectedData.ci);
            $('#nacimiento').val(selectedData.nacimiento);
            $('#idpaciente').val(selectedData.id)
            // Aquí puedes manejar los datos seleccionados según tus necesidades
          } else {
            Swal.fire({
              icon: 'warning',
              title: 'No seleccionado',
              text: 'Por favor, selecciona una fila antes de asignar.'
            });
        }
      }
      });
    },
    error: function (error) {
      alert("introducir por favor un Apellido(s) o Nombre(s) o N° de Historial o El Carnet para Realizar una Busqueda")
    },
  });
}



  


