$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtresultadoantibiotico", 
    success: function(response){
        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100%' },
            { headerName: "Codigo", field: "codigo",filter: true,width: '130%'},
            { headerName: "Descripcion", field: "descripcion",filter: true,width: '300%'},
            { headerName: "Resultado", field: "resultado",filter: true,width: '300%'},
            { headerName: "CMI", field: "cmi",filter: true,width: '300%'},
            { headerName: "Imprimir", field: "imprimir",filter: true,width: '300%'},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(resultadoId) {
  $.ajax({
    type: "GET",
    url: "./resultadoAntibioticos/"+resultadoId+"/edit",
    success: function (response) {
      var codigo = response[0].codigo;
      var descripcion = response[0].descripcion;
      var resultado = response[0].resultado;
      var cmi = response[0].cmi;
      var imprimir = response[0].imprimir;
      Swal.fire({
        html: `
        <h6>${descripcion}</h6>
        <div class="form-group">
        <label class="form-label" for="codigo">Codigo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="${codigo}">
        </div>
    </div>
    <div class="form-group">
        <label class="form-label" for="descripcion">Descripcion</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="descripcion" id="descripcion" autocomplete="descripcion" placeholder="Descripcion" value="${descripcion}">
        </div>
    </div>
    <div class="form-group">
    <label class="form-label" for="resultado">Resultado</label>
    <div class="form-control-wrap">
        <input type="text" class="form-control form-control-sm" name="resultado" id="resultado" autocomplete="resultado" placeholder="Resultado" value="${resultado}">
    </div>
    </div>
    <div class="form-group">
    <label class="form-label" for="cmi">CMI</label>
    <div class="form-control-wrap">
        <input type="text" class="form-control form-control-sm" name="cmi" id="cmi" autocomplete="cmi" placeholder="CMI" value="${cmi}">
    </div>
    </div>
    <div class="form-group">
    <label class="form-label" for="imprimir">Imprimir</label>
    <div class="form-control-wrap">
        <input type="text" class="form-control form-control-sm" name="imprimir" id="imprimir" autocomplete="imprimir" placeholder="Imprimir" value="${imprimir}">
    </div>
    </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var dato1 = $("#codigo").val();
          var dato2 = $("#descripcion").val();
          var dato3 = $("#resultado").val();
          var dato4 = $("#cmi").val();
          var dato5 = $("#imprimir").val();
          $.ajax({
            type: "PUT",
            url: "./resultadoAntibioticos/"+resultadoId,
            data: {
              id: resultadoId,
              codigo: dato1,
              descripcion:dato2,
              resultado:dato3,
              cmi:dato4,
              imprimir:dato5,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(resultadoId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./resultadoAntibioticos/"+resultadoId,
        data: resultadoId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}