$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtenerseguro", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer },
            { headerName: "Codigo", field: "codigo",filter: true},
            { headerName: "Seguro", field: "nombreSeguro",filter: true},
            { headerName: "Direccion", field: "direccion",filter: true},
            { headerName: "Telefono", field: "telefono",filter: true},
            { headerName: "Correo", field: "correo",filter: true},
            { headerName: "Tarifa", field: "nombre_tarifa",filter: true},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(SeguroId) {
  $.ajax({
    type: "GET",
    url: "./seguros/"+SeguroId+"/edit",
    success: function (response) {
      var obtcodigo = response[0].codigo;
      var obtnombreSeguro = response[0].nombreSeguro;
      var obtdireccion = response[0].direccion;
      var obttelefono = response[0].telefono;
      var obtcorreo = response[0].correo;
      var obtIdTarifa =response[0].tarifa;
      var obtNombreTarifa =response[0].nombre_tarifa;
      var datosSeguro =response[0].datosSeguros;
      console.log(datosSeguro)
      var selectOptions = '';
          // Iterar sobre las opciones y construir el HTML para el select
          datosSeguro.forEach(function(opcion) {
            selectOptions += `<option value="${opcion.codigo}">${opcion.nombreSeguro} (${opcion.codigo})</option>`;
          });

      Swal.fire({
        html: `
        <h6>Aquí puedes editar el Seguro seleccionado: ${obtnombreSeguro}</h6>
        <div class="form-group pt-1">
          <label class="form-label" for="codigo">Codigo</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="${obtcodigo}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="nombreSeguro">Nombre Seguro</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="nombreSeguro" id="nombreSeguro" autocomplete="nombreSeguro" placeholder="Nombre Seguro" value="${obtnombreSeguro}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="direccion">Direccion</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="direccion" id="direccion" autocomplete="direccion" placeholder="Direccion" value="${obtdireccion}">
          </div>
        </div>
        <div class="form-group">
        <label class="form-label" for="telefono">Telefono</label>
        <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="telefono" id="telefono" autocomplete="telefono" placeholder="Telefono" value="${obttelefono}">
        </div>
        </div>
        <div class="form-group">
        <label class="form-label" for="correo">Correo Electronico</label>
        <div class="form-control-wrap">
          <input type="text" class="form-control form-control-sm" name="correo" id="correo" autocomplete="correo" placeholder="Correo Electronico" value="${obtcorreo}">
        </div>
        </div>
        <div class="form-group">
        <label class="form-label" for="tipoSeguro">Tarifa</label>
        <div class="form-control-wrap">
          <select class="form-select js-select2" data-search="on" aria-hidden="true" name="tarifa" id="tarifa">
            <option value="${obtIdTarifa}">${obtNombreTarifa} (${obtIdTarifa})</option>
            ${selectOptions}
          </select>
        </div>
        </div> 
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var nuevosCodigo = $("#codigo").val();
          var nuevosNombreSeguro = $("#nombreSeguro").val();
          var nuevosDireccion = $("#direccion").val();
          var nuevosTelefono = $("#telefono").val();
          var nuevosCorreo = $("#correo").val();
          var nuevostarifa = $('#tarifa').val();
          $.ajax({
            type: "PUT",
            url: "./seguros/"+SeguroId,
            data: {
              id: SeguroId,
              codigo: nuevosCodigo,
              nombreSeguro:nuevosNombreSeguro,
              direccion:nuevosDireccion,
              telefono:nuevosTelefono,
              correo:nuevosCorreo,
              tarifa:nuevostarifa
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(SeguroId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./seguros/"+SeguroId,
        data: SeguroId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}