$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtenersoporte", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100%' },
            { headerName: "Codigo", field: "codigo",filter: true,width: '130%'},
            { headerName: "Descripción", field: "descripcion",filter: true,width: '300%'},
            { headerName: "Nº Filas", field: "filas",filter: true,width: '300%'},
            { headerName: "Nº Columnas", field: "columnas",filter: true,width: '300%'},
            { headerName: "Orientación", field: "orientacion",filter: true},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(soporteId) {
  $.ajax({
    type: "GET",
    url: "./soportes/"+soporteId+"/edit",
    success: function (response) {
      var codigo = response[0].codigo;
      var descripcion = response[0].descripcion;
      var filas = response[0].filas;
      var columnas = response[0].columnas;
      var orientacion = response[0].orientacion;
      Swal.fire({
        html: `
        <h6>Aquí puedes editar el Soporte seleccionado: ${descripcion}</h6>
        <div class="form-group">
        <label class="form-label" for="codigo">Codigo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="${codigo}">
        </div>
    </div>
    <div class="form-group">
        <label class="form-label" for="descripcion">Descripcion</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="descripcion" id="descripcion" autocomplete="descripcion" placeholder="Descripcion" value="${descripcion}">
        </div>
    </div>
    <div class="form-group">
    <label class="form-label" for="filas">Nº Filas</label>
    <div class="form-control-wrap">
        <input type="number" class="form-control form-control-sm" name="filas" id="filas" autocomplete="filas" placeholder="Nº Filas" value="${filas}">
    </div>
  </div>
  <div class="form-group">
    <label class="form-label" for="columnas">Nº Columna</label>
    <div class="form-control-wrap">
        <input type="number" class="form-control form-control-sm" name="columnas" id="columnas" autocomplete="columnas" placeholder="Nº Columna" value="${columnas}">
    </div>
  </div>
  <div class="form-group">
    <label class="form-label">Orientacion</label>
    <div class="form-control-wrap">
      <select class="form-select js-select2" data-search="on" aria-hidden="true" name="orientacion" id="orientacion">
        <option value="${orientacion}">${orientacion}</option>
        <option value="HORIZONTAL">HORIZONTAL</option>
        <option value="VERTICAL">VERTICAL</option>
      </select>
    </div>
  </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var nuevosCodigo = $("#codigo").val();
          var nuevosDescripcion = $("#descripcion").val();
          var nuevosFilas = $("#filas").val();
          var nuevosColumnas = $("#columnas").val();
          var nuevosOrientacion = $("#orientacion").val();
          $.ajax({
            type: "PUT",
            url: "./soportes/"+soporteId,
            data: {
              id: soporteId,
              codigo: nuevosCodigo,
              descripcion:nuevosDescripcion,
              filas:nuevosFilas,
              columnas:nuevosColumnas,
              orientacion:nuevosOrientacion,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(soporteId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./soportes/"+soporteId,
        data: soporteId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}