$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtsubgrupo", 
    success: function(response){
        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100%' },
            { headerName: "Codigo", field: "codSubgrupo",filter: true,width: '130%'},
            { headerName: "Grupo", field: "nombreSubgrupo",filter: true,width: '300%'},
            { headerName: "Orden de Impresion", field: "impresion",filter: true},
            { headerName: "Comentario", field: "comentario",filter: true,width: '300%'},
            { headerName: "Salto de Pagina", field: "salto",filter: true,
            cellRenderer: function(params) {
              var cellValue = params.value;
              var checkboxHtml = '<input type="checkbox" ' + (cellValue ? 'checked' : '') + ' disabled>';
              return checkboxHtml;
          }
          },
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(subgrupoId) {
  $.ajax({
    type: "GET",
    url: "./subgrupos/"+subgrupoId+"/edit",
    success: function (response) {
      var codSubgrupo= response[0].codSubgrupo;
      var nombreSubgrupo = response[0].nombreSubgrupo;
      var impresion = response[0].impresion;
      var comentario = response[0].comentario;
      var salto = response[0].salto;
      Swal.fire({
        html: `
        <h6>${nombreSubgrupo}</h6>
        <div class="form-group">
        <label class="form-label" for="codSubgrupo">Codigo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codSubgrupo" id="codSubgrupo" autocomplete="codSubgrupo" placeholder="Codigo" value="${codSubgrupo}">
        </div>
    </div>
    <div class="form-group">
        <label class="form-label" for="nombreSubgrupo">Sub Grupo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="nombreSubgrupo" id="nombreSubgrupo" autocomplete="nombreSubgrupo" placeholder="Grupo" value="${nombreSubgrupo}">
        </div>
    </div>
    <div class="form-group">
    <label class="form-label" for="impresion">Orden de Impresion</label>
    <div class="form-control-wrap">
        <input type="number" class="form-control form-control-sm" name="impresion" id="impresion" autocomplete="impresion" placeholder="Orden de Impresion" value="${impresion}">
    </div>
    </div>
    <div class="form-group">
    <label class="form-label" for="comentario">Comentario</label>
    <div class="form-control-wrap">
        <input type="text" class="form-control form-control-sm" name="comentario" id="comentario" autocomplete="comentario" placeholder="Comentario" value="${comentario}">
    </div>
    </div>
    <div class="form-group">
    <div class="preview-block"><span class="preview-title overline-title">Salto de Pagina</span>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="salto" name="salto" ${salto ? 'checked' : ''}>
        <label class="custom-control-label" for="salto"></label>
      </div>
    </div>
    </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var dato1 = $("#codSubgrupo").val();
          var dato2 = $("#nombreSubgrupo").val();
          var dato3 = $("#impresion").val();
          var dato4 = $("#comentario").val();
          var dato5 = $("#salto").prop('checked');
          if(dato5){
            var dato5="on"
          } else{
            var dato5=""
          }
          console.log(dato5)
          $.ajax({
            type: "PUT",
            url: "./subgrupos/"+subgrupoId,
            data: {
              id: subgrupoId,
              codSubgrupo: dato1,
              nombreSubgrupo:dato2,
              impresion:dato3,
              comentario:dato4,
              salto:dato5,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(subgrupoId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./subgrupos/"+subgrupoId,
        data: subgrupoId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}