$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = ` <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "../obtenerAgrupado/"+$("#idparametro").val(), 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',checkboxSelection: true,headerCheckboxSelection: true },
            { headerName: "Tecnicas", field: "nombre",filter: true},
        ]
      
        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            rowSelection: "multiple",
            suppressRowClickSelection: true,
            defaultColDef: {
              floatingFilter: true,
              cellStyle: { 
                'font-size': 'smaller',
              },
              
            },
            rowHeight: 35,
            pagination: true,
        };
        new agGrid.Grid(document.querySelector('#tablaAgrupado'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});

function showModalEliminar(tecnicaId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "../agrupados/"+tecnicaId,
        data: tecnicaId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}