$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  function ColorRenderer(params){
    const link =`
    <em class="icon ni ni-circle-fill" style="color:${params.data.color}"></em> ${params.data.color}
    `
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtenertipopeticiones", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer, pinned: 'left',width: '100%' },
            { headerName: "Codigo", field: "codigo",filter: true,width: '130%'},
            { headerName: "Tipo", field: "tipo",filter: true,width: '300%'},
            { headerName: "Color", cellRenderer: ColorRenderer,filter: true,width: '300%'},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(tipoId) {
  $.ajax({
    type: "GET",
    url: "./tipopeticiones/"+tipoId+"/edit",
    success: function (response) {
      var codigo = response[0].codigo;
      var tipo = response[0].tipo;
      var color = response[0].color;
      Swal.fire({
        html: `
        <div class="form-group">
        <label class="form-label" for="codigo">Codigo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="${codigo}">
        </div>
    </div>
    <div class="form-group">
        <label class="form-label" for="tipo">Tipo</label>
        <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="tipo" id="tipo" autocomplete="tipo" placeholder="Tipo" value="${tipo}">
        </div>
    </div>
    <div class="form-group">
      <label class="form-label" for="color">Color</label>
      <div class="form-control-wrap">
          <input type="color" class="form-control form-control-color form-control-sm" name="color" id="color" autocomplete="color" placeholder="Color" value="${color}">
      </div>
    </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var nuevoCodigo = $("#codigo").val();
          var nuevoTipo = $("#tipo").val();
          var nuevoColor = $("#color").val();
          $.ajax({
            type: "PUT",
            url: "./tipopeticiones/"+tipoId,
            data: {
              id: tipoId,
              codigo: nuevoCodigo,
              tipo:nuevoTipo,
              color:nuevoColor,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(tipoId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./tipopeticiones/"+tipoId,
        data: tipoId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}