$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  
  function EstadoRenderer(params){
    if (params.data.status == 1) {
      var link = `<div class="ag-ltr ag-cell user-status-verified">verificado</div>`;
    } else {
      var link = `<div class="ag-ltr ag-cell user-status-unverified">no verificado</div>`;
    }
    return link;
  }
  
  $.ajax({
    type: "GET",
    url: "./obtenerusuario", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer },
            { headerName: "Nombres", field: "first_name",filter: true},
            { headerName: "Apellidos", field: "last_name",filter: true},
            { headerName: "Correo electronico", field: "email",filter: true},
            { headerName: "Estado", cellRenderer: EstadoRenderer,filter: true},
            { headerName: "Role", field: "title",filter: true},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(userId) {
  $.ajax({
    type: "POST",
    url: "../datosusuario",
    data: { id: userId },
    dataType: "json",
    headers: {
      "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
    },
    success: function (response) {
      var nombres = "";
      var apellidos = "";
      var correo = "";

      $.each(response, function (key, value) {
        nombres = value.first_name;
        apellidos = value.last_name;
        correo = value.email;
      });

      Swal.fire({
        html: `
        <h6>Aquí puedes editar el usuario con ID ${userId}</h6>
        <div class="form-group pt-1">
          <label class="form-label" for="nombre">Nombres</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="first_name" id="nombre" autocomplete="nombre" placeholder="Nombres" value="${nombres}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="apellidos">Apellidos</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="last_name" id="apellidos" autocomplete="apellidos" placeholder="Apellidos" value="${apellidos}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="email">Correo Electronico</label>
          <div class="form-control-wrap">
            <input type="email" class="form-control form-control-sm" name="email" id="email" autocomplete="email" placeholder="Correo Electronico" value="${correo}">
          </div>
        </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          // Obtener los nuevos valores de los inputs
          var nuevosNombres = $("#nombre").val();
          var nuevosApellidos = $("#apellidos").val();
          var nuevoCorreo = $("#email").val();

          // Realizar la solicitud AJAX para guardar los cambios
          $.ajax({
            type: "POST",
            url: "../actualizarusuario",
            data: {
              id: userId,
              first_name: nuevosNombres,
              last_name: nuevosApellidos,
              email: nuevoCorreo,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                // Recargar la página después de que se cierre el modal
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(userId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "../usuarios/"+userId,
        data: userId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}