$(document).ready(function(){
  function CompanyRenderer(params) {
    const modalId = "exampleModal" + params.data.id; // Genera un ID único para el modal basado en el ID del usuario
    const link = `<button type="button" class="botonAcciones" onclick="showModalEdit(${params.data.id})" title="editar"><em class="icon ni ni-edit"></em></button>
                  <button type="button" class="botonAcciones" onclick="showModalEliminar(${params.data.id})" title="eliminar"><em class="icon ni ni-trash"></em></button>`;
    return link;
  }
  $.ajax({
    type: "GET",
    url: "./obtenerzona", 
    success: function(response){
        console.log("Datos recibidos:");
        console.log(response);

        var columnDefs = [
            { headerName: "Acciones", cellRenderer: CompanyRenderer },
            { headerName: "Codigo", field: "codigo",filter: true},
            { headerName: "Zona", field: "zona",filter: true},
        ];

        var gridOptions = {
            columnDefs: columnDefs,
            rowData: response,
            defaultColDef: {
              floatingFilter: true,
            },
            pagination: true,
            paginationPageSize: 12,
            paginationPageSizeSelector: [100, 500, 1000],
        };
        new agGrid.Grid(document.querySelector('#miTabla'), gridOptions);
    },
    error: function(xhr, status, error){
        console.error("Error en la petición:");
        console.error(xhr.responseText);
    }
  });
  
});
function showModalEdit(ZonaId) {
  $.ajax({
    type: "GET",
    url: "./zonas/"+ZonaId+"/edit",
    success: function (response) {
      var obtcodigo = "";
      var obtzona = "";
      $.each(response, function (key, value) {
        obtcodigo = value.codigo;
        obtzona = value.zona;
      });

      Swal.fire({
        html: `
        <h6>Aquí puedes editar el Sexo seleccionado: ${obtzona}</h6>
        <div class="form-group pt-1">
          <label class="form-label" for="codigo">Codigo</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="${obtcodigo}">
          </div>
        </div>
        <div class="form-group">
          <label class="form-label" for="zona">Zona</label>
          <div class="form-control-wrap">
            <input type="text" class="form-control form-control-sm" name="zona" id="zona" autocomplete="zona" placeholder="Zona" value="${obtzona}">
          </div>
        </div>
        `,
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Guardar cambios",
        cancelButtonText: "Cancelar",
        position: "top",
        width: "50%",
      }).then((result) => {
        if (result.isConfirmed) {
          var nuevosCodigo = $("#codigo").val();
          var nuevosZona = $("#zona").val();
          $.ajax({
            type: "PUT",
            url: "./zonas/"+ZonaId,
            data: {
              id: ZonaId,
              codigo: nuevosCodigo,
              zona: nuevosZona,
            },
            dataType: "json",
            headers: {
              "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
              Swal.fire(
                "Cambios guardados!",
                "Los cambios han sido guardados correctamente.",
                "success"
              ).then((result) => {
                if (result.isConfirmed) {
                    window.location.reload();
                }
            });
            },
            error: function (error) {},
          });
        }
      });
    },
    error: function (error) {},
  });
}
function showModalEliminar(zonaId){
  Swal.fire({
    title: 'Estas Seguro?',
    text: "¡No podrás revertir esto!",
    icon: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    confirmButtonText: 'Si, bórralo!'
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        type: "DELETE",
        url: "./zonas/"+zonaId,
        data: zonaId,
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (response) {
          Swal.fire({
            title: "Eliminado!",
            text: "Se elimino correctamente.",
            icon: "success"
          }).then((result) => {
            // Recargar la página después de que se cierre el modal
            if (result.isConfirmed) {
                window.location.reload();
            }
        });
        },
        error: function (error) {},
        });
      
    }
  });
}