<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Login | GalileoLabs</title>
    <link rel="shortcut icon" href="{{ asset('favicon.ico') }}">
    <link rel="stylesheet" href="{{ asset('css/main.css') }}">
    <style>
        .card-sombra {
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 20px rgba(0, 0, 0, 0.1);
            border-radius: 20px;
        }
        .login-container {
            max-width: 800px;
        }
        .logo-pie {
            max-width: 100%;
            height: auto;
            width: 150px; /* Ajusta este tamaño según sea necesario */
        }
        .form-control {
            max-width: 250px; /* Ajusta este tamaño según sea necesario */
        }
        .form-label {
            font-size: 12px;
        }
    </style>
</head>
<body class="nk-body npc-default pg-auth bg-login">
    <div class="nk-app-root">
        <div class="nk-main">
            <div class="nk-wrap nk-wrap-nosidebar">
                <div class="nk-content">
                    <div class="nk-block nk-block-middle nk-auth-body">
                        <div class="brand-logo pb-4 text-center">
                            <a href="#" class="logo-link">
                                <img class="logo-light logo-img logo-img-lg" src="{{ asset('images/encabezadoLogin.png') }}" alt="logo">
                                <img class="logo-dark logo-img logo-img-lg" src="{{ asset('images/encabezadoLogin.png') }}" alt="logo-dark">
                            </a>
                        </div>
                        <div class="card card-sombra mx-auto login-container" style="background: #f7f7f7 !important;">
                            <div class="card-inner" style="padding: 0px !important;">
                                <div class="nk-block-head">
                                    <div class="nk-block-head-content border-bottom pt-1 pb-1 text-center" style="background: #E6003B !important; border-top-left-radius: 20px !important; border-top-right-radius: 20px !important;">
                                        <h5 class="nk-block-title" style="color: #ffffff">"Unidad de Ginecología"</h5>
                                    </div>
                                    <div class="container-fluid">
                                        <div class="row">
                                            <div class="col-lg-3 text-center pt-2">
                                                <img class="img-fluid logo-pie" src="{{ asset('images/logoPie.png') }}" alt="Logo Pie">
                                            </div>
                                            <div class="col-lg-9">
                                                <div class="container">
                                                    <div class="row row-cols-1">
                                                        <div class="col pt-1 pe-5">
                                                            <h6 class="ps-5 ms-5">Bienvenido</h6>
                                                        </div>
                                                        <div class="col pt-1 pe-5">
                                                            <h6 class="ps-5 ms-4">Inicio de Sesión</h6>
                                                        </div>
                                                        <form method="POST" action="{{ route('login') }}">
                                                            @csrf
                                                            <div class="col pt-1 pe-5">
                                                                <div class="mb-1 row">
                                                                    <label for="email" class="col-sm-5 col-form-label form-label"><strong>Nombre de la cuenta:</strong></label>
                                                                    <div class="col-sm-7">
                                                                        <input type="email" class="form-control" id="email" name="email" autocomplete="off" style="text-transform: lowercase">
                                                                    </div>
                                                                </div>
                                                                <div class="mb-1 row">
                                                                    <label for="password" class="col-sm-5 col-form-label form-label"><strong>Contraseña:</strong></label>
                                                                    <div class="col-sm-7">
                                                                        <input type="password" class="form-control" id="password" name="password" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                                <div class="form-group pt-2 pb-2 text-end">
                                                                    <button class="btn btn-primary">Ingresar</button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="{{ asset('js/main.js') }}"></script>
    <script src="{{ asset('js/mainscript.js') }}"></script>
</body>
</html>