@extends('layouts.app')
<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://unpkg.com/tippy.js@6/animations/scale.css" />
<link rel="stylesheet" href="{{ asset('css/ginecologia.css') }}">

@section('content')
    <form id="miFormulario" action="{{ route('ginecologias.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="nk-content">
            <div class="nk-block-head-sub">
                <a href="{{ route('dashboard') }}" class="btn btn-white btn-dim btn-outline-dark m-1">
                    <em class="icon ni ni-home"></em><span>Home</span>
                </a>
                <a href="{{ URL::previous() }}" class="btn btn-white btn-dim btn-outline-dark m-1">
                    <em class="icon ni ni-arrow-left"></em><span>Retornar</span>
                </a>
                <button data-testid="guardar" type="submit" class="btn btn-white btn-dim btn-outline-dark m-1">
                    <em class="icon ni ni-save"></em><span>Guardar</span>
                </button>
                <a href="{{ route('informacionGinecologia') }}" class="btn btn-white btn-dim btn-outline-danger m-1">
                    <em class="icon ni ni-cross-circle"></em><span>Salir</span>
                </a>
                <button type="button" class="btn btn-white btn-dim btn-outline-dark m-1" data-bs-toggle="modal"
                    data-bs-target="#exampleModal">
                    Historial Grafica
                </button>
            </div>
            <!-- Modal -->
            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Historial Grafica</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="container">
                                <div class="row">
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoImc" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoPeso" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoFc" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoFr" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoPa" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoSat" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col" style="width: 550px;height: 350px;">
                                        <canvas id="graficoTemp" style="width: 550px;height: 350px;"></canvas>
                                    </div>
                                </div>
                            </div>


                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @if (session()->has('success'))
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                {{ session('success') }}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        @endif
        <input type="hidden" name="idpaciente" id="idpaciente" value="{{ $id }}">
        <input type="hidden" name="tipo" id="tipo" value="4">
        <input type="datetime-local" class="form-control form-control-sm" id="visita" name="visita" hidden>
        <div class="nk-content">
            <div class="container-fluid">
                <div class="nk-content-inner">
                    <div class="nk-content-body">
                        <div class="nk-block">
                            <div class="row g-gs">
                                <div class="col-xxl-12 col-sm-12">
                                    <div class="card border shadow-sm rounded-5 p-2">
                                        <div class="nk-ecwg nk-ecwg6">
                                            <div class="card-inner">
                                                <div class="card-title-group">
                                                    <div class="card-title">
                                                        <h6 class="titulo"><em
                                                                class="icon ni ni-user-alt"></em><span>INFORME
                                                                GINECOLOGÍA</span></h6>
                                                    </div>
                                                </div>
                                                <div class="container-fluid">
                                                    <div class="row">
                                                        <div class="col-md-6 card shadow-sm mb-4" style="border: none; background-color: #f7f7f7; height: auto;">
                                                            <div class="d-flex justify-content-between align-items-center">
                                                                <div style="padding: 5px 0;" >
                                                                    <strong class="mb-0">INFORMACIÓN DEL PACIENTE</strong>
                                                                </div>
                                                                <div >
                                                                    <strong>ID:</strong> {{$id}}
                                                                </div>
                                                            </div>
                                                            <div class="card-body text-uppercase" style="padding-top: 0; padding-bottom: 3px;">
                                                                <div class="row g-1">
                                                                    <div class="col-xxl-4 col-md-9">
                                                                        <span><strong>Nombre:</strong> {{ $datos[0]->paterno }} {{ $datos[0]->materno }} {{ $datos[0]->nombre }}</span>
                                                                    </div>
                                                                    <div class="col-xxl-4 col-md-3">
                                                                        <span><strong>ci:</strong> {{ $datos[0]->ci }}</span>
                                                                    </div>
                                                                    <div class="col-xxl-4 col-md-12">
                                                                        <strong>Medico:</strong> {{ $medico[0]->nombreMedico}}
                                                                    </div>
                                                                    <div class="col-xxl-4 col-lg-12">
                                                                        <strong>F. NACIMIENTO: </strong>{{ $datos[0]->nacimiento ? \Carbon\Carbon::parse($datos[0]->nacimiento)->format('d/m/Y') : '' }}
                                                                    </div>
                                                                    <div class="col-xxl-4 col-lg-12">
                                                                        <strong>OCUPACIÓN: </strong>{{ $datos[0]->profesion }}
                                                                    </div>
                                                                    <div class="col-xxl-4 col-lg-6 col-md-12">
                                                                        <strong>FECHA DE CONSULTA: </strong>{{ now()->format('d/m/Y') }}
                                                                    </div>
                                                                    <div class="col-lg-2 col-md-6">
                                                                        <strong>EDAD: </strong>{{ $datos[0]->edad }}
                                                                    </div>
                                                                    <div class="col-lg-2 col-md-6">
                                                                        <strong>SEXO: </strong>{{ $datos[0]->sexo }}
                                                                    </div>
                                                                    <div class="col-xxl-4 col-lg-12">
                                                                        <strong>Domicilio: </strong>{{ $paciente->direccion }}
                                                                    </div>
                                                                    <div class="col-xxl-4 col-lg-12">
                                                                    </div>
                                                                    <div class="col-xxl-6 col-lg-12">
                                                                        <div class="d-flex align-items-center" style="flex: 1 1 auto; min-width: 250px;">
                                                                        <strong>Diagnóstico:</strong>
                                                                        <span style="margin-left: 10px;"></span>
                                                                        <input type="hidden" value="0" name="editar-dx" id='editar-dx'> 
                                                                        <input type="hidden" value="{{ $datos[0]->diagnostico_id }}" id='diagnostico_id' name="diagnostico_id">
                                                                        <input type="text" id="diagnostico" name="diagnostico" value="{{ $datos[0]->diagnostico }}" 
                                                                               disabled class="form-control form-control-sm me-2" style="width: 180px;">
                                                                        <em class="icon ni ni-pen2" style="cursor: pointer; font-size: 1rem;" id="edit-diagnostico"></em>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-xxl-6 col-lg-12">
                                                                        <div class="d-flex align-items-center" style="white-space: nowrap; flex: 1 1 auto; min-width: 250px;">
                                                                            <strong>Seguro:</strong>
                                                                            <span style="margin-left: 10px;"></span>
                                                                            <select id="idseguro" name="idseguro" class="form-select form-select-sm" style="width: auto; min-width: 120px;">
                                                                                @foreach ($seguros as $seguro)
                                                                                    <option value="{{ $seguro->id }}" {{ $paciente->idseguro == $seguro->id ? 'selected' : '' }}>
                                                                                        {{ $seguro->nombre }}
                                                                                    </option>
                                                                                @endforeach
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-xxl-4 col-lg-4">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        
                                                        <div class="col-md-6">
                                                            <strong style="font-size: 1.2em; color: #333;">HISTORIAL DEL
                                                                PACIENTE</strong>
                                                            <div id="historial-accordion"
                                                                style="cursor: pointer; padding: 10px; border-bottom: 2px solid transparent; transition: border-color 0.3s; background: #f8f9fa; border-radius: 5px;">
                                                                <span
                                                                    style="font-weight: 600; color: #007bff;">Mostrar/Esconder
                                                                    Historial</span>
                                                                <span id="accordion-icon"
                                                                    style="float: right; transition: transform 0.3s; margin-left: 10px;">&#9660;</span>
                                                                <!-- Icono de flecha hacia abajo -->
                                                            </div>
                                                            <div id="miHistorial" class="ag-theme-alpine"
                                                                style="width: 100%; max-height: 0; opacity: 0; overflow: hidden; transition: max-height 0.5s ease, opacity 0.5s ease; visibility: hidden; box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); padding: 10px;">
                                                            </div>
                                                        </div>
                                                    </div>

                                                    {{-- Contenido general --}}
                                                    <div class="row">
                                                        {{-- LADO IZQUIERDOO.... --}}
                                                        <div class=" col-lg-6 col-sm-12 mb-4 col-md-7">
                                                            {{-- <strong>ESTADO ACTUAL DEL PACIENTE</strong> --}}
                                                            <div class="row g-3 ">
                                                                <div class="g-2 d-flex justify-content-between flex-column-reverse flex-sm-row  bd-highlight">
                                                                    <div class="w-100 bd-highlight ">
                                                                        <div class="mb-0">
                                                                            <label for="motivo"
                                                                                class=" col-form-label"><strong
                                                                                    class="text-uppercase">Motivo
                                                                                    de
                                                                                    Consulta:</strong></label>
                                                                            <textarea rows="2" style="min-height: 68px;" type="text" class="form-control" id="motivo" name="motivo" tabindex="1">{{ old('motivo') }}</textarea>
                                                                        </div>
                                                                        <div class="">
                                                                            <label for="enfermedad"
                                                                                class=" col-form-label">
                                                                                <strong class="text-uppercase">enfermedad
                                                                                    actual</strong>
                                                                            </label>
                                                                            <textarea style="min-height: 68px;" class="form-control " id="enfermedad" name="enfermedad" rows="2">{{ old('enfermedad') }}</textarea>
                                                                        </div>
                                                                        <div class="">
                                                                            <label for="antecedentes_familiares"
                                                                                class="col-form-label">
                                                                                <strong class="text-uppercase">ANTECEDENTES FAMILIARES</strong>
                                                                            </label>
                                                                            <textarea style="min-height: 68px;" class="form-control " id="antecedentes_familiares" name="antecedentes_familiares"
                                                                        rows="2">{{ old('antecedentes_familiares') }}</textarea>
                                                                        </div>
                                                                    </div>
                                                                    <div class="p-3 flex-shrink-1 bd-highlight"
                                                                        style="height: 310px; margin-left: 5px; border:solid 1px #919191; box-shadow: 1px 4px 5px 0px #9d9d9d;border-radius: 10px">
                                                                        <table
                                                                            class="table table-sm text-center table-striped">
                                                                            <tbody class="">
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>Talla:</strong>
                                                                                    </td>
                                                                                    <td>
                                                                                        <input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="talla" id="talla"
                                                                                            autocomplete="off"
                                                                                            tabindex="2"
                                                                                            value="{{ old('talla') }}">

                                                                                    </td>
                                                                                    <td class="estadoFisico">cm</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>Peso:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="peso" id="peso"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('peso') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico">Kg
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico"><strong>Sat
                                                                                            O2:</strong></td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="sat" id="sat"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('sat') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico">%</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>PA:</strong>
                                                                                    </td>
                                                                                    <td class="d-flex">
                                                                                        <input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="pa" id="pa"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            style="width: 35px"
                                                                                            value="{{ old('pa') }}"><small>/</small>
                                                                                        <input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="pa1" id="pa1"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            style="width: 35px"
                                                                                            value="{{ old('pa1') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico">MmHg</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>FC:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="fc" id="fc"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('fc') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico">Lat/min</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>FR:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="fr" id="fr"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('fr') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico">Resp/min</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>T°:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="temp" id="temp"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('temp') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico">°C</td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>PS:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="ps" id="ps"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('ps') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico"></td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>IMC:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="imc" id="imc"
                                                                                            autocomplete="off"
                                                                                            step="0.01"tabindex="2"
                                                                                            value="{{ old('imc') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico"></td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="estadoFisico">
                                                                                        <strong>SC:</strong>
                                                                                    </td>
                                                                                    <td><input type="number"
                                                                                            class="datoHemoEstado"
                                                                                            name="sc" id="sc"
                                                                                            autocomplete="off"
                                                                                            step="0.01" tabindex="2"
                                                                                            value="{{ old('sc') }}">
                                                                                    </td>
                                                                                    <td class="estadoFisico"></td>
                                                                                </tr>
                                                                            </tbody>
                                                                        </table>
                                                                    </div>

                                                                </div>
                                                                <div class="mb-0">
                                                                    <label for="antecedentes" class="col-form-label">
                                                                        <strong class="">ANTECEDENTES PERSONALES PATOLÓGICOS</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control " id="antecedentes" name="antecedentes"
                                                                        rows="2">{{ old('antecedentes') }}</textarea>
                                                                </div>
                                                                {{-- Antecedentes obstetricos --}}
                                                                <div class="col-12 mt-3">
                                                                    <strong style="text-transform: none;"
                                                                        class="text-uppercase">Antecedentes personales
                                                                        ginecológicos
                                                                        - obstétricos</strong>
                                                                </div>

                                                                <!-- Menarca -->
                                                                <div
                                                                    class="col-xl-4 col-lg-4 col-md-6 d-flex align-items-center">

                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="menarca">Menarca</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="menarca" name="menarca"
                                                                                value="{{ old('menarca') }}"
                                                                                placeholder="Edad en años">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div
                                                                    class="col-xl-4 col-lg-6 col-md-6 d-flex align-items-center ">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="gestas">Gestas</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="gestas" name="gestas"
                                                                                value="{{ old('gestas') }}"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xl-4"></div>
                                                                <!-- ritmo -->
                                                                <div
                                                                    class="col-xl-4 col-lg-4 col-md-6 d-flex align-items-center">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="ritmo">Ritmo</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="ritmo" name="ritmo"
                                                                                value="{{ old('ritmo') }}"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div
                                                                    class="col-xl-4 col-lg-6 col-md-6 d-flex align-items-center">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="partos">Partos</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="partos" name="partos"
                                                                                value="{{ old('partos') }}"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div
                                                                    class="col-xl-4 col-lg-6 col-md-6 d-flex align-items-center">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="fup">FUP</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="date" class="form-control"
                                                                                id="fup" name="fup"
                                                                                value="{{ old('fup') }}">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <!-- FUM -->
                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="fum">FUM</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="date" class="form-control"
                                                                                id="fum"
                                                                                value="{{ old('fum') }}"
                                                                                name="fum" autocomplete="off">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="abortos">Abortos</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="abortos"
                                                                                value="{{ old('abortos') }}"
                                                                                name="abortos" autocomplete="off"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="fuab">FUAb</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="date" class="form-control"
                                                                                id="fuab"
                                                                                value="{{ old('fuab') }}"
                                                                                name="fuab" autocomplete="off">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="mac">MAC</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="text" id="mac"
                                                                                name="mac"
                                                                                value="{{ old('mac') }}"
                                                                                class="form-control" autocomplete="off"
                                                                                placeholder="Valor de MAC">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="cesareas">Cesáreas</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="cesareas"
                                                                                value="{{ old('cesareas') }}"
                                                                                name="cesareas" autocomplete="off"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="fuc">FUC</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="date" class="form-control"
                                                                                id="fuc"
                                                                                value="{{ old('fuc') }}"
                                                                                name="fuc" autocomplete="off">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label" for="irs">IRS
                                                                            (años)</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="irs"
                                                                                value="{{ old('irs') }}"
                                                                                name="irs" autocomplete="off"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="pap">Pap</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="date" class="form-control"
                                                                                id="pap"
                                                                                value="{{ old('pap') }}"
                                                                                name="pap" autocomplete="off">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-xl-4 col-lg-6 col-md-6">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label" for="psex">Nº de P.
                                                                            Sex</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="number" class="form-control"
                                                                                id="psex"
                                                                                value="{{ old('psex') }}"
                                                                                name="psex" autocomplete="off"
                                                                                placeholder="Número">
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-12">
                                                                    <div class="form-group w-100">
                                                                        <label class="form-label"
                                                                            for="resultado_pap">Resultado del PAP</label>
                                                                        <div class="form-control-wrap"
                                                                            style="margin-top: -5px;">
                                                                            <input type="text" class="form-control"
                                                                                id="resultado_pap"
                                                                                value="{{ old('resultado_pap') }}"
                                                                                name="resultado_pap" autocomplete="off"
                                                                                placeholder="Ej: Normal, Anormal...">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12">
                                                                    <strong>IMAGENES</strong>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="file-input-wrapper">
                                                                        <label for="ruta" class="form-label"><span><em class="icon ni ni-camera"></em></span>1</label>
                                                                        <input class="form-control" type="file" id="ruta" name="imagen1" accept="image/*">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div id="preview-container" class="mt-2 preview-container">
                                                                    </div>
                                                                </div>
                                                                    
                                                                <div class="col-md-6">
                                                                    <div class="file-input-wrapper">
                                                                        <label for="ruta1" class="form-label"><span><em class="icon ni ni-camera"></em></span>2</label>
                                                                        <input class="form-control" type="file" id="ruta1" name="imagen2" accept="image/*">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div id="preview-container1" class="mt-2 preview-container">
                                                                        <!-- Aquí se mostrará la previsualización -->
                                                                    </div>
                                                                </div>
                                                                <div class="col-12">
                                                                    <label for="descripcion"
                                                                                class="col-form-label">
                                                                                <strong class="text-uppercase">Descripción de las imagenes</strong>
                                                                            </label>
                                                                            <textarea style="text-transform: none;" class="form-control textarea-ancho-fijo" id="descripcion_imagenes"
                                                                                name="descripcion_imagenes" rows="3">{{ old('descripcion_imagenes') }}</textarea>
                                                                </div>
                                                            </div>

                                                        </div>

                                                        {{-- LADO DERECHOO --}}
                                                        <div class=" col-lg-6 col-sm-12 col-md-5">
                                                            {{-- PARTE DE GINECOLOGIA, IMAGEN Y CARACTERISTICAS --}}
                                                            <div class=" row justify-content-center align-items-center">

                                                                <div class="col-12  col-xl-6 col-md-12 col-sm-6 d-flex justify-content-center align-items-center flex-column" >

                                                                    <input type="hidden" id='imprimir' name='imprimir' value="utero">
                                                                    <!-- Botón para alternar entre imágenes -->
                                                                    <button 
                                                                    type="button" id="toggleButton" 
                                                                    class="btn btn-primary mb-5" 
                                                                    onclick="toggleImages()">
                                                                        Cambiar a Mama
                                                                    </button>
                                                                    <!-- Contenedor de la imagen de mama -->
                                                                    <div class="image-container contenido-mama" id="mamaImage" style="display: none">
                                                                        <img src="{{ asset('/images/mama.png') }}"
                                                                            alt="Descripción de la imagen">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama1" style="top: 66%; left: 29.5%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama2" style="top: 66%; left: 37.5%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama3" style="top: 77.5%; left: 29.5%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama4" style="top: 77.5%; left: 37.5%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama5" style="top: 66%; left: 63%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama6" style="top: 66%; left: 71%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama7" style="top: 77.5%; left: 63%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="mama8" style="top: 77.5%; left: 71%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;"
                                                                            >
                                                                        
                                                                    </div>
                                                                    <!-- Contenedor de la imagen de útero -->
                                                                    <div class="image-container contenido-utero" id="uteroImage">
                                                                        <img src="{{ asset('/images/utero.jpg') }}"
                                                                            alt="Descripción de la imagen">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion1" style="top: 5%; left: 20%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion2" style="top: 14%; left: 50%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion3" style="top: 5%; left: 85%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion4" style="top: 25%; left: 3%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion5" style="top: 35%; left: 19%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion6" style="top: 28%; left: 47%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion7" style="top: 25%; left: 55%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion8" style="top: 35%; left: 80%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion9" style="top: 36%; left: 44%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion10" style="top: 36%; left: 58%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion11" style="top: 59%; left: 54%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion12" style="top: 75%; left: 60%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                        <input type="checkbox"
                                                                            class="form-check-input checkbox"
                                                                            name="posicion13" style="top: 25%; left: 97%;"
                                                                            onchange="this.value = this.checked ? 1 : 0;">
                                                                    </div>
                                                                </div>
                                                                {{-- CARATCERISTICAS --}}
                                                                <div class="col-12 col-xl-6 col-md-12 col-sm-6 ">
                                                                    <div class="col-md-12">
                                                                        <div class="row">
                                                                            <label for="mamaizq" class="col-form-label">
                                                                                <strong class="">Mama</strong>
                                                                            </label>
                                                                            <div class="form-group col-md-6">
                                                                                <div class="form-control-wrap">
                                                                                    <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="mamaizq" name="mamaizq"
                                                                                        rows="1">{{ old('mamaizq') }}</textarea>
                                                                                    <label class="form-label-outlined"
                                                                                        for="mamaizq" style="font-weight: bold;">Izquierdo</label>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <div class="form-control-wrap">
                                                                                    <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="mamader" name="mamader"
                                                                                        rows="1">{{ old('mamader') }}</textarea>
                                                                                    <label class="form-label-outlined"
                                                                                        for="mamader" style="font-weight: bold;">Derecho</label>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <label for="abdomen" class="col-form-label">
                                                                            <strong class="">Abdomen</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control " id="abdomen" name="abdomen"
                                                                            rows="1">{{ old('abdomen') }}</textarea>
                                                                    </div>

                                                                    <div class="col-md-12">
                                                                        <label for="tacto" class="col-form-label">
                                                                            <strong class="">Tacto</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="tacto" name="tacto" rows="1">{{ old('tacto') }}</textarea>
                                                                    </div>

                                                                    <div class="col-md-12">
                                                                        <label for="vulva" class="col-form-label">
                                                                            <strong class="">Vulva</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="vulva" name="vulva" rows="1">{{ old('vulva') }}</textarea>
                                                                    </div>

                                                                    <div class="col-md-12">
                                                                        <label for="cervix" class="col-form-label">
                                                                            <strong class="">Cérvix</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="cervix" name="cervix" rows="1">{{ old('cervix') }}</textarea>
                                                                    </div>

                                                                    <div class="col-md-12">
                                                                        <label for="especulo" class="col-form-label">
                                                                            <strong class="">Espéculo</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="especulo" name="especulo" rows="1">{{ old('especulo') }}</textarea>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <label for="utero" class="col-form-label">
                                                                            <strong class="">Útero</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="utero" name="utero" rows="1">{{ old('utero') }}</textarea>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <label for="trompas" class="col-form-label">
                                                                            <strong class="">Trompas</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="trompas" name="trompas" rows="1">{{ old('trompas') }}</textarea>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <div class="row">
                                                                            <label for="ovarioizq" class="col-form-label">
                                                                                <strong class="">Ovarios</strong>
                                                                            </label>
                                                                            <div class="form-group col-md-6">
                                                                                <div class="form-control-wrap">
                                                                                    <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="ovarioizq" name="ovarioizq"
                                                                                        rows="1">{{ old('ovarioizq') }}</textarea>
                                                                                    <label class="form-label-outlined"
                                                                                        for="ovarioizq" style="font-weight: bold;">Izquierdo</label>
                                                                                </div>
                                                                            </div>
                                                                            <div class="form-group col-md-6">
                                                                                <div class="form-control-wrap">
                                                                                    <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="ovarioder" name="ovarioder"
                                                                                        rows="1">{{ old('ovarioder') }}</textarea>
                                                                                    <label class="form-label-outlined"
                                                                                        for="ovarioder" style="font-weight: bold;">Derecho</label>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <label for="otros" class="col-form-label">
                                                                            <strong class="">Otros</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 40px;" class="form-control" id="otros" name="otros" rows="1">{{ old('otros') }}</textarea>
                                                                    </div>


                                                                </div>
                                                            </div>
                                                            {{-- PARTE FINAL --}}
                                                            <div class="col-12 mt-3">
                                                                <label for="ecografia" class=" col-form-label">
                                                                    <strong class="text-uppercase">ecografia y examenes
                                                                        complementarios</strong>
                                                                </label>
                                                                <textarea style="text-transform: none;" class="form-control" id="ecografia" name="ecografia" rows="3">{{ old('ecografia') }}</textarea>
                                                            </div>
                                                            <div class="col-12 mt-3">
                                                                <label for="conclusion" class=" col-form-label">
                                                                    <strong class="text-uppercase">conclusion</strong>
                                                                </label>
                                                                <textarea style="text-transform: none;" class="form-control" id="conclusion" name="conclusion" rows="3">{{ old('conclusion') }}</textarea>
                                                            </div>
                                                            <div class="col-12 mt-3">
                                                                <label for="tratamiento" class=" col-form-label">
                                                                    <strong class="text-uppercase">tratamiento</strong>
                                                                </label>
                                                                <textarea style="text-transform: none;" class="form-control" id="tratamiento" name="tratamiento" rows="3">{{ old('tratamiento') }}</textarea>
                                                            </div>
                                                            <div class="col-7 mt-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="control">Próximo
                                                                        control
                                                                        en Fecha</label>
                                                                    <div class="form-control-wrap"
                                                                        style="margin-top: -5px;">
                                                                        <input type="datetime-local" class="form-control "
                                                                            id="control" name="control"
                                                                            value="{{ old('control') }}"
                                                                            autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>

    </form>


@section('css')
    <style>
        .bg-red {
            background-color: red;
        }

        .estadoFisico {
            font-size: 12px;
            margin-bottom: 1px;
        }

        .datoHemoEstado {
            border: 0;
            width: 50px;
            font-size: 12px;
            padding-left: 10px;
        }

        .datoHemoEstado:focus {
            border: none;
            /* Quita el borde en el estado de foco */
            outline: none;
            /* Asegúrate de que no haya contorno visible */
            background: #f5f6fa;
            border-radius: 5px;
        }

        .flex-shrink-1 {
            flex-shrink: 1 !important
        }
    </style>
    <style>
        .form-check-input {
            width: 17px;
            height: 17px;
        }

        .preview-container img {
    width: auto; /* Ajusta el tamaño de la imagen según sea necesario */
    height: 90px;
    object-fit: cover; /* Ajusta la imagen para cubrir el contenedor */
}
    </style>
@endsection
@section('js1')
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
    <script src="https://unpkg.com/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://unpkg.com/tippy.js@6.3.4/dist/tippy-bundle.umd.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-annotation"></script>
    <script src="{{ asset('js/modulos/historialEstados.js') }}"></script>
    <script>
        tippy('#myButton', {
            content: 'My tooltip!',
        });
        // Obtener la fecha y hora actual
        var now = new Date();
        // Formatear la fecha y hora para el input datetime-local
        var year = now.getFullYear();
        var month = String(now.getMonth() + 1).padStart(2, '0');
        var day = String(now.getDate()).padStart(2, '0');
        var hours = String(now.getHours()).padStart(2, '0');
        var minutes = String(now.getMinutes()).padStart(2, '0');

        var formattedDateTime = `${year}-${month}-${day}T${hours}:${minutes}`;
        // Establecer el valor del input
        $('#visita').val(formattedDateTime);
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/autonumeric/4.10.5/autoNumeric.min.js"></script>
    <script>
        document.getElementById('historial-accordion').addEventListener('click', function() {
            var historial = document.getElementById('miHistorial');
            var icon = document.getElementById('accordion-icon');
            if (historial.style.visibility === 'hidden') {
                historial.style.visibility = 'visible';
                historial.style.opacity = '1';
                historial.style.maxHeight = historial.scrollHeight + 'px'; // Ajusta la altura máxima al abrir
                this.style.borderColor = '#007bff'; // Cambiar color del borde al abrir
                icon.style.transform = 'rotate(180deg)'; // Girar el icono
            } else {
                historial.style.opacity = '0';
                historial.style.maxHeight = '0'; // Colapsar
                setTimeout(() => {
                    historial.style.visibility = 'hidden'; // Cambia la visibilidad después de la transición
                }, 500); // 500 ms debe coincidir con la duración de la transición
                this.style.borderColor = 'transparent'; // Restablecer el color del borde
                icon.style.transform = 'rotate(0deg)'; // Restablecer el icono
            }
        });
    </script>

    <script>
        //Para calcular el Ps y SC
        $(document).ready(function() {
            function calcularIMC() {
                var talla = parseFloat($("#talla").val());
                var peso = parseFloat($("#peso").val());

                if (!isNaN(talla) && !isNaN(peso) && talla > 0) {
                    var resultadoImc = peso / ((talla / 100) * (talla / 100));
                    console.log(resultadoImc);
                    $("#imc").val(resultadoImc.toFixed(2)); // Mostrar el resultado con dos decimales
                } else {
                    $("#imc").val("Ingrese valores válidos");
                }
            }
            $("#talla, #peso").on("input", calcularIMC);
        });
        $(document).ready(function() {
            function calcularSC() {
                var talla = parseFloat($("#talla").val());
                var peso = parseFloat($("#peso").val());

                if (!isNaN(talla) && !isNaN(peso) && talla > 0) {
                    var resultadoImc = Math.sqrt((peso * talla) / 3600);
                    console.log(resultadoImc);
                    $("#sc").val(resultadoImc.toFixed(2)); // Mostrar el resultado con dos decimales
                } else {
                    $("#sc").val("Ingrese valores válidos");
                }
            }
            $("#talla, #peso").on("input", calcularSC);
        });
    </script>
    <script>
        // Seleccionar el input y los elementos del icono
        const diagnosticoInput = document.getElementById('diagnostico');
        const editarDxHidden = document.getElementById('editar-dx');
        const editIcon = document.getElementById('edit-diagnostico');
        
        // Variable para almacenar el valor original del diagnóstico
        let originalValue = diagnosticoInput.value;
    
        // Añadir un event listener para el icono
        editIcon.addEventListener('click', function() {
            // Verificar si el input está deshabilitado
            if (diagnosticoInput.disabled) {
                // Si está deshabilitado, lo habilitamos
                diagnosticoInput.disabled = false;
                // Cambiamos el valor del campo hidden a 1
                editarDxHidden.value = "1";
                // Guardamos el valor original del diagnóstico
                originalValue = diagnosticoInput.value;
                // Cambiar el ícono a la "X"
                editIcon.classList.remove('ni-pen2');
                editIcon.classList.add('ni-cross-circle-fill');
            } else {
                // Si está habilitado, volvemos al valor original
                diagnosticoInput.value = originalValue;
                // Deshabilitamos de nuevo el input
                diagnosticoInput.disabled = true;
                // Cambiamos el valor del campo hidden a 0
                editarDxHidden.value = "0";
                // Cambiar el ícono de vuelta al lápiz
                editIcon.classList.remove('ni-cross-circle-fill');
                editIcon.classList.add('ni-pen2');
            }
        });
    </script>

    <script>
        //Previsualizar imagenes
        $('#ruta').change(function() {
            var input = this;

            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function(e) {
                    $('#preview-container').html('<img class="img-fluid rounded preview-img" src="' + e.target.result + '">');
                };
                $('.close-btn').click(function() {
                    $('#preview-container').empty();
                    $('#ruta').val('');
                });

                reader.readAsDataURL(input.files[0]);
            }
        });

        $('#ruta1').change(function() {
            var input = this;

            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function(e) {
                    $('#preview-container1').html('<img class="img-fluid rounded" src="' + e.target.result + '">');
                };

                reader.readAsDataURL(input.files[0]);
            }
        });
    </script>

    <script>
        function toggleImages() {
            const mamaImage = document.getElementById('mamaImage');
            const uteroImage = document.getElementById('uteroImage');
            const toggleButton = document.getElementById('toggleButton');
            const imprimirInput = document.getElementById('imprimir');

            if (mamaImage.style.display === "none") {
                // Mostrar la imagen de mama y ocultar la imagen de útero
                mamaImage.style.display = "block";
                uteroImage.style.display = "none";
                toggleButton.textContent = "Cambiar a Útero";
                imprimirInput.value = 'mama';
            } else {
                // Mostrar la imagen de útero y ocultar la imagen de mama
                mamaImage.style.display = "none";
                uteroImage.style.display = "block";
                toggleButton.textContent = "Cambiar a Mama";
                imprimirInput.value = 'utero';
            }
        }
//En caso de requerir en un futuro, solo se enviaran los que esten presentes en el dom, o bien los puntos de mama o de utero

                // Habilitar los checkboxes de mama y deshabilitar los de útero
                /* toggleCheckboxes(mamaImage, true);
                toggleCheckboxes(uteroImage, false); */
        // function toggleCheckboxes(container, isEnabled) {
        //     const checkboxes = container.querySelectorAll('input[type="checkbox"]');
        //     checkboxes.forEach(checkbox => {
        //         checkbox.disabled = !isEnabled;
        //     });
        // }
    </script>
@endsection
@endsection
