@extends('layouts.app')
<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.css" rel="stylesheet">
<style>
    .note-editor.note-frame .note-editing-area .note-editable p {
        margin: 0;
        /* Ajusta este valor según sea necesario */
    }

    .note-editor .note-toolbar .note-btn {
        font-size: 10px;
        /* Reduce el tamaño de la fuente de los botones */
        padding: 4px 9px;
        /* Ajusta el padding para reducir el tamaño del botón */
    }

    .note-editor .note-toolbar i {
        font-size: 10px;
        /* Reduce el tamaño de los iconos */
    }

    input[type="file"] {
        display: block;
        margin: 0 auto 20px;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
        width: 100%;
        cursor: pointer;
    }

    .preview {
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
        justify-content: center;
        margin-bottom: 20px;
    }

    .preview .img-container {
        position: relative;
        width: 250px;
        height: 250px;
    }

    .preview img {
        width: 250px;
        height: 250px;
        border-radius: 8px;
        object-fit: cover;
    }

    .preview .close-btn {
        position: absolute;
        top: 5px;
        right: 5px;
        background-color: rgba(255, 255, 255, 0.7);
        border: none;
        border-radius: 50%;
        width: 20px;
        height: 20px;
        font-size: 14px;
        cursor: pointer;
        line-height: 20px;
        text-align: center;
        padding: 0;
    }

    .preview .close-btn:hover {
        background-color: rgba(255, 0, 0, 0.7);
        color: #fff;
    }

    .verticalText {
        transform: rotate(270deg);
    }

    .estilotabla {
        border: 1px solid black;
        border-collapse: collapse;
        border-radius: 10px;
        float: left;
        margin-right: 15px;
        width: 30%;
        /* ajusta el ancho según tu necesidad */
        overflow: hidden;

    }

    .clearfix::after {
        content: "";
        clear: both;
        display: block;
    }

    .table1 {
        border-collapse: collapse;
        border-radius: 10px;
        overflow: hidden;
    }

    .th1,
    .td1 {
        border: 1px solid #ccc;
        padding: 10px;
        text-align: center;
    }

    .th1 {
        background-color: #ccc;
        border-top: none;
        border-left: none;
        border-right: none;
    }

    .flex-container {
        display: -webkit-flex;
        display: flex;
        -webkit-flex-direction: row;
        flex-direction: row;
        -webkit-justify-content: space-around;
        justify-content: space-around;
    }

    .flex-item {
        float: left;
    }

    .flex-item1 {
        width: 20px;
        height: 103px;
        background-color: rgb(136, 136, 136);
        margin: 0px;
        float: left;
        border-left: 0.5px solid rgb(51, 51, 51);
        /* Línea izquierda */
        border-top: 0.5px solid rgb(51, 51, 51);
        /* Línea superior */
        border-bottom: 0.5px solid rgb(51, 51, 51);
        /* Línea inferior */
        border-top-left-radius: 10px;
        border-bottom-left-radius: 10px;
    }

    .flex-item2 {
        width: 300px;
        height: 103px;
        background-color: rgb(255, 255, 255);
        margin-left: 0px;
        float: left;
        border-right: 0.5px solid rgb(51, 51, 51);
        /* Línea izquierda */
        border-top: 0.5px solid rgb(51, 51, 51);
        /* Línea superior */
        border-bottom: 0.5px solid rgb(51, 51, 51);
        /* Línea inferior */
        border-top-right-radius: 10px;
        border-bottom-right-radius: 10px;
        margin-right: 40px;
    }

    .vertical-text {
        transform: rotate(270deg);
        /* Rotar 270 grados */
        text-align: center;
    }

    .title {
        page-break-after: always;
    }

    .encabezado {
        height: 100px;
        width: 114px;
        position: relative;
        right: 8px;
        color: aliceblue;
    }

    /* Estilos para teléfonos (hasta 600px) */
    @media (max-width: 600px) {
        .flex-item2 {
            width: 250px;
            height: 98px;
            background-color: rgb(255, 255, 255);
            margin-left: 0px;
            float: left;
            border-right: 0.5px solid rgb(51, 51, 51);
            /* Línea izquierda */
            border-top: 0.5px solid rgb(51, 51, 51);
            /* Línea superior */
            border-bottom: 0.5px solid rgb(51, 51, 51);
            /* Línea inferior */
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
            margin-right: 40px;
            margin-bottom: 10px;
        }
    }

    .encabezadoTitulo {
        margin: 5px 10px;
        font-size: 12px;
        text-transform: uppercase;
    }

    .negrillaTitulo {
        font-size: 12px;
        font-weight: normal
    }

    .encabezadoDetalle {
        font-size: 12px
    }

    .image-container {
        position: relative;
        display: inline-block;
    }

    .image-container img {
        display: block;
        max-width: 100%;
        height: auto;
    }

    .checkbox {
        position: absolute;
        transform: translate(-50%, -50%);
        width: 1vw;
        height: 1vw;
        min-width: 15px;
        min-height: 15px;
        max-width: 30px;
        max-height: 30px;
    }

    @media (max-width: 600px) {
        .checkbox {
            width: 4vw;
            height: 4vw;
        }
    }

    .tabla-historial {
        height: 300;
        overflow: auto;
    }

    .tabla-historial {
        height: 300px;
        /* Altura fija */
        width: 100%;
        /* Ancho completo */
        border: 1px solid #ddd;
        /* Borde alrededor de la tabla */
        border-radius: 5px;
        /* Bordes redondeados */
        margin: 20px 0;
        /* Espaciado alrededor de la tabla */
        overflow: hidden;
        /* Ocultar el desbordamiento */
    }

    .ag-theme-alpine .ag-header {
        background-color: #f4f4f4;
        /* Fondo de los encabezados */
        font-weight: bold;
        /* Texto en negrita para los encabezados */
    }

    .ag-theme-alpine .ag-row {
        border-bottom: 1px solid #ddd;
        /* Borde inferior de las filas */
    }

    .ag-theme-alpine .ag-row:nth-child(even) {
        background-color: #f9f9f9;
        /* Fondo alternativo para filas pares */
    }

    .ag-theme-alpine .ag-row:hover {
        background-color: #f1f1f1;
        /* Fondo al pasar el ratón por encima */
    }
</style>
@section('content')
    <div class="nk-content">
        <div class="container-fluid">
            <div class="nk-content-inner">
                <div class="nk-content-body">
                    <div class="d-flex justify-content-center w-55">
                        <div class="w-100 bd-highlight">
                            <a href="{{ route('dashboard') }}" class="btn btn-white btn-dim btn-outline-dark m-1">
                                <em class="icon ni ni-home"></em><span>Home</span>
                            </a>
                            <a href="{{ route('informacionGinecologia') }}"
                                class="btn btn-white btn-dim btn-outline-dark m-1">
                                <em class="icon ni ni-arrow-left"></em><span>Retornar</span>
                            </a>
                            <button type="button" class="btn btn-white btn-dim btn-outline-dark m-1"
                                onclick="guardarEdicion({{ $id }})"><em
                                    class="icon ni ni-save"></em><span>Guardar</span></button>
                            <a href="{{ route('informacionGinecologia') }}"
                                class="btn btn-white btn-dim btn-outline-danger m-1">
                                <em class="icon ni ni-cross-circle"></em><span>Salir</span>
                            </a>
                        </div>
                        {{-- <div class="bd-highlight"><button type="button" class="btn btn-white btn-dim btn-outline-dark m-1" onclick="validar({{$id}})"><em class="icon ni ni-check-thick"></em><span>Informar</span></button></div> --}}
                        <div class="bd-highlight"><button type="button" class="btn btn-white btn-dim btn-outline-dark m-1"
                                onclick="showModalPdf({{ $id }})"><em
                                    class="icon ni ni-file-pdf"></em><span>Generar PDF </span></button></div>
                    </div>
                    <div class="nk-block">
                        <div class="row g-gs">
                            <div class="col-xxl-12 col-sm-12">
                                <div class="card border shadow-sm rounded-5 p-2">
                                    <div class="nk-ecwg nk-ecwg6">
                                        <div class="card-inner">
                                            <div class="card-title-group">
                                                <div class="card-title">
                                                    <h6 class="titulo"><em class="icon ni ni-user-alt"></em><span>INFORME DE
                                                            GINECOLOGIA</span></h6>
                                                </div>
                                            </div>
                                            <input type="hidden" name="idpaciente" id="idpaciente"
                                                value="{{ $datos[0]->id }}">

                                            <input type="hidden" name="idinforme" id="idinforme"
                                                value="{{ $id }}">
                                            <input type="hidden" name="tipo" id="tipo" value="4">
                                            <input type="datetime-local" class="form-control form-control-sm" id="visita"
                                                name="visita" hidden>
                                            <div class="container-fluid">
                                                {{-- CONTENIDO DE LA VISTA --}}
                                                <div class="row">
                                                    {{-- INFORMACION DEL PACIENTE E HISTORIAL DEL PESO --}}
                                                    
                                                    <div class="col-md-6 card shadow-sm mb-4" style="border: none; background-color: #f7f7f7; height: auto;">
                                                        <div class="d-flex justify-content-between align-items-center">
                                                            <div style="padding: 5px 0;" >
                                                                <strong class="mb-0">INFORMACIÓN DEL PACIENTE</strong>
                                                            </div>
                                                            <div >
                                                                <strong>ID:</strong> {{$id}}
                                                            </div>
                                                        </div>
                                                        <div class="card-body text-uppercase" style="padding-top: 0; padding-bottom: 3px;">
                                                            <div class="row g-1">
                                                                <div class="col-xxl-4 col-md-9">
                                                                    <span><strong>Nombre:</strong> {{ $datos[0]->paterno }} {{ $datos[0]->materno }} {{ $datos[0]->nombre }}</span>
                                                                </div>
                                                                <div class="col-xxl-4 col-md-3">
                                                                    <span><strong>ci:</strong> {{ $datos[0]->ci }}</span>
                                                                </div>
                                                                <div class="col-xxl-4 col-md-12">
                                                                    <strong>Medico:</strong> {{ $medico[0]->nombreMedico}}
                                                                </div>
                                                                <div class="col-xxl-4 col-lg-12">
                                                                    <strong>F. NACIMIENTO: </strong>{{ $datos[0]->nacimiento ? \Carbon\Carbon::parse($datos[0]->nacimiento)->format('d/m/Y') : '' }}
                                                                </div>
                                                                <div class="col-xxl-4 col-lg-12">
                                                                    <strong>OCUPACIÓN: </strong>{{ $datos[0]->profesion }}
                                                                </div>
                                                                <div class="col-xxl-4 col-lg-6 col-md-12">
                                                                    <strong>FECHA DE CONSULTA: </strong>{{ now()->format('d/m/Y') }}
                                                                </div>
                                                                <div class="col-lg-2 col-md-6">
                                                                    <strong>EDAD: </strong>{{ $datos[0]->edad }}
                                                                </div>
                                                                <div class="col-lg-2 col-md-6">
                                                                    <strong>SEXO: </strong>{{ $datos[0]->sexo }}
                                                                </div>
                                                                <div class="col-xxl-4 col-lg-12">
                                                                    <strong>Domicilio: </strong>{{ $paciente->direccion }}
                                                                </div>
                                                                <div class="col-xxl-4 col-lg-12">
                                                                </div>
                                                                <div class="col-xxl-6 col-lg-12">
                                                                    <div class="d-flex align-items-center" style="flex: 1 1 auto; min-width: 250px;">
                                                                    <strong>Diagnóstico:</strong>
                                                                    <span style="margin-left: 10px;"></span>
                                                                    <input type="hidden" value="0" name="editar-dx" id='editar-dx'> 
                                                                    <input type="hidden" value="{{ $datos[0]->diagnostico_id }}" id='diagnostico_id' name="diagnostico_id">
                                                                    <input type="text" id="diagnostico" name="diagnostico" value="{{ $datos[0]->diagnostico }}" 
                                                                           disabled class="form-control form-control-sm me-2" style="width: 180px;">
                                                                    <em class="icon ni ni-pen2" style="cursor: pointer; font-size: 1rem;" id="edit-diagnostico"></em>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xxl-6 col-lg-12">
                                                                    <div class="d-flex align-items-center" style="white-space: nowrap; flex: 1 1 auto; min-width: 250px;">
                                                                        <strong>Seguro:</strong>
                                                                        <span style="margin-left: 10px;"></span>
                                                                        <select id="idseguro" name="idseguro" class="form-select form-select-sm" style="width: auto; min-width: 120px;">
                                                                            @foreach ($seguros as $seguro)
                                                                                <option value="{{ $seguro->id }}" {{ $paciente->idseguro == $seguro->id ? 'selected' : '' }}>
                                                                                    {{ $seguro->nombre }}
                                                                                </option>
                                                                            @endforeach
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-xxl-4 col-lg-4">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <strong style="font-size: 1.2em; color: #333;">HISTORIAL
                                                            DEL PACIENTE</strong>
                                                        <div id="historial-accordion"
                                                            style="cursor: pointer; padding: 10px; border-bottom: 2px solid transparent; transition: border-color 0.3s; background: #f8f9fa; border-radius: 5px;">
                                                            <span style="font-weight: 600; color: #007bff;">Mostrar/Esconder
                                                                Historial</span>
                                                            <span id="accordion-icon"
                                                                style="float: right; transition: transform 0.3s; margin-left: 10px;">&#9660;</span>
                                                            <!-- Icono de flecha hacia abajo -->
                                                        </div>
                                                        <div id="miHistorial" class="ag-theme-alpine" wire:ignore
                                                            style="width: 100%; max-height: 0; opacity: 0; overflow: hidden; transition: max-height 0.5s ease, opacity 0.5s ease; visibility: hidden; box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); padding: 10px;">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-lg-6 col-md-7 col-sm-12 mb-4">
                                                        {{-- <strong>ESTADO ACTUAL DEL PACIENTE</strong> --}}
                                                        <div class="row g-2">
                                                            <div
                                                                class="d-flex justify-content-between flex-column-reverse flex-sm-row  bd-highlight">
                                                                <div class="w-100 bd-highlight">
                                                                    <div class="mb-0">
                                                                        <label for="motivo"
                                                                            class="col-form-label"><strong
                                                                                class="text-uppercase">Motivo de Consulta:</strong></label>
                                                                        <textarea style="min-height: 68px;" rows="2" class="form-control form-control-sm" id="motivo" name="motivo" tabindex="1">{!! $datosGinecologia[0]->motivo !!}</textarea>
                                                                    </div>
                                                                    <div class="mb-0">
                                                                        <label for="enfermedad"
                                                                            class="col-form-label"><strong
                                                                                class="text-uppercase">enfermedad
                                                                                actual</strong></label>
                                                                        <textarea style="min-height: 68px;" rows="2" class="form-control" id="enfermedad" name="enfermedad" rows="3">{!! $datosGinecologia[0]->enfermedad !!}</textarea>


                                                                    </div>
                                                                    <div class="mb-0">
                                                                        <label for="antecedentes_familiares" class="col-form-label">
                                                                            <strong class="text-uppercase">ANTECEDENTES FAMILIARES</strong>
                                                                        </label>
                                                                        <textarea style="min-height: 68px;" rows="2" class="form-control textarea-ancho-fijo" id="antecedentes_familiares" name="antecedentes_familiares"
                                                                            rows="3">{!! $datosGinecologia[0]->antecedentes_familiares !!}</textarea>
                                                                    </div>
                                                                </div>
                                                                <div class="p-3 flex-shrink-1 bd-highlight"
                                                                    style="height: 310px; margin-left: 5px; border:solid 1px #919191; box-shadow: 1px 4px 5px 0px #9d9d9d;border-radius: 10px">
                                                                    <table
                                                                        class="table table-sm text-center table-striped">
                                                                        <tbody class="">
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>Talla:</strong>
                                                                                </td>
                                                                                <td>
                                                                                    <input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="talla" id="talla"
                                                                                        autocomplete="off" tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->talla }}">

                                                                                </td>
                                                                                <td class="estadoFisico">cm
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>Peso:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="peso" id="peso"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->peso }}">
                                                                                </td>
                                                                                <td class="estadoFisico">Kg
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>Sat O2:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="sat" id="sat"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->sat }}">
                                                                                </td>
                                                                                <td class="estadoFisico">%</td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>PA:</strong>
                                                                                </td>
                                                                                <td class="d-flex">
                                                                                    <input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="pa" id="pa"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2" style="width: 35px"
                                                                                        value="{{ $estadoPaciente[0]->pa }}"><small>/</small>
                                                                                    <input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="pa1" id="pa1"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2" style="width: 35px"
                                                                                        value="{{ $estadoPaciente[0]->pa1 }}">
                                                                                </td>
                                                                                <td class="estadoFisico">MmHg
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>FC:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="fc" id="fc"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->fc }}">
                                                                                </td>
                                                                                <td class="estadoFisico">
                                                                                    Lat/min</td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>FR:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="fr" id="fr"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->fr }}">
                                                                                </td>
                                                                                <td class="estadoFisico">
                                                                                    Resp/min</td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>T°:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="temp" id="temp"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->temp }}">
                                                                                </td>
                                                                                <td class="estadoFisico">°C
                                                                                </td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>PS:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="ps" id="ps"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->ps }}">
                                                                                </td>
                                                                                <td class="estadoFisico"></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>IMC:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="imc" id="imc"
                                                                                        autocomplete="off"
                                                                                        step="0.01"tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->imc }}">
                                                                                </td>
                                                                                <td class="estadoFisico"></td>
                                                                            </tr>
                                                                            <tr>
                                                                                <td class="estadoFisico">
                                                                                    <strong>SC:</strong>
                                                                                </td>
                                                                                <td><input type="number"
                                                                                        class="datoHemoEstado"
                                                                                        name="sc" id="sc"
                                                                                        autocomplete="off" step="0.01"
                                                                                        tabindex="2"
                                                                                        value="{{ $estadoPaciente[0]->sc }}">
                                                                                </td>
                                                                                <td class="estadoFisico"></td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table>
                                                                </div>

                                                            </div>
                                                            <div class="mb-0">
                                                                <label for="antecedentes" class="col-form-label">
                                                                    <strong class="">ANTECEDENTES PERSONALES PATOLÓGICOS</strong>
                                                                </label>
                                                                <textarea style="min-height: 40px;" class="form-control " id="antecedentes" name="antecedentes"
                                                                    rows="2">{!! $datosGinecologia[0]->antecedentes !!}</textarea>
                                                            </div>
                                                            {{-- Antecedentes obstetricos --}}
                                                            <div class="col-12 mt-3">
                                                                <strong class="text-uppercase">Antecedentes personales ginecológicos - obstétricos</strong>
                                                            </div>
                                                            
                                                            <!-- Menarca -->
                                                            <div class="col-xl-4 col-lg-4 col-md-5 col-sm-4 d-flex align-items-center">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label"
                                                                        for="menarca">Menarca</label>
                                                                    <div class="form-control-wrap"
                                                                        style="margin-top: -5px;">
                                                                        <input type="number" class="form-control"
                                                                            id="menarca" name="menarca"
                                                                            value="{{ $datosGinecologia[0]->menarca }}"
                                                                            placeholder="Edad en años">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-5 col-sm-4 d-flex align-items-center">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="gestas">Gestas</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="number" class="form-control" id="gestas" value="{{ $datosGinecologia[0]->gestas }}" name="gestas" autocomplete="off" placeholder="Número de gestas">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-md-2 col-sm-4"></div>
                                                            
                                                            <!-- Ritmo -->
                                                            <div class="col-xl-4 col-lg-4 col-md-6 col-sm-4 d-flex align-items-center">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label text-capitalize" for="ritmo">Ritmo</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="text" id="ritmo" name="ritmo" value="{{ $datosGinecologia[0]->ritmo }}" class="form-control" autocomplete="off" placeholder="Ritmo">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 d-flex align-items-center">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="partos">Partos</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="number" class="form-control mayusculaTexto" id="partos" value="{{ $datosGinecologia[0]->partos }}" name="partos" autocomplete="off" placeholder="Número de partos">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 d-flex align-items-center">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="fup">FUP</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="date" class="form-control mayusculaTexto" id="fup" value="{{ $datosGinecologia[0]->fup }}" name="fup" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <!-- FUM -->
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="fum">FUM</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="date" class="form-control mayusculaTexto" id="fum" value="{{ $datosGinecologia[0]->fum }}" name="fum" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="abortos">Abortos</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="number" class="form-control mayusculaTexto" id="abortos" value="{{ $datosGinecologia[0]->abortos }}" name="abortos" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="fuab">FUAb</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="date" class="form-control mayusculaTexto" id="fuab" value="{{ $datosGinecologia[0]->fuab }}" name="fuab" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="mac">MAC</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="text" id="mac" name="mac" value="{{ $datosGinecologia[0]->mac }}" class="form-control" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="cesareas">Cesáreas</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="number" class="form-control mayusculaTexto" id="cesareas" value="{{ $datosGinecologia[0]->cesareas }}" name="cesareas" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="fuc">FUC</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="date" class="form-control mayusculaTexto" id="fuc" value="{{ $datosGinecologia[0]->fuc }}" name="fuc" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="irs">IRS (años)</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="number" class="form-control mayusculaTexto" id="irs" value="{{ $datosGinecologia[0]->irs }}" name="irs" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="pap">PAP</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="date" class="form-control mayusculaTexto" id="pap" value="{{ $datosGinecologia[0]->pap }}" name="pap" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-xl-4 col-lg-6 col-md-6 col-sm-4 mb-3">
                                                                <div class="form-group w-100">
                                                                    <label class="form-label" for="psex">Nº de P. Sex</label>
                                                                    <div class="form-control-wrap" style="margin-top: -5px;">
                                                                        <input type="number" class="form-control mayusculaTexto" id="psex" value="{{ $datosGinecologia[0]->psex }}" name="psex" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="col-12">
                                                                <div class="form-group">
                                                                    <div class="form-control-wrap">
                                                                        <label class="form-label" for="resultado_pap">Resultado del PAP</label>
                                                                        <input type="text" class="form-control form-control-outlined" id="resultado_pap" value="{{ $datosGinecologia[0]->resultado_pap }}" name="resultado_pap" autocomplete="off">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-12">
                                                                <strong>IMAGENES</strong>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="file-input-wrapper">
                                                                    <label for="ruta" class="form-label"><span><em class="icon ni ni-camera"></em></span>1</label>
                                                                    <input class="form-control" type="file" id="ruta" name="imagen1" accept="image/*">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div id="preview-container" class="mt-2 preview-container">
                                                                    @if ($datosGinecologia[0]->imagen1)
                                                                    <img src="{{asset('images/'.$datosGinecologia[0]->imagen1)}}" alt="">
                                                                    @endif
                                                                </div>
                                                            </div>
                                                                
                                                            <div class="col-md-6">
                                                                <div class="file-input-wrapper">
                                                                    <label for="ruta1" class="form-label"><span><em class="icon ni ni-camera"></em></span>2</label>
                                                                    <input class="form-control" type="file" id="ruta1" name="imagen2" accept="image/*">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div id="preview-container1" class="mt-2 preview-container">
                                                                    @if ($datosGinecologia[0]->imagen2)
                                                                    <img src="{{asset('images/'.$datosGinecologia[0]->imagen2)}}" alt="">
                                                                    @endif
                                                                </div>
                                                            </div>
                                                            <div class="col-12">
                                                                <label for="descripcion"
                                                                            class="col-form-label">
                                                                            <strong class="text-uppercase">Descripción de las imagenes</strong>
                                                                        </label>
                                                                        <textarea style="text-transform: none; min-height: 40px" class="form-control textarea-ancho-fijo" id="descripcion_imagenes"
                                                                            name="descripcion_imagenes" rows="2">{{ $datosGinecologia[0]->descripcion_imagenes }}</textarea>
                                                            </div>
                                                            
                                                            {{-- FIN COLUMNA IZQUIERDA --}}
                                                        </div>
                                                    </div>
                                                    {{-- COLUMNA DERRECHA --}}
                                                    <div class=" col-lg-6 col-sm-12 col-md-5">
                                                        {{-- PARTE DE GINECOLOGIA, IMAGEN Y CARACTERISTICAS --}}
                                                        <div class=" row justify-content-center align-items-center">
                                                            <div class="col-12  col-xl-6 col-md-12 col-sm-6 d-flex justify-content-center align-items-center flex-column" >

                                                                <input type="hidden" id='imprimir' name='imprimir' value="{{ $datosGinecologia[0]->informe->imprimir }}">
                                                                <!-- Botón para alternar entre imágenes -->
                                                                <button 
                                                                type="button" id="toggleButton" 
                                                                class="btn btn-primary mb-5" 
                                                                onclick="toggleImages()">
                                                                    Cambiar a Mama
                                                                </button>
                                                                <!-- Contenedor de la imagen de mama -->
                                                                <div class="image-container contenido-mama" id="mamaImage" style="display: {{ $datosGinecologia[0]->informe->imprimir == 'mama' ? 'block' : 'none' }}">
                                                                    <img src="{{ asset('/images/mama.png') }}"
                                                                        alt="Descripción de la imagen">
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama1" name="mama1" style="top: 66%; left: 29.5%;"
                                                                        {{ $datosGinecologia[0]->informe->mama1 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama2" name="mama2" style="top: 66%; left: 37.5%;"
                                                                        {{ $datosGinecologia[0]->informe->mama2 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama3" name="mama3" style="top: 77.5%; left: 29.5%;"
                                                                        {{ $datosGinecologia[0]->informe->mama3 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama4" name="mama4" style="top: 77.5%; left: 37.5%;"
                                                                        {{ $datosGinecologia[0]->informe->mama4 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama5" name="mama5" style="top: 66%; left: 63%;"
                                                                        {{ $datosGinecologia[0]->informe->mama5 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama6" name="mama6" style="top: 66%; left: 71%;"
                                                                        {{ $datosGinecologia[0]->informe->mama6 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama7" name="mama7" style="top: 77.5%; left: 63%;"
                                                                        {{ $datosGinecologia[0]->informe->mama7 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    <input type="checkbox"
                                                                        class="form-check-input checkbox"
                                                                        id="mama8" name="mama8" style="top: 77.5%; left: 71%;"
                                                                        {{ $datosGinecologia[0]->informe->mama8 == 1 ? 'checked' : '' }}
                                                                        >
                                                                    
                                                                </div>
                                                                <!-- Contenedor de la imagen de útero -->
                                                                <div class="image-container contenido-utero" id="uteroImage" style="display: {{ $datosGinecologia[0]->informe->imprimir == 'utero' ? 'block' : 'none' }}">
                                                                    <img src="{{ asset('/images/utero.jpg') }}" alt="Descripción de la imagen">
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion1" name="posicion1" style="top: 5%; left: 20%;"
                                                                        {{ $examen[0]->posicion1 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion2" name="posicion2"
                                                                        style="top: 14%; left: 50%;" {{ $examen[0]->posicion2 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion3" name="posicion3"
                                                                        style="top: 5%; left: 85%;" {{ $examen[0]->posicion3 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion4" name="posicion4"
                                                                        style="top: 25%; left: 3%;" {{ $examen[0]->posicion4 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion5" name="posicion5"
                                                                        style="top: 35%; left: 19%;" {{ $examen[0]->posicion5 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion6" name="posicion6"
                                                                        style="top: 28%; left: 47%;" {{ $examen[0]->posicion6 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion7" name="posicion7"
                                                                        style="top: 25%; left: 55%;" {{ $examen[0]->posicion7 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion8" name="posicion8"
                                                                        style="top: 35%; left: 80%;" {{ $examen[0]->posicion8 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion9" name="posicion9"
                                                                        style="top: 36%; left: 44%;" {{ $examen[0]->posicion9 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion10" name="posicion10"
                                                                        style="top: 36%; left: 58%;" {{ $examen[0]->posicion10 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion11" name="posicion11"
                                                                        style="top: 59%; left: 54%;" {{ $examen[0]->posicion11 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion12" name="posicion12"
                                                                        style="top: 75%; left: 60%;" {{ $examen[0]->posicion12 == 1 ? 'checked' : '' }}>
                                                                    <input type="checkbox" class="form-check-input checkbox" id="posicion13" name="posicion13"
                                                                        style="top: 25%; left: 97%;" {{ $examen[0]->posicion13 == 1 ? 'checked' : '' }}>
                                                                </div>
                                                            </div>
                                                            {{-- CARATCERISTICAS --}}
                                                            <div class="col-12 col-xl-6 col-md-12 col-sm-6 ">
                                                                <div class="col-md-12">
                                                                    <div class="row">
                                                                        <label for="mamaizq" class="col-form-label">
                                                                            <strong class="">Mama</strong>
                                                                        </label>
                                                                        <div class="form-group col-md-6">
                                                                            <div class="form-control-wrap">
                                                                                <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="mamaizq" name="mamaizq"
                                                                                    rows="1">{{ $examen[0]->mamaizq }}</textarea>
                                                                                <label class="form-label-outlined"
                                                                                    for="mamaizq" style="font-weight: bold;">Izquierdo</label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group col-md-6">
                                                                            <div class="form-control-wrap">
                                                                                <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="mamader" name="mamader"
                                                                                    rows="1">{{ $examen[0]->mamader }}</textarea>
                                                                                <label class="form-label-outlined"
                                                                                    for="mamader" style="font-weight: bold;">Derecho</label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <label for="abdomen" class="col-form-label">
                                                                        <strong class="">Abdomen</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control text-area-custom" id="abdomen" name="abdomen"
                                                                        rows="1">{{ $examen[0]->abdomen }}</textarea>
                                                                </div>

                                                                <div class="col-md-12">
                                                                    <label for="tacto" class="col-form-label">
                                                                        <strong class="">Tacto</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="tacto" name="tacto" rows="1">{{ $examen[0]->tacto }}</textarea>
                                                                </div>

                                                                <div class="col-md-12">
                                                                    <label for="vulva" class="col-form-label">
                                                                        <strong class="">Vulva</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="vulva" name="vulva" rows="1">{{ $examen[0]->vulva }}</textarea>
                                                                </div>

                                                                <div class="col-md-12">
                                                                    <label for="cervix" class="col-form-label">
                                                                        <strong class="">Cérvix</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="cervix" name="cervix" rows="1">{{ $examen[0]->cervix }}</textarea>
                                                                </div>

                                                                <div class="col-md-12">
                                                                    <label for="especulo" class="col-form-label">
                                                                        <strong class="">Espéculo</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="especulo" name="especulo" rows="1">{{ $examen[0]->especulo }}</textarea>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <label for="utero" class="col-form-label">
                                                                        <strong class="">Útero</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="utero" name="utero" rows="1">{{ $examen[0]->utero }}</textarea>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <label for="trompas" class="col-form-label">
                                                                        <strong class="">Trompas</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="trompas" name="trompas" rows="1">{{ $examen[0]->trompas }}</textarea>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="row">
                                                                        <label for="ovarioizq" class="col-form-label">
                                                                            <strong class="">Ovarios</strong>
                                                                        </label>
                                                                        <div class="form-group col-md-6">
                                                                            <div class="form-control-wrap">
                                                                                <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="ovarioizq" name="ovarioizq"
                                                                                    rows="1">{{ $examen[0]->ovarioizq }}</textarea>
                                                                                <label class="form-label-outlined"
                                                                                    for="ovarioizq" style="font-weight: bold;">Izquierdo</label>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group col-md-6">
                                                                            <div class="form-control-wrap">
                                                                                <textarea style="min-height: 40px;" class="form-control form-control-outlined" id="ovarioder" name="ovarioder"
                                                                                    rows="1">{{ $examen[0]->ovarioder }}</textarea>
                                                                                <label class="form-label-outlined"
                                                                                    for="ovarioder" style="font-weight: bold;">Derecho</label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <label for="otros" class="col-form-label">
                                                                        <strong class="">Otros</strong>
                                                                    </label>
                                                                    <textarea style="min-height: 40px;" class="form-control" id="otros" name="otros" rows="1">{{ $examen[0]->otros }}</textarea>
                                                                </div>


                                                            </div>
                                                        </div>
                                                        {{-- PARTE FINAL --}}
                                                        <div class="col-12 mt-3">
                                                            <label for="ecografia" class=" col-form-label">
                                                                <strong class="text-uppercase">ecografia y examenes
                                                                    complementarios</strong>
                                                            </label>
                                                            <textarea style="text-transform: none;" class="form-control" id="ecografia" name="ecografia" rows="3">{{ $datosGinecologia[0]->ecografia }}</textarea>
                                                        </div>
                                                        <div class="col-12 mt-3">
                                                            <label for="conclusion" class=" col-form-label">
                                                                <strong class="text-uppercase">conclusion</strong>
                                                            </label>
                                                            <textarea style="text-transform: none;" class="form-control" id="conclusion" name="conclusion" rows="3">{{ $datosGinecologia[0]->conclusion }}</textarea>
                                                        </div>
                                                        <div class="col-12 mt-3">
                                                            <label for="tratamiento" class=" col-form-label">
                                                                <strong class="text-uppercase">tratamiento</strong>
                                                            </label>
                                                            <textarea style="text-transform: none;" class="form-control" id="tratamiento" name="tratamiento" rows="3">{{ $datosGinecologia[0]->tratamiento }}</textarea>
                                                        </div>
                                                        <div class="col-7 mt-3">
                                                            <div class="form-group w-100">
                                                                <label class="form-label" for="control">Próximo
                                                                    control
                                                                    en Fecha</label>
                                                                <div class="form-control-wrap"
                                                                    style="margin-top: -5px;">
                                                                    <input type="datetime-local" class="form-control "
                                                                        id="control" name="control"
                                                                        value="{!! $datosGinecologia[0]->control !!}"
                                                                        autocomplete="off">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {{-- Modal para Imprimir --}}
        <div class="modal fade" id="pdfModal" tabindex="-1" role="dialog" aria-labelledby="pdfModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-xl" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="pdfModalLabel">Visualizar PDF</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"
                            id="closeModalButton">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body text-center" style="position: relative;">
                        <div class="loader " id="loader"
                            style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%);"></div>
                        <iframe id="pdfIframe" style="width: 100%; height: 60vh;" frameborder="0"></iframe>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal" onclick="closeModal()">Cerrar</button>
                    </div>
                </div>
            </div>
        </div>

    @section('css')
        {{-- CSS PARA LOADER --}}
        <style>
            .loader {
                width: 50px;
                aspect-ratio: 1;
                display: grid;
                border-radius: 50%;
                background:
                    linear-gradient(0deg, rgb(0 0 0/50%) 30%, #0000 0 70%, rgb(0 0 0/100%) 0) 50%/8% 100%,
                    linear-gradient(90deg, rgb(0 0 0/25%) 30%, #0000 0 70%, rgb(0 0 0/75%) 0) 50%/100% 8%;
                background-repeat: no-repeat;
                animation: l23 1s infinite steps(12);
            }

            .loader::before,
            .loader::after {
                content: "";
                grid-area: 1/1;
                border-radius: 50%;
                background: inherit;
                opacity: 0.915;
                transform: rotate(30deg);
            }

            .loader::after {
                opacity: 0.83;
                transform: rotate(60deg);
            }

            @keyframes l23 {
                0% {
                    transform: rotate(0deg);
                }

                100% {
                    transform: rotate(1turn)
                }
            }
        </style>
        <style>
            .bg-red {
                background-color: red;
            }

            .estadoFisico {
                font-size: 12px;
                margin-bottom: 1px;
            }

            .datoHemoEstado {
                border: 0;
                width: 50px;
                font-size: 12px;
                padding-left: 10px;
            }

            .datoHemoEstado:focus {
                border: none;
                /* Quita el borde en el estado de foco */
                outline: none;
                /* Asegúrate de que no haya contorno visible */
                background: #f5f6fa;
                border-radius: 5px;
            }

            .flex-shrink-1 {
                flex-shrink: 1 !important
            }
        </style>
        <style>
            .form-check-input {
                width: 17px;
                height: 17px;
            }
            .preview-container img {
    width: auto; /* Ajusta el tamaño de la imagen según sea necesario */
    height: 90px;
    object-fit: cover; /* Ajusta la imagen para cubrir el contenedor */
}
        </style>
    @endsection

    @section('js1')
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-lite.min.js"></script>
        <script src="{{ asset('js/modulos/historialEstados.js') }}"></script>
        <script>
            function showModalPdf(id) {

                var url = '../ginecologiaPdf/' + id;
                // Configurar el iframe para que cargue el PDF
                var iframe = document.getElementById('pdfIframe');
                iframe.src = url;
                var loader = document.getElementById('loader');
                loader.style.visibility = 'visible'; 
                iframe.onload = function() {
                    loader.style.visibility = 'hidden';
                };
                // Mostrar el modal
                $('#pdfModal').modal('show');


            }

            function closeModal() {
                $('#pdfModal').modal('hide'); // jQuery para ocultar el modal
                $('#pdfIframe').attr('src', '');
            }
            document.getElementById('closeModalButton').addEventListener('click', closeModal);

            /* Abrir el modal de impresion con combinacion de tetclas */
            document.addEventListener('keydown', function(event) {
                if (event.ctrlKey && event.key === 'p') {
                    event
                        .preventDefault(); // Prevenir la acción por defecto del navegador para evitar abrir el diálogo de impresión
                    var id = $('#idinforme')
                        .val(); // Cambia esto con el ID que deseas usar o encuentra una manera de obtenerlo dinámicamente
                    showModalPdf(id);

                }
            });
        </script>
        <script>
            
            // Obtener la fecha y hora actual
            var now = new Date();
            // Formatear la fecha y hora para el input datetime-local
            var year = now.getFullYear();
            var month = String(now.getMonth() + 1).padStart(2, '0');
            var day = String(now.getDate()).padStart(2, '0');
            var hours = String(now.getHours()).padStart(2, '0');
            var minutes = String(now.getMinutes()).padStart(2, '0');

            var formattedDateTime = `${year}-${month}-${day}T${hours}:${minutes}`;
            // Establecer el valor del input
            $('#visita').val(formattedDateTime);

            function guardarEdicion(idPeticion) {
                var idpaciente = $("#idpaciente")
                    .val(); // Este campo no estaba en tu JSON de prueba, pero se incluye en la solicitud
                var visita = $("#visita").val(); // La fecha de visita
                var tipo = $("#tipo").val(); // Tipo como número
                var proveniencia = $("#proveniencia").val();
                var remitente = $("#remitente").val();
                var peso = $("#peso").val();
                var talla = $("#talla").val();
                var imc = $("#imc").val();
                var pa = $("#pa").val();
                var fc = $("#fc").val();
                var fr = $("#fr").val();
                var sat = $("#sat").val();
                var temp = $("#temp").val();
                var motivo = $("#motivo").val();
                var enfermedad = $("#enfermedad").val();
                var antecedentes = $("#antecedentes").val();
                var antecedentes_familiares = $("#antecedentes_familiares").val();
                var menarca = $("#menarca").val();
                var ritmo = $("#ritmo").val();
                var mac = $("#mac").val();
                var pap = $("#pap").val();
                var fum = $("#fum").val();
                var gestas = $("#gestas").val();
                var partos = $("#partos").val();
                var abortos = $("#abortos").val();
                var cesareas = $("#cesareas").val();
                var irs = $("#irs").val();
                var fup = $("#fup").val();
                var fuab = $("#fuab").val();
                var fuc = $("#fuc").val();
                var resultado_pap = $("#resultado_pap").val();
                var psex = $("#psex").val();
                var ecografia = $("#ecografia").val();
                var conclusion = $("#conclusion").val();
                var tratamiento = $("#tratamiento").val();
                var control = $("#control").val();
                var posicion1 = $("#posicion1").is(":checked") ? 1 : 0;
                var posicion2 = $("#posicion2").is(":checked") ? 1 : 0;
                var posicion3 = $("#posicion3").is(":checked") ? 1 : 0;
                var posicion4 = $("#posicion4").is(":checked") ? 1 : 0;
                var posicion5 = $("#posicion5").is(":checked") ? 1 : 0;
                var posicion6 = $("#posicion6").is(":checked") ? 1 : 0;
                var posicion7 = $("#posicion7").is(":checked") ? 1 : 0;
                var posicion8 = $("#posicion8").is(":checked") ? 1 : 0;
                var posicion9 = $("#posicion9").is(":checked") ? 1 : 0;
                var posicion10 = $("#posicion10").is(":checked") ? 1 : 0;
                var posicion11 = $("#posicion11").is(":checked") ? 1 : 0;
                var posicion12 = $("#posicion12").is(":checked") ? 1 : 0;
                var posicion13 = $("#posicion13").is(":checked") ? 1 : 0;
                //Para mama
                var mama1 = $("#mama1").is(":checked") ? 1 : 0;
                var mama2 = $("#mama2").is(":checked") ? 1 : 0;
                var mama3 = $("#mama3").is(":checked") ? 1 : 0;
                var mama4 = $("#mama4").is(":checked") ? 1 : 0;
                var mama5 = $("#mama5").is(":checked") ? 1 : 0;
                var mama6 = $("#mama6").is(":checked") ? 1 : 0;
                var mama7 = $("#mama7").is(":checked") ? 1 : 0;
                var mama8 = $("#mama8").is(":checked") ? 1 : 0;
                var mamaizq = $("#mamaizq").val();
                var mamader = $("#mamader").val();
                var imprimir = $("#imprimir").val();
                var abdomen = $("#abdomen").val();
                var tacto = $("#tacto").val();
                var vulva = $("#vulva").val();
                var cervix = $("#cervix").val();
                var especulo = $("#especulo").val();
                var pa1 = $("#pa1").val();
                var ps = $("#ps").val();
                var sc = $("#sc").val();
                var utero = $("#utero").val();
                var trompas = $("#trompas").val();
                var ovarioder = $("#ovarioder").val();
                var ovarioizq = $("#ovarioizq").val();
                var otros = $("#otros").val();
                var descripcion_imagenes = $("#descripcion_imagenes").val();
                var imagen1 = $('#ruta')[0].files[0];
                var imagen2 = $('#ruta1')[0].files[0];
                //Diagnostico e idseguro
                var diagnostico = $("#diagnostico").val();
                var idseguro = $("#idseguro").val();

                var editarDx = $("#editar-dx").val();
                var diagnosticoId = $("#diagnostico_id").val();

                // Crea un objeto FormData
                var formData = new FormData();
                formData.append('idpaciente', idpaciente);
                formData.append('visita', visita);
                formData.append('tipo', tipo);
                formData.append('proveniencia', proveniencia);
                formData.append('remitente', remitente);
                formData.append('peso', peso);
                formData.append('talla', talla);
                formData.append('imc', imc);
                formData.append('pa', pa);
                formData.append('fc', fc);
                formData.append('fr', fr);
                formData.append('sat', sat);
                formData.append('temp', temp);
                formData.append('motivo', motivo);
                formData.append('enfermedad', enfermedad);
                formData.append('antecedentes', antecedentes);
                formData.append('antecedentes_familiares', antecedentes_familiares);
                formData.append('menarca', menarca);
                formData.append('ritmo', ritmo);
                formData.append('mac', mac);
                formData.append('pap', pap);
                formData.append('fum', fum);
                formData.append('gestas', gestas);
                formData.append('partos', partos);
                formData.append('abortos', abortos);
                formData.append('cesareas', cesareas);
                formData.append('irs', irs);
                formData.append('fup', fup);
                formData.append('fuab', fuab);
                formData.append('fuc', fuc);
                formData.append('resultado_pap', resultado_pap);
                formData.append('psex', psex);
                formData.append('ecografia', ecografia);
                formData.append('conclusion', conclusion);
                formData.append('tratamiento', tratamiento);
                formData.append('control', control);
                formData.append('posicion1', posicion1);
                formData.append('posicion2', posicion2);
                formData.append('posicion3', posicion3);
                formData.append('posicion4', posicion4);
                formData.append('posicion5', posicion5);
                formData.append('posicion6', posicion6);
                formData.append('posicion7', posicion7);
                formData.append('posicion8', posicion8);
                formData.append('posicion9', posicion9);
                formData.append('posicion10', posicion10);
                formData.append('posicion11', posicion11);
                formData.append('posicion12', posicion12);
                formData.append('posicion13', posicion13);
                //Para posiciones de mama
                formData.append('mama1', mama1);
                formData.append('mama2', mama2);
                formData.append('mama3', mama3);
                formData.append('mama4', mama4);
                formData.append('mama5', mama5);
                formData.append('mama6', mama6);
                formData.append('mama7', mama7);
                formData.append('mama8', mama8);
                formData.append('mamaizq', mamaizq);
                formData.append('mamader', mamader);
                formData.append('imprimir', imprimir);
                
                formData.append('abdomen', abdomen);
                formData.append('tacto', tacto);
                formData.append('vulva', vulva);
                formData.append('cervix', cervix);
                formData.append('especulo', especulo);
                formData.append('pa1', pa1);
                formData.append('ps', ps);
                formData.append('sc', sc);
                //Diagnostico e idseguro
                formData.append('diagnostico', diagnostico);
                formData.append('idseguro', idseguro);
                formData.append('utero', utero);
                formData.append('trompas', trompas);
                formData.append('ovarioder', ovarioder);
                formData.append('ovarioizq', ovarioizq);
                formData.append('otros', otros);
                formData.append('editarDx', editarDx);
                formData.append('diagnosticoId', diagnosticoId);
                formData.append('descripcion_imagenes', descripcion_imagenes);
                if (imagen1) {
                    formData.append('imagen1', imagen1); 
                }
                if (imagen2) {
                    formData.append('imagen2', imagen2);
                }
                // Para enviar la solicitud a tu endpoint, usa fetch o jQuery AJAX, dependiendo de tu preferencia.
                console.log(formData);
                $.ajax({
                    type: "POST",
                    url: "../editarGinecologia/" + idPeticion,
                    data: formData,
                    processData: false, // Necesario para enviar archivos
                    contentType: false, // Necesario para enviar archivos
                    headers: {
                        "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                    },
                    success: function(response) {
                        console.log(response);

                        Swal.fire({
                            title: "Atención",
                            text: 'Información editada correctamente',
                            position: 'top-end',
                            showConfirmButton: false,
                            timer: 1000
                        });
                    },
                    error: function(error) {
                        console.error(error);
                    }
                });
            }

            function generarPdf(idPeticion) {
                console.log(idPeticion)
                Swal.fire({
                    html: `
    <div class="container-fluid swal2-miEstilo">Patología</div>
    <div class="swal2-contenido">¿En qué Formato desea Generar?</div>
    <div class="mt-2">
    <div class="mt-2">
    <a  class="btn btn-primary me-1" id="pdfPrivado"><em class="icon ni ni-file-pdf"></em><span>Privado</span></a>
    <a  class="btn btn-primary me-1" id="pdfUniversitario"><em class="icon ni ni-file-pdf"></em><span>S.S.U.</span></a>
    <a  class="btn btn-danger" id="swal2-cancel"><em class="icon ni ni-cross-sm"></em><span>Cancelar</span></a>
    </div>
    `,
                    showCancelButton: false,
                    showConfirmButton: false,
                }).then(() => {
                    // Aquí puedes agregar cualquier acción que quieras realizar después de que el modal se cierre
                });

                // Agregar controladores de eventos para los botones personalizados después de que el modal se haya mostrado
                $(document).on('click', '#pdfPrivado', function() {
                    // Acción para el botón "Editar"
                    console.log(idPeticion);
                    var url = "{{ route('ginecologiaPdf', ['dato' => 'ID_PLACEHOLDER']) }}";
                    url = url.replace('ID_PLACEHOLDER', idPeticion);
                    Swal.close();
                    window.open(url, '_blank');

                    // Aquí puedes agregar la lógica que quieras ejecutar para editar
                });
                $(document).on('click', '#pdfUniversitario', function() {
                    // Acción para el botón "Editar"
                    console.log(idPeticion);
                    var url = "{{ route('inmunoPdfUniversitario', ['dato' => 'ID_PLACEHOLDER']) }}";
                    url = url.replace('ID_PLACEHOLDER', idPeticion);
                    Swal.close();
                    window.open(url, '_blank');

                    // Aquí puedes agregar la lógica que quieras ejecutar para editar
                });

                $(document).on('click', '#swal2-cancel', function() {
                    // Acción para el botón "Cancelar"
                    console.log('Cancelar');
                    Swal.close(); // Cerrar el modal
                });
            }
        </script>

        <script>
            document.getElementById('historial-accordion').addEventListener('click', function() {
                var historial = document.getElementById('miHistorial');
                var icon = document.getElementById('accordion-icon');
                if (historial.style.visibility === 'hidden') {
                    historial.style.visibility = 'visible';
                    historial.style.opacity = '1';
                    historial.style.maxHeight = historial.scrollHeight + 'px'; // Ajusta la altura máxima al abrir
                    this.style.borderColor = '#007bff'; // Cambiar color del borde al abrir
                    icon.style.transform = 'rotate(180deg)'; // Girar el icono
                } else {
                    historial.style.opacity = '0';
                    historial.style.maxHeight = '0'; // Colapsar
                    setTimeout(() => {
                        historial.style.visibility = 'hidden'; // Cambia la visibilidad después de la transición
                    }, 500); // 500 ms debe coincidir con la duración de la transición
                    this.style.borderColor = 'transparent'; // Restablecer el color del borde
                    icon.style.transform = 'rotate(0deg)'; // Restablecer el icono
                }
            });
        </script>
        <script>
            //Para calcular el Ps y SC
            $(document).ready(function() {
                function calcularIMC() {
                    var talla = parseFloat($("#talla").val());
                    var peso = parseFloat($("#peso").val());

                    if (!isNaN(talla) && !isNaN(peso) && talla > 0) {
                        var resultadoImc = peso / ((talla / 100) * (talla / 100));
                        console.log(resultadoImc);
                        $("#imc").val(resultadoImc.toFixed(2)); // Mostrar el resultado con dos decimales
                    } else {
                        $("#imc").val("Ingrese valores válidos");
                    }
                }
                $("#talla, #peso").on("input", calcularIMC);
            });
            $(document).ready(function() {
                function calcularSC() {
                    var talla = parseFloat($("#talla").val());
                    var peso = parseFloat($("#peso").val());

                    if (!isNaN(talla) && !isNaN(peso) && talla > 0) {
                        var resultadoImc = Math.sqrt((peso * talla) / 3600);
                        console.log(resultadoImc);
                        $("#sc").val(resultadoImc.toFixed(2)); // Mostrar el resultado con dos decimales
                    } else {
                        $("#sc").val("Ingrese valores válidos");
                    }
                }
                $("#talla, #peso").on("input", calcularSC);
            });
        </script>
        <script>
            // Seleccionar el input y los elementos del icono
            const diagnosticoInput = document.getElementById('diagnostico');
            const editarDxHidden = document.getElementById('editar-dx');
            const editIcon = document.getElementById('edit-diagnostico');
            
            // Variable para almacenar el valor original del diagnóstico
            let originalValue = diagnosticoInput.value;
        
            // Añadir un event listener para el icono
            editIcon.addEventListener('click', function() {
                // Verificar si el input está deshabilitado
                if (diagnosticoInput.disabled) {
                    // Si está deshabilitado, lo habilitamos
                    diagnosticoInput.disabled = false;
                    // Cambiamos el valor del campo hidden a 1
                    editarDxHidden.value = "1";
                    // Guardamos el valor original del diagnóstico
                    originalValue = diagnosticoInput.value;
                    // Cambiar el ícono a la "X"
                    editIcon.classList.remove('ni-pen2');
                    editIcon.classList.add('ni-cross-circle-fill');
                } else {
                    // Si está habilitado, volvemos al valor original
                    diagnosticoInput.value = originalValue;
                    // Deshabilitamos de nuevo el input
                    diagnosticoInput.disabled = true;
                    // Cambiamos el valor del campo hidden a 0
                    editarDxHidden.value = "0";
                    // Cambiar el ícono de vuelta al lápiz
                    editIcon.classList.remove('ni-cross-circle-fill');
                    editIcon.classList.add('ni-pen2');
                }
            });
        </script>
        <script>
            //Previsualizar imagenes
            $('#ruta').change(function() {
                var input = this;
    
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
    
                    reader.onload = function(e) {
                        $('#preview-container').html('<img class="img-fluid rounded preview-img" src="' + e.target.result + '">');
                    };
                    $('.close-btn').click(function() {
                        $('#preview-container').empty();
                        $('#ruta').val('');
                    });
    
                    reader.readAsDataURL(input.files[0]);
                }
            });
    
            $('#ruta1').change(function() {
                var input = this;
    
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
    
                    reader.onload = function(e) {
                        $('#preview-container1').html('<img class="img-fluid rounded" src="' + e.target.result + '">');
                    };
    
                    reader.readAsDataURL(input.files[0]);
                }
            });
        </script>

<script>
    function toggleImages() {
        const mamaImage = document.getElementById('mamaImage');
        const uteroImage = document.getElementById('uteroImage');
        const toggleButton = document.getElementById('toggleButton');
        const imprimirInput = document.getElementById('imprimir');

        if (mamaImage.style.display === "none") {
            // Mostrar la imagen de mama y ocultar la imagen de útero
            mamaImage.style.display = "block";
            uteroImage.style.display = "none";
            toggleButton.textContent = "Cambiar a Útero";
            imprimirInput.value = 'mama';
        } else {
            // Mostrar la imagen de útero y ocultar la imagen de mama
            mamaImage.style.display = "none";
            uteroImage.style.display = "block";
            toggleButton.textContent = "Cambiar a Mama";
            imprimirInput.value = 'utero';
        }
    }
//En caso de requerir en un futuro, solo se enviaran los que esten presentes en el dom, o bien los puntos de mama o de utero

            // Habilitar los checkboxes de mama y deshabilitar los de útero
            /* toggleCheckboxes(mamaImage, true);
            toggleCheckboxes(uteroImage, false); */
    // function toggleCheckboxes(container, isEnabled) {
    //     const checkboxes = container.querySelectorAll('input[type="checkbox"]');
    //     checkboxes.forEach(checkbox => {
    //         checkbox.disabled = !isEnabled;
    //     });
    // }
</script>
    @endsection
@endsection
