@extends('layouts.app')
@section('content')
<div class="nk-content">
    <div class="container-fluid">
      <div class="nk-content-inner">
        <div class="nk-content-body">
          <div class="nk-block">
            <div class="row g-gs">
              <div class="col-xxl-12 col-sm-6">
                <div class="card">
                  <div class="nk-ecwg nk-ecwg6">
                    <div class="card-inner">
                      <div class="card-title-group">
                        <div class="card-title">
                          <h6 class="titulo mb-1"><em class="icon ni ni-setting-alt"></em> Mantenimiento: <span>Institucion</span></h6>
                            
                        </div>
                      </div>
                      <hr>
                      <div class="data">
                        <span class="preview-title-lg overline-title">Crear Nueva Institucion</span>
                        <form method="post" action="{{ route('instituciones.store') }}" class="" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label class="form-label" for="codigo">Codigo</label>
                                <div class="form-control-wrap">
                                    <input type="text" class="form-control form-control-sm" name="codigo" id="codigo" autocomplete="codigo" placeholder="Codigo" value="{{ old('codigo') }}">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label" for="nombreInstituto">Institucion</label>
                                <div class="form-control-wrap">
                                    <input type="text" class="form-control form-control-sm" name="nombreInstituto" id="nombreInstituto" autocomplete="nombreInstituto" placeholder="Institucion" value="{{ old('nombreInstituto') }}">
                                </div>
                            </div>
                            <div class="form-group">
                              <label class="form-label" for="direccion">Domicilio</label>
                              <div class="form-control-wrap">
                                  <input type="text" class="form-control form-control-sm" name="direccion" id="direccion" autocomplete="direccion" placeholder="Domicilio" value="{{ old('direccion') }}">
                              </div>
                            </div>
                            <div class="form-group">
                              <label class="form-label" for="telefono">Telefono</label>
                              <div class="form-control-wrap">
                                  <input type="text" class="form-control form-control-sm" name="telefono" id="telefono" autocomplete="telefono" placeholder="Telefono" value="{{ old('telefono') }}">
                              </div>
                            </div>
                            <div class="form-group">
                              <label class="form-label" for="correo">E-mail</label>
                              <div class="form-control-wrap">
                                  <input type="text" class="form-control form-control-sm" name="correo" id="correo" autocomplete="correo" placeholder="E-mail" value="{{ old('correo') }}">
                              </div>
                            </div>
                            <div class="form-group">
                              <label class="form-label" for="nit">NIT</label>
                              <div class="form-control-wrap">
                                  <input type="text" class="form-control form-control-sm" name="nit" id="nit" autocomplete="nit" placeholder="NIT" value="{{ old('nit') }}">
                              </div>
                            </div>
                            <div class="form-group">
                              <label class="form-label" for="observacion">Observaciones</label>
                              <div class="form-control-wrap">
                                  <textarea class="form-control form-control-sm" name="observacion" id="observacion" autocomplete="observacion" placeholder="Observaciones" value="{{ old('observacion') }}">{{ old('observacion') }}</textarea>
                              </div>
                            </div>
                            
                            <button type="submit" class="btn btn-primary btn-sm">Registrar</button>
                            <a href="{{route('instituciones.index')}}"><button type="button" class="btn btn-danger btn-sm">Salir</button></a>
                        </form>
                        
                      </div>
                      @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</div>
</div>
@endsection