<html>

<head>
    <link rel="stylesheet" href="{{ public_path('css/pdf.css') }}">
</head>
<style>
    .markdown-content p {
        margin: 0;
        /* Elimina márgenes superior e inferior */
        padding: 0;
        /* Elimina relleno si lo hubiera */
    }
</style>
<body>
    <div id="header" class="w-100" style="">
        <table class="w-100" style="border-collapse: collapse;">
            <tr>
                <td style="text-align: left; width: 30%;" class="">
                    <img src="images/inlaci1.png" alt="logo" width="200">
                </td>
                <td style="width: 40%; text-align: center; vertical-align: middle;" class="">
                    <font face="verdana, arial, helvetica" size=1>
                        <div style="margin-top: 10px;">
                            <h2 class="mt-10" style="margin: 0; text-align: center;">INFORME DE OBSTETRICIA</h2>
                            <h3 style="margin: 0; text-align: center; color: black;">Informe Final</h3>
                        </div>
                    </font>
                </td>
                <td style="text-align: right; width: 30%; vertical-align: bottom;">
                    <div class="qr-image">
                        <img src="qrcodes/{{ $codigoqr . '.png' }}" alt="logo" width="45">
                    </div>
                </td>
            </tr>
        
            <tr>
                <td class="uppercase" style="border-bottom: 1.5px solid #262626; font-size: 13px;" colspan="2">
                    <strong>{{ $paciente->nombre }} {{ $paciente->paterno }} {{ $paciente->materno }}</strong>
                </td>
                <td class="bold text-sm" style="border-bottom: 1.5px solid #262626;" align="right;">
                    ID: {{ $paciente->historial }}
                </td>
            </tr>
        </table>
    </div>

    <div id="footer">
        <div>
            <table width="100%" style="margin-top: 20px" class="">
                <td style="vertical-align: bottom;" align="left" width="25%"><strong
                        style="font-size: 9px;">Galileo
                        Software</strong>
                    <p style="margin: -8;">
                        <strong style="font-size: 8px; padding-left: 11px">Ginecológica y Obstetricia</strong>
                    <p style="margin: -8;">
                        <small style="font-size: 8px; padding-left: 11px">Av. 6 de Agosto - Sopocachi</small>
                    <p style="margin: -8;">
                        <span style="font-size: 8px; padding-left: 11px">Celular: 78900226</span>
                    <p style="margin: -8;">
                        <strong style="font-size: 8px; padding-left: 11px">La Paz - Bolivia</strong>
                    <p style="margin: 1px;">
                </td>
            </table>
        </div>
        <table width="100%" class="text-xs" style="border-top: 1px solid #000000; margin-top: 5px">
            <td style="vertical-align: middle;">
                © 2024 by Galileo Software Bolivia
            </td>
        </table>
    </div>

    <div class="container">
        
        {{-- Información del paciente --}}
        <table class="informacion-paciente "
            style="width: 100%; padding-top:8px;font-size: 11px; width:100%;page-break-inside: avoid;">
            <tbody>
                <tr>
                    <td style="width: 30%"><strong>Fecha de Nacimiento:</strong>
                        {{ $paciente->nacimiento ? \Carbon\Carbon::parse($paciente->nacimiento)->format('d/m/Y') : '' }}
                    </td>
                    <td style="width: 15%"><strong>Edad:</strong>
                        {{ $paciente->nacimiento ? $paciente->edad_actual . ' años' : $paciente->edad }}
                    </td>
                    <td style="width: 20%"><strong>C.I.:</strong> {{ $paciente->ci }}</td>
                    <td style="width: 35%; text-transform: capitalize"><strong>Medico:</strong>
                        {{ $medico->nombreMedico }} </td>
                </tr>
                <tr>
                    <td><strong>La Paz:</strong> {{ date('d/m/Y') }}</td>
                    <td><strong>Sexo:</strong><span style="text-transform: uppercase;">
                            {{ $paciente->sexo }}</span></td>
                    <td><strong>Celular:</strong> {{ $paciente->telefono }}</td>
                    <td><strong>Seguro:</strong><span style="text-transform: uppercase;">
                            {{ $paciente->seguro->nombre }}</span></td>
                </tr>
                <tr style="border-bottom: solid #262626 1.5px">
                    <td class="" colspan="4" style=" page-break-inside: avoid;">
                        <strong>Diagnostico:</strong><span style="text-transform: uppercase; ">
                            {{ $paciente->diagnostico }}</span>
                    </td>
                </tr>
            </tbody>
        </table>

        {{-- CONTENIDO DE CONSULTA Y ESTADO DE PACIENTE --}}
        <table width="100%" class="" style="margin-top: 5px;">
            <tr>
                <td class="" style="text-align: left; width: 80%; vertical-align: top;">
                    <div class="text-sm ">
                        <strong style="">MOTIVO DE CONSULTA</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            {!! nl2br(e($ginecologia->motivo)) !!}
                        </div>
                    </div>
                    <div class="text-sm" style="margin-top: 5px;">
                        <strong style="">ENFERMEDAD ACTUAL</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            {!! nl2br(e($ginecologia->enfermedad ))!!}
                        </div>
                    </div>
                    <div class="text-sm" style="margin-top: 5px;">
                        <strong style="">ANTECEDENTES FAMILIARES</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            {!! nl2br(e($ginecologia->antecedentes_familiares)) !!}
                        </div>
                    </div>
                    <div class="text-sm" style="margin-top: 5px;">
                        <strong style="">ANTECEDENTES PERSONALES PATOLÓGICOS</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            {!! nl2br(e($ginecologia->antecedentes)) !!}
                        </div>
                    </div>
                </td>
                <td style="text-align: right; width: 17%; ; padding: 0; vertical-align: top;">
                    <div class="content-tabla">
                        <table align="left" class="tabla2" style="min-width: 125px;">
                            <tbody class="text-xs">
                                <tr>
                                    <td style="width: 30%"><strong>Talla:</strong></td>
                                    <td style="width: 30%">{{ $estadoPaciente->talla }}</td>
                                    <td style="width: 30%">cm.</td>
                                </tr>
                                <tr>
                                    <td><strong>Peso:</strong></td>
                                    <td>{{ $estadoPaciente->peso }}</td>
                                    <td>Kg.</td>
                                </tr>
                                <tr>
                                    <td ><strong>Sat O2:</strong></td>
                                    <td>{{ $estadoPaciente->sat }}</td>
                                    <td>%</td>
                                </tr>
                                <tr>
                                    <td><strong>PA:</strong></td>
                                    <td>{{ $estadoPaciente->pa }} {{ $estadoPaciente->pa ? '/' : '' }} {{ $estadoPaciente->pa1 }}</td>
                                    <td>mmHg</td>
                                </tr>
                                <tr>
                                    <td><strong>FC:</strong></td>
                                    <td>{{ $estadoPaciente->fc }}</td>
                                    <td>Lat/Min</td>
                                </tr>
                                <tr>
                                    <td><strong>FR:</strong></td>
                                    <td>{{ $estadoPaciente->fr }}</td>
                                    <td>Resp/Min</td>
                                </tr>
                                <tr>
                                    <td><strong>Tº:</strong></td>
                                    <td>{{ $estadoPaciente->temp }}</td>
                                    <td>°C</td>
                                </tr>
                                <tr>
                                    <td><strong>PS:</strong></td>
                                    <td>{{ $estadoPaciente->ps }}</td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td><strong>IMC:</strong></td>
                                    <td>{{ $estadoPaciente->imc }}</td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td><strong>SC:</strong></td>
                                    <td>{{ $estadoPaciente->sc }}</td>
                                    <td></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </td>

            </tr>
        </table>
        <div class="text-sm" style="margin-top: 5px;">
            <strong style="">ANTECEDENTES PERSONALES GINECOLÓGICOS - OSBTÉTRICOS</strong>
            <div style=" text-align: justify; font-size: 10px; margin-top: 0px; padding-top: 0px; ">
                <table style="width:100%; text-align: justify;" class="fertilidad-table">
                    <tr>
                        <td style="width: 40%"><strong>Menarca:
                            </strong>{{ $ginecologia->menarca ? $ginecologia->menarca . ' años' : '' }}</td>
                        <td style="width: 40%"><strong>Gestas: </strong>{{ $ginecologia->gestas }}</td>
                        <td style="width: 20%;  background-color: #fff;"></td>
                    </tr>
    
                    <tr>
                        <td><strong>Ritmo: </strong>{{ $ginecologia->ritmo }}</td>
                        <td><strong>Partos: </strong>{{ $ginecologia->partos }}</td>
                        <td><strong>FUP:
                            </strong>{{ $ginecologia->fup ? \Carbon\Carbon::parse($ginecologia->fup)->format('d/m/Y') : '' }}
                        </td>
                    </tr>
                    <tr>
                        <td><strong>FUM: </strong>{{ $ginecologia->fum ?? '' }}</td>
                        <td><strong>Abortos: </strong>{{ $ginecologia->abortos }}</td>
                        <td><strong>FUAb:
                            </strong>{{ $ginecologia->fuab ? \Carbon\Carbon::parse($ginecologia->fuab)->format('d/m/Y') : '' }}
                        </td>
                    </tr>
                    <tr>
                        <td><strong>MAC: </strong>{{ $ginecologia->mac ?? '' }}</td>
                        <td><strong>Cesareas: </strong>{{ $ginecologia->cesareas }}</td>
                        <td><strong>FUC:
                            </strong>{{ $ginecologia->fuc ? \Carbon\Carbon::parse($ginecologia->fuc)->format('d/m/Y') : '' }}
                        </td>
                    </tr>
                    <tr>
                        <td><strong>IRS: </strong>{{ $ginecologia->irs ? $ginecologia->irs . ' años' : '' }}</td>
                        <td colspan="2"><strong>Fecha PAP:
                            </strong>{{ $ginecologia->pap ? \Carbon\Carbon::parse($ginecologia->pap)->format('d/m/Y') : '' }}
                        </td>
                    </tr>
                    <tr>
                        <td><strong>Nº de P. Sex.: </strong>{{ $ginecologia->psex }}</td>
                        <td colspan="2"><strong>Resultado del PAP:: </strong>{{ $ginecologia->resultado_pap }}</td>
                    </tr>
                </table>

            </div>
        </div>
        <div style="border-top: 1.5px solid #262626; margin-top: 5px">
        </div>

        {{-- CONTENIDO  DE PRODUCTO --}}
        <table style="width:100%; margin-top: 0px !important; " class="producto-table text-xs ">
            <tr class="">
                <td style="width: 34%">
                    <strong>Producto: </strong> {{ $obstetricia->producto }}
                </td>
                <td style="width: 33%">
                    <strong>Peso Fetal: </strong>
                    {{ $obstetricia->peso_fetal ? $obstetricia->peso_fetal . ' gr.' : '' }}
                    <span style="margin-left: 5px; ">
                        <strong>FCF: </strong>{{ $obstetricia->fcf ? $obstetricia->fcf . ' lat/min' : '' }}
                    </span>
                </td>
                <td style="width: 33%;" class="">
                    <strong>Fondo Uterino: </strong>
                    {{ $obstetricia->uterino ? $obstetricia->uterino . ' cm' : '' }}
                    {{--  --}}
                </td>
            </tr>
            <tr class="">
                <td><strong>Edad Gestacional:
                    </strong>{{ $obstetricia->semanas ? $obstetricia->semanas . ' semanas' : '' }}
                    {{ $obstetricia->dias ? $obstetricia->dias . ' días' : '' }}</td>
                <td><strong>Presentación: </strong>{{ $obstetricia->presentacion }}</td>
                <td><strong>Liq. Amn.: </strong>{{ $obstetricia->liq_amn ? $obstetricia->liq_amn . ' ml' : '' }}
                </td>
            </tr>
            <tr>
                <td>
                    <table style="border-collapse: collapse; padding: 0; line-height: 1; margin-top: -5px;">
                        <tr>
                            <td style="padding: 0; vertical-align: middle;">
                                <strong>Movilidad Fetal:</strong>
                            </td>
                            <td style="padding: 0; vertical-align: middle;">
                                <input type="checkbox" {{ $obstetricia->movilidad === 1 ? 'checked' : '' }} />
                            </td>
                        </tr>
                    </table>
                </td>
                <td>
                    <div style="margin-top: -5px;"><strong>Posicion: </strong>{{ $obstetricia->posicion }}</div>
                </td>
                <td>
                    <div style="margin-top: -5px;"><strong>Placenta: </strong>{{ $obstetricia->placenta }}</div>
                </td>
            </tr>


            <tr>
                <td colspan="2">
                    <div style="margin-top: -6px">
                        <strong>Fecha Probable de parto: </strong>{!! \Str::replace(
                            'De',
                            'de',
                            ucwords(
                                $obstetricia->fecha_parto ?
                                    \Carbon\Carbon::parse($obstetricia->fecha_parto)->locale('es')->translatedFormat('l d \d\e F \d\e Y') : '', 
                            ),
                        ) !!}
                    </div>
                </td>
            </tr>
        </table>

        {{-- CONTENIDO DE IMAGENES --}}
        <table style="width: 100%;">
            <tr>
                <td style="text-align: left; width: 50%;">
                    <table style="width: 100%; text-align: center;">
                        <tr>
                            <td colspan="4">
                                <img src="images/izquierdo.jpg" style="width: 100%; height: auto;" alt="posiciones fetales">
                            </td>
                        </tr>
                        <tr style="text-align: center;">
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">NORMAL</td>
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">MARGINAL</td>
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">OCLUSIVA PARCIAL</td>
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">OCLUSIVA TOTAL</td>
                        </tr>
                        <tr style="text-align: center;">
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_placenta === 1 ? 'checked' : '' }}>
                            </td>
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_placenta === 2 ? 'checked' : '' }}>
                            </td>
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_placenta === 3 ? 'checked' : '' }}>
                            </td>
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_placenta === 4 ? 'checked' : '' }}>
                            </td>
                        </tr>
                    </table>
                </td>

                <td style="text-align: right; width: 50%;">
                    <table style="border-left: 1px solid black; width: 100%; text-align: center;">
                        <tr>
                            <td colspan="4">
                                <img src="images/derecho.jpg" style="width: 100%; height: auto;" alt="presentaciones fetales">
                            </td>
                        </tr>
                        <tr style="text-align: center;" >
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">CEFALICA</td>
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">PODALICA</td>
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">OBLICUO</td>
                            <td style="width: 25%; font-weight: bold;" class="text-xxs">TRANSVERSO</td>
                        </tr>
                        <tr style="text-align: center; ">
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio"  {{ $obstetricia->posicion_presentacion === 1 ? 'checked' : '' }}>
                            </td>
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_presentacion === 2 ? 'checked' : '' }}>
                            </td>
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_presentacion === 3 ? 'checked' : '' }}>
                            </td>
                            <td style="width: 25%;">
                                <input type="radio" class="custom-radio" {{ $obstetricia->posicion_presentacion === 4 ? 'checked' : '' }}>
                            </td>
                        </tr>
                    </table>
                    
                    
                </td>
            </tr>
        </table>
        <div style="border-top: 1.5px solid #262626; margin-top: 5px">
        </div>
        {{-- Contenido final  --}}
        <div class="text-sm" style="margin-top:5px;  margin-top: 5px; text-transform: uppercase;">
            <strong> <span style="margin-top:10px"> Ecografía y Exámenes Complementarios</span></strong>
    
        </div>
        <div style=" text-align: justify; margin-top: 5px; padding-top: 0px;" class="markdown-content text-sm">
            {!! nl2br(e($ginecologia->ecografia))!!}
        </div>
        <div class="text-sm" style=" text-transform: uppercase; margin-top: 5px;">
            <strong>Conclusión y Diagnóstico</strong>
        </div>
        <div style=" text-align: justify; margin-top: 5px; padding-top: 0px;" class="markdown-content text-sm">
            {!! nl2br(e($ginecologia->conclusion)) !!} </div>
        <div class="text-sm" style="text-transform: uppercase; margin-top: 5px;">
            <strong>Tratamiento:</strong>
        </div>
        <div style=" text-align: justify; margin-top: 5px; padding-top: 0px;" class="markdown-content text-sm">
            {!! nl2br(e($ginecologia->tratamiento)) !!}
        </div>
            <<div class="text-xs" style="position: fixed; bottom: -0.7cm; left: 0cm; right: 0cm; text-align: left;">
                <strong>Próxima Consulta:</strong>
                {!! \Str::replace(
                    'De',
                    'de',
                    ucwords(
                        $ginecologia->control ?
                            \Carbon\Carbon::parse($ginecologia->control)->locale('es')->translatedFormat('l d \d\e F \d\e Y') : '', 
                    ),
                ) !!}
            </div>
            <div class="text-sm"
        style="position: fixed; bottom: -2.7cm; left: 13cm; right: 0cm; text-align: left; text-transform: capitalize;">
        <div align="center" style="">
                <img src="./firmas/{{ $medico->firma }}" style="width: 110px;margin: 0px;">
                <p style="margin: 0px;">{{ $medico->nombreMedico }}</p>
                <p style="font-size: 9px;margin: 0px;">{{ $medico->especialidad }}</p>
                <p style="font-size: 9px;margin: 0px;">{{ $medico->colegialo }}</p>
        </div>
    </div>
        </div>
        <script type="text/php">
        if ( isset($pdf) ) {
            $pdf->page_script('
                $font = $fontMetrics->get_font("Arial, Helvetica, sans-serif", "normal");
                $pdf->text(530, 760, "Página $PAGE_NUM de $PAGE_COUNT", $font, 7);
            ');
        }
    </script>

</body>

</html>
