@extends('layouts.app')
<style>
input[type="file"] {
            display: block;
            margin: 0 auto 20px;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
            width: 100%;
            cursor: pointer;
        }
        .preview {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
            justify-content: center;
            margin-bottom: 20px;
        }

        .preview .img-container {
            position: relative;
            width: 250px;
            height: 250px;
        }

        .preview img {
            width: 250px;
            height: 250px;
            border-radius: 8px;
            object-fit: cover;
        }

        .preview .close-btn {
            position: absolute;
            top: 5px;
            right: 5px;
            background-color: rgba(255, 255, 255, 0.7);
            border: none;
            border-radius: 50%;
            width: 20px;
            height: 20px;
            font-size: 14px;
            cursor: pointer;
            line-height: 20px;
            text-align: center;
            padding: 0;
        }

        .preview .close-btn:hover {
            background-color: rgba(255, 0, 0, 0.7);
            color: #fff;
        }
</style>
@section('content')
<div class="nk-content">
    <div class="container-fluid">
      <div class="nk-content-inner">
        <div class="nk-content-body">
          <div class="nk-block">
            <div class="row g-gs">
              <div class="col-xxl-12 col-sm-12">
                <div class="card">
                  <div class="nk-ecwg nk-ecwg6">
                    <div class="card-inner">
                      <div class="card-title-group">
                        <div class="card-title">
                          <h6 class="titulo mb-1"><em class="icon ni ni-setting-alt"></em> Proceso Diario: <span>Registro de Patologia</span></h6>
                        </div>
                      </div>
                      <hr>
                      <div class="data">
                        <div class="container-fluid bg-light border p-2">
                          <p class="h6"><span class="icon ni ni-plus-medi-fill p-1"></span>NUEVA REGISTRO</p>
                        </div>
                        <div class="container-fluid border">
                          <div class="card-inner">
                            <ul class="nav nav-tabs mt-n3" role="tablist">
                              <li class="nav-item" role="presentation">
                                <a class="nav-link active px-3" data-bs-toggle="tab" href="#tabItem1" aria-selected="true" role="tab">DATOS DE INFORMACIÓN</a>
                              </li>
                            </ul>
                            <div class="tab-content">
                              <div class="tab-pane active show" id="tabItem1" role="tabpanel">
                                @if ($errors->any())
                                  <div class="alert alert-danger">
                                      <ul>
                                          @foreach ($errors->all() as $error)
                                              <li>{{ $error }}</li>
                                          @endforeach
                                      </ul>
                                  </div>
                                @endif
                                <div class="container-fluid">
                                  <form id="miFormulario" action="{{ route('peticiones.store')}}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row mb-1">
                                      <div class="col">
                                        <div id="accordion" class="accordion border mb-1">
                                          <div class="accordion-item">
                                            <div class="accordion-header d-flex justify-content-between align-items-center">
                                              <a href="#" class="accordion-head flex-grow-1" data-bs-toggle="collapse" data-bs-target="#accordion-item-1">
                                                <h6 class="title mb-0 fw-normal">Último N° Registro ({{ now()->format('F Y') }}): <span class="text-primary fw-normal">{{$ultimoRegistro}}</span> </h6>  
                                              </a>        
                                            </div>
                                            <div class="accordion-body collapse show" id="accordion-item-1" data-bs-parent="#accordion">
                                              <div class="accordion-inner">
                                                <div class="container">
                                                  <div class="row">
                                                    <div class="col">
                                                      <div class="mb-3 px-0 row">
                                                        <label for="registro" class="col-sm-3 col-form-label px-0"><small>N° Registro:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="text" class="form-control form-control-sm" id="registro" name="registro" value="{{$hoy}}">
                                                        </div>
                                                      </div>
                                                      <div class="mb-3 px-0 row">
                                                        <label for="apellidos" class="col-sm-3 col-form-label px-0"><small>Apellidos:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="text" class="form-control form-control-sm " id="apellidos" name="apellidos">
                                                        </div>
                                                      </div>
                                                      <div class="mb-3 px-0 row">
                                                        <label for="historial" class="col-sm-3 col-form-label px-0"><small>N° Historia:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="text" class="form-control form-control-sm " id="historial" name="historial">
                                                        </div>
                                                      </div>
                                                      <div class="mb-3 px-0 row">
                                                        <label for="nacimiento" class="col-sm-3 col-form-label px-0"><small>F. Nacimiento:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="date" class="form-control form-control-sm " id="nacimiento" name="nacimiento">
                                                        </div>
                                                      </div>
                                                    </div>
                                                    <div class="col">
                                                      <div class="mb-3 px-0 row">
                                                        <label for="visita" class="col-sm-3 col-form-label px-0"><small>F. Recibida:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="datetime-local" class="form-control form-control-sm" id="visita" name="visita">
                                                        </div>
                                                      </div>
                                                      <div class="mb-3 px-0 row">
                                                        <label for="nombres" class="col-sm-3 col-form-label px-0"><small>Nombres:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="text" class="form-control form-control-sm" id="nombres" name="nombres">
                                                        </div>
                                                      </div>
                                                      <div class="px-0 row">
                                                        <label for="ci" class="col-sm-3 col-form-label px-0"><small>Cedula de Identidad:</small></label>
                                                        <div class="col-sm-9 px-2">
                                                          <input type="text" class="form-control form-control-sm" id="ci" name="ci">
                                                        </div>
                                                      </div>
                                                      <div class="mb-3 px-0 row">
                                                        <label for="ci" class="col-sm-3 col-form-label px-0"></label>
                                                        <div class="col-sm-9 px-2">
                                                          <button type="button"class="btn btn-sm btn-primary" href="#" onclick="ModalBusquedaPaciente()"><em class="icon ni ni-search pe-1"></em>Buscar</button>
                                                        </div>
                                                      </div>
                                                    </div>
                                                  </div>
                                                </div>
                                              </div>
                                            </div>
                                          </div>
                                        </div>
                                        <div id="accordion" class="accordion border mb-1">
                                          <div class="accordion-item">
                                            <div class="accordion-header d-flex justify-content-between align-items-center">
                                              <a href="#" class="accordion-head flex-grow-1" data-bs-toggle="collapse" data-bs-target="#accordion-item-1">
                                                <h6 class="title mb-0 fw-normal">Imagenes</h6>  
                                              </a>        
                                            </div>
                                            <div class="accordion-body collapse show" id="accordion-item-1" data-bs-parent="#accordion">
                                              <div class="accordion-inner">
                                                <div class="preview" id="preview"></div>
                                                <input type="file" id="archivo" name="archivo[]" accept="image/*" multiple>
                                              </div>
                                            </div>
                                          </div>
                                        </div>
                                      </div>
                                      <div class="col">
                                        <div id="accordion" class="accordion border">
                                          <div class="accordion-item ">
                                            <div class="accordion-header d-flex justify-content-between align-items-center">
                                              <a href="#" class="accordion-head flex-grow-1" data-bs-toggle="collapse" data-bs-target="#accordion-item-2">
                                                <h6 class="title mb-0">INFORME</h6>  
                                              </a>        
                                              <a class="px-2" href="#"><span class="icon ni ni-minus-sm"></span></a>
                                              <input type="hidden" name="idpaciente" id="idpaciente">
                                            </div>
                                            <div class="accordion-body collapse show" id="accordion-item-2" data-bs-parent="#accordion2">
                                              <div class="accordion-inner m-0">
                                                <div class="mb-3">
                                                  <label for="interpretacion" class="form-label">INTERPRETACIÓN</label>
                                                  <textarea class="form-control textarea-sm" name="interpretacion" id="interpretacion"></textarea>
                                                </div>
                                                <div class="mb-3">
                                                  <label for="comentario" class="form-label">COMENTARIOX</label>
                                                  <input type="text" class="form-control textarea-sm" name="comentario" id="comentario"></textarea>
                                                </div> 
                                                <div class="mb-3">
                                                  <label for="macroscopico" class="form-label">MACROSCOPICO</label>
                                                  <textarea class="form-control textarea-sm" name="macroscopico" id="macroscopico"></textarea>
                                                </div> 
                                                <div class="mb-3">
                                                  <label for="microscopico" class="form-label">MICROSCOPICO</label>
                                                  <textarea class="form-control textarea-sm" name="microscopico" id="microscopico"></textarea>
                                                </div>  
                                              </div>
                                            </div>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="container-fluid border p-2 d-flex flex-row-reverse">
                                      <input class="btn btn-primary mx-1" type="submit" value="Guardar">
                                      <a href="{{route('peticiones.index')}}"><button type="button" class="btn btn-light mx-1">Cancelar</button></a>
                                    </div>
                                  </form>
                                </div>
                              </div>
                              <div class="tab-pane" id="tabItem2" role="tabpanel">
                                <p>Culpa dolor voluptate do laboris laboris irure reprehenderit id incididunt duis pariatur mollit aute magna pariatur consectetur. Eu veniam duis non ut dolor deserunt commodo et minim in quis laboris ipsum velit id veniam. Quis ut consectetur adipisicing officia excepteur non sit. Ut et elit aliquip labore Lorem enim eu. Ullamco mollit occaecat dolore ipsum id officia mollit qui esse anim eiusmod do sint minim consectetur qui.</p>
                              </div>
                              <div class="tab-pane" id="tabItem3" role="tabpanel">
                                <p>Fugiat id quis dolor culpa eiusmod anim velit excepteur proident dolor aute qui magna. Ad proident laboris ullamco esse anim Lorem Lorem veniam quis Lorem irure occaecat velit nostrud magna nulla. Velit et et proident Lorem do ea tempor officia dolor. Reprehenderit Lorem aliquip labore est magna commodo est ea veniam consectetur.</p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</div>
@section('js1')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="{{asset("js/selectize.min.js")}}"></script>
<script src="{{asset("js/modulos/peticionesCrear.js")}}"></script>
<script>
$(document).ready(function() {
            let fileList = [];

            $('#archivo').on('change', function(event) {
                const input = event.target;
                const preview = $('#preview');

                // Añadir archivos seleccionados a la lista
                for (let i = 0; i < input.files.length; i++) {
                    fileList.push(input.files[i]);
                }

                // Actualizar la vista previa
                updatePreview();
            });

            function updatePreview() {
                const preview = $('#preview');
                preview.empty();

                fileList.forEach((file, index) => {
                    const reader = new FileReader();
                    
                    reader.onload = function(e) {
                        const imgContainer = $('<div>').addClass('img-container');
                        const img = $('<img>').attr('src', e.target.result);
                        const closeBtn = $('<button>').addClass('close-btn').text('x');

                        closeBtn.on('click', function() {
                            fileList.splice(index, 1);
                            updatePreview();
                        });

                        imgContainer.append(img).append(closeBtn);
                        preview.append(imgContainer);
                    }

                    reader.readAsDataURL(file);
                });
            }

        });
</script>
@endsection
@endsection