@extends('layouts.app')
<style>
    .underline {
        position: absolute;
        bottom: -6px;
        left: 0;
        width: 100%;
        height: 3px;
        background-color: #c40a2f;
        display: none !important;
    }
</style>
@section('content')
    <div class="nk-content">
        <div class="nk-block-head-sub">
            <a href="{{ route('dashboard') }}" class="btn btn-white btn-dim btn-outline-dark">
                <em class="icon ni ni-home"></em><span>Home</span>
            </a>
        </div>
        <div class="container-fluid">
            <div class="card">
                @if (session()->has('success'))
                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                        {{ session('success') }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                @endif
                <h5 class="card-header rounded-top border" style="color:#000000; background: #ffffff;">
                    <em class="icon ni ni-user-alt"></em> INFORMACIÓN DEL PACIENTE
                </h5>
                <div class="card-body border shadow-sm">
                    <div class="row g-3">
                        <div class="col-12">
                            <div
                                class="border-bottom border-dark border-2 p-1 d-flex flex-wrap justify-content-between align-items-center">
                                <div class="d-flex flex-wrap align-items-center mb-1">
                                    <button class="btn btn-sm" id="btnAnterior">
                                        <em class="icon ni ni-back-alt-fill"></em>
                                    </button>
                                    <input type="text" id="indice"
                                        class="form-control form-control-sm mx-1 border border-white"
                                        style="width: 60px; text-align: center;" disabled>
                                    /
                                    <input type="text" id="total"
                                        class="form-control form-control-sm mx-1 border border-white "
                                        style="width: 60px; text-align: center" disabled>
                                    <button class="btn btn-sm" id="btnSiguiente">
                                        <em class="icon ni ni-forward-alt-fill"></em>
                                    </button>
                                </div>
                                <div class="d-flex flex-wrap g-2">
                                    <button class="btn btn-white btn-dim btn-outline-dark mx-1 mb-2"
                                        onclick="mostrarHistorialDx()" title="Historial Dx." disabled id='historial-dx'>
                                        <em class="icon ni ni-history"></em><span>Historial de Dx</span>
                                    </button>
                                    <a class="btn btn-white btn-dim btn-outline-dark mx-1 mb-2"
                                        onclick="alertaCreacionPacienteGine()" title="Adicionar paciente">
                                        <em class="icon ni ni-user-add-fill"></em><span>Nuevo Paciente</span>
                                    </a>
                                    <a class="btn btn-white btn-dim btn-outline-dark mx-1 mb-2"
                                        onclick="alertaEdicionPaciente()" title="Editar paciente">
                                        <em class="icon ni ni-account-setting"></em><span>Editar</span>
                                    </a>
                                </div>

                            </div>
                        </div>
                        <div class="col-12 col-lg-8 col-xl-6">
                            <div class="border p-5 shadow rounded-5" style="padding-top: 17px !important;">
                                @if (session('ultimoPaciente'))
                                    @php
                                        $ultimoPaciente = session('ultimoPaciente');
                                    @endphp
                                    <input type="hidden" id="idpaciente" value="{{ $ultimoPaciente->id }}">
                                    <div class="d-flex bd-highlight">
                                        <div class="p-2 w-100 bd-highlight"
                                            style="padding-top:27px !important;padding-left:0xp !important">
                                            <strong>
                                                <h6>BUSCAR PACIENTE</h6>
                                            </strong>
                                        </div>
                                        <div class="p-2 flex-shrink-1 bd-highlight">
                                            <button type="button" class="btn btn-white btn-dim btn-outline-dark m-1"
                                                onclick="buscarPaciente()">
                                                <em class="icon ni ni-search"></em>
                                                <span>Buscar</span>
                                            </button>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-12 col-md-6">
                                            <div class="mb-1 row">
                                                <label for="registro" class="col-sm-4 col-form-label">Código</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="registro" disabled value="{{ $ultimoPaciente->historial }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6">
                                            <div class="mb-1 row">
                                                <label for="ci"
                                                    class="col-sm-4 col-form-label d-flex flex-row-reverse">C.I.</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="ci" disabled value="{{ $ultimoPaciente->ci }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="mb-1 row">
                                                <label for="paterno" class="col-sm-2 col-form-label">Apellido Pat.</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="paterno" disabled value="{{ $ultimoPaciente->paterno }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                            <div class="mb-1 row">
                                                <label for="materno" class="col-sm-2 col-form-label">Apellido Mat.</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="materno" disabled value="{{ $ultimoPaciente->materno }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                            <div class="mb-1 row">
                                                <label for="nombre" class="col-sm-2 col-form-label">Nombre(s)</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="nombre" disabled value="{{ $ultimoPaciente->nombre }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6">
                                            <div class="mb-1 row">
                                                <label for="nacimiento" class="col-sm-4 col-form-label">F.
                                                    Nacimiento</label>
                                                <div class="col-sm-8">
                                                    <input type="date" class="form-control form-control-sm"
                                                        id="nacimiento" disabled value="{{ $ultimoPaciente->nacimiento }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-3">
                                            <div class="mb-1 row">
                                                <label for="edad" class="col-sm-5 col-form-label">Edad</label>
                                                <div class="col-sm-7">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="edad" disabled value="{{ $ultimoPaciente->edad }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-3">
                                            <div class="mb-1 row">
                                                <label for="sexo" class="col-sm-5 col-form-label">Sexo</label>
                                                <div class="col-sm-7">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="sexo" disabled value="{{ $ultimoPaciente->sexo }}"
                                                        style="text-transform: uppercase;">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @else
                                    <input type="hidden" id="idpaciente">
                                    <div
                                        class="d-flex bd-highlight justify-content-between align-items-center flex-wrap g-2">
                                        <div class="bd-highlight">
                                            <strong>
                                                <h6>BUSCAR PACIENTE</h6>
                                            </strong>
                                        </div>
                                        <div class="bd-highlight ml-auto ">
                                            <!-- Agregado ml-auto para empujar los botones a la derecha -->
                                            <div>
                                                <button type="button" class="btn btn-white btn-dim btn-outline-dark "
                                                    style="margin-bottom: 10px !important;"
                                                    onclick="busquedaPorParametro()">
                                                    <em class="icon ni ni-search"></em>
                                                    <span class="">Buscar</span>
                                                </button>
                                                <button type="button" class="btn btn-white btn-dim btn-outline-dark "
                                                    style="margin-bottom: 10px !important;" onclick="buscarPaciente()">
                                                    <em class="icon ni ni-reload"></em>
                                                    <span class="">Limpiar</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-12 col-md-6">
                                            <div class="mb-1 row">
                                                <label for="registro" class="col-sm-4 col-form-label">Código</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="registro" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6">
                                            <div class="mb-1 row">
                                                <label for="ci" class="col-sm-2 col-form-label">C.I.</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="ci" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="mb-1 row">
                                                <label for="paterno" class="col-sm-2 col-form-label">Apellido
                                                    Pat.</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="paterno" autocomplete="off">
                                                </div>
                                            </div>
                                            <div class="mb-1 row">
                                                <label for="materno" class="col-sm-2 col-form-label">Apellido
                                                    Mat.</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="materno" autocomplete="off">
                                                </div>
                                            </div>
                                            <div class="mb-1 row">
                                                <label for="nombre" class="col-sm-2 col-form-label">Nombre(s)</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="nombre" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-6">
                                            <div class="mb-1 row">
                                                <label for="nacimiento" class="col-sm-4 col-form-label">F.
                                                    Nacimiento</label>
                                                <div class="col-sm-8">
                                                    <input type="date" class="form-control form-control-sm"
                                                        id="nacimiento" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-3">
                                            <div class="mb-1 row">
                                                <label for="edad" class="col-sm-4 col-form-label">Edad</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="edad" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-3">
                                            <div class="mb-1 row">
                                                <label for="sexo" class="col-sm-4 col-form-label">Sexo</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="sexo" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="mb-1 row">
                                                <label for="diagnostico" class="col-sm-2 col-form-label"
                                                    title="Diagnostico Inicial del Paciente">Diagnostico</label>
                                                <div class="col-sm-10">
                                                    <input type="text" class="form-control form-control-sm"
                                                        id="diagnostico" autocomplete="off">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            </div>
                        </div>
                        <div class="col-12 col-lg-4 col-xl-6">
                            <div class="card-inner border p-5 shadow rounded-5">
                                <ul class="nav nav-tabs mt-n3" role="tablist">
                                    <li class="nav-item" role="presentation">
                                        <a class="nav-link active px-3" data-bs-toggle="tab" href="#tabItem1"
                                            aria-selected="true" role="tab">LABORATORIO</a>
                                    </li>
                                    <!--<li class="nav-item" role="presentation">
                                            <a class="nav-link px-3" data-bs-toggle="tab" href="#tabItem2" aria-selected="true" role="tab">DOCUMENTOS</a>
                                        </li>-->
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane active show" id="tabItem1" role="tabpanel">
                                        <a data-testid="ginecologia" href="#" onclick="showModal()" class="btn btn-dim btn-dark m-1"><em
                                                class="icon ni ni-note-add-c"></em><span>GINECOLOGÍA</span><span
                                                class="underline"></span></a>
                                        <a data-testid="obstetricia"href="#" onclick="showModal1()" class="btn btn-dim btn-dark m-1"><em
                                                class="icon ni ni-note-add-c"></em><span>OBSTETRICIA</span><span
                                                class="underline"></span</a>
                                                <a data-testid="fertilidad" href="#" onclick="showModal2()"
                                                    class="btn btn-dim btn-dark m-1"><em
                                                        class="icon ni ni-note-add-c"></em><span>FERTILIDAD</span><span
                                                        class="underline"></span></a>
                                    </div>
                                    <div class="tab-pane" id="tabItem2" role="tabpanel" style="height: 150px">

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <audio id="alertSound">
        <source src="{{ asset('sound/alerta1.mp3') }}" type="audio/mpeg">
    </audio>


    <div class="modal fade" tabindex="-1" id="modalHistorialDx">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <a href="#" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <em class="icon ni ni-cross"></em>
                </a>
                <div class="modal-header">
                    <h5 class="modal-title">Historial de Diagnósticos</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <table class="table table-striped" id="tablaHistorialDx">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Nombre del Diagnóstico</th>
                                <th>Módulo</th>
                                <th>Fecha de DX.</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Aquí se agregarán los datos con jQuery -->
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                    {{-- <button type="button" class="btn btn-primary">Exportar a PDF</button> --}}
                </div>
            </div>
        </div>
    </div>


@section('js1')
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="{{ asset('js/modulos/configGinecologia.js') }}"></script>

    <script>
        function showModal() {
            var idpaciente = $("#idpaciente").val();
            console.log(idpaciente);
            if (idpaciente !== "") {
                Swal.fire({
                    html: `
                    <div class="container-fluid swal2-miEstilo">Ginecologia</div>
                    <div class="swal2-contenido">Que desea Realizar?</div>
                    <div class="mt-2">
                    <a href="#" class="btn  btn-primary me-1" id="customButton"><em class="icon ni ni-file-plus"></em><span>Registrar</span></a>
                    <a href="#" class="btn  btn-primary me-1" id="swal2-confirm"><em class="icon ni ni-files"></em><span>Consultar</span></a>
                    <a href="#" class="btn  btn-danger" id="swal2-cancel"><em class="icon ni ni-cross-sm"></em><span>Cancelar</span></a>
                    </div>
                    `,
                    showCancelButton: false,
                    showConfirmButton: false,
                }).then(() => {
                    // Aquí puedes agregar cualquier acción que quieras realizar después de que el modal se cierre
                });
            } else {
                alert("introduzca un valor");
            }

            // Agregar controladores de eventos para los botones personalizados después de que el modal se haya mostrado
            $(document).on("click", "#customButton", function() {
                // Acción para el botón "Editar"
                var url = "./crearGinecologia/" + idpaciente;
                window.location.href = url;
                // Aquí puedes agregar la lógica que quieras ejecutar para editar
            });

            $(document)
                .off("click", "#swal2-confirm")
                .on("click", "#swal2-confirm", function() {
                    $.ajax({
                        type: "GET",
                        url: "./cantidadHistorial/" + idpaciente,
                        dataType: "json",
                        success: function(response) {
                            console.log(response);
                            var sw = 0;
                            response.forEach(function(item) {
                                var cantidad = item.cantidad;
                                var tipo = item.tipo;
                                if (tipo == 4 && cantidad > 0) {
                                    sw = 1;
                                }
                            });
                            if (sw == 0) {
                                var audio = document.getElementById("alertSound");
                                audio.play();
                                Swal.close();
                                Swal.fire({
                                    html: `
                              <div class="container-fluid swal2-miEstilo">Ginecologia</div>
                              <div class="swal2-contenido">No hay registros que coincidan con estos criterios de búsqueda</div>
                              <div class="mt-2">
                              <a href="#" class="btn  btn-danger" id="swal2-cancel"><em class="icon ni ni-cross-sm"></em><span>Aceptar</span></a>
                              </div>
                              `,
                                    timer: 10000,
                                    showConfirmButton: false,
                                });
                            } else {

                                var url =
                                    "{{ route('historialInformacionGinecologia', ['dato' => 'ID_PLACEHOLDER']) }}";
                                url = url.replace("ID_PLACEHOLDER", idpaciente);

                                window.location.href = url;
                            }
                        },
                        error: function(xhr, status, error) {
                            console.error("Error en la solicitud AJAX:", status, error);
                        },
                    });
                });

            $(document).on("click", "#swal2-cancel", function() {
                // Acción para el botón "Cancelar"
                console.log("Cancelar");
                Swal.close(); // Cerrar el modal
            });
        }
    </script>
    <script>
        //Para consultar registros
        function showModal1() {
            var idpaciente = $("#idpaciente").val();
            console.log(idpaciente);
            if (idpaciente !== "") {
                Swal.fire({
                    html: `
                            <div class="container-fluid swal2-miEstilo">Obstetricia</div>
                            <div class="swal2-contenido">Que desea Realizar?</div>
                            <div class="mt-2">
                            <a href="#" class="btn  btn-primary me-1" id="registroObs"><em class="icon ni ni-file-plus"></em><span>Registrar</span></a>
                            <a href="#" class="btn  btn-primary me-1" id="ConsultaObs"><em class="icon ni ni-files"></em><span>Consultar</span></a>
                            <a href="#" class="btn  btn-danger" id="cancelarInmuno"><em class="icon ni ni-cross-sm"></em><span>Cancelar</span></a>
                            </div>
                            `,
                    showCancelButton: false,
                    showConfirmButton: false,
                }).then(() => {
                    // Aquí puedes agregar cualquier acción que quieras realizar después de que el modal se cierre
                });
            } else {
                alert("introduzca un valor");
            }

            // Agregar controladores de eventos para los botones personalizados después de que el modal se haya mostrado
            $(document).on("click", "#registroObs", function() {
                // Acción para el botón "Editar"
                console.log(idpaciente);
                var url = "./crearObstetricia/" + idpaciente;
                window.location.href = url;
            });


            $(document).on("click", "#cancelarInmuno", function() {
                // Acción para el botón "Cancelar"
                console.log("Cancelar");
                Swal.close(); // Cerrar el modal
            });
        }
        $(document)
            .off("click", "#ConsultaObs")
            .on("click", "#ConsultaObs", function() {
                idpaciente = $("#idpaciente").val()
                $.ajax({
                    type: "GET",
                    url: "./cantidadHistorial/" + idpaciente,
                    dataType: "json",
                    success: function(response) {
                        console.log(response);
                        var sw = 0;
                        response.forEach(function(item) {
                            var cantidad = item.cantidad;
                            var tipo = item.tipo;
                            if (tipo == 5 && cantidad > 0) {
                                sw = 1;
                            }
                        });
                        if (sw == 0) {
                            var audio = document.getElementById("alertSound");
                            audio.play();
                            Swal.close();
                            Swal.fire({
                                html: `
                              <div class="container-fluid swal2-miEstilo">Obstetricia</div>
                              <div class="swal2-contenido">No hay registros que coincidan con estos criterios de búsqueda</div>
                              <div class="mt-2">
                              <a href="#" class="btn  btn-danger" id="cancelarInmuno"><em class="icon ni ni-cross-sm"></em><span>Aceptar</span></a>
                              </div>
                              `,
                                timer: 10000,
                                showConfirmButton: false,
                            });
                        } else {
                            var url =
                                "{{ route('historialInformacionObstetricia', ['dato' => 'ID_PLACEHOLDER']) }}";
                            url = url.replace("ID_PLACEHOLDER", idpaciente);
                            window.location.href = url;
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error("Error en la solicitud AJAX:", status, error);
                    },
                });
            });
    </script>

<script>
    function showModal2() {
        var idpaciente = $("#idpaciente").val();
        console.log(idpaciente);
        if (idpaciente !== "") {
            Swal.fire({
                html: `
                <div class="container-fluid swal2-miEstilo">Fertilidad</div>
                <div class="swal2-contenido">Que desea Realizar?</div>
                <div class="mt-2">
                <a href="#" class="btn  btn-primary me-1" id="customButton"><em class="icon ni ni-file-plus"></em><span>Registrar</span></a>
                <a href="#" class="btn  btn-primary me-1" id="consultaFert"><em class="icon ni ni-files"></em><span>Consultar</span></a>
                <a href="#" class="btn  btn-danger" id="swal2-cancel"><em class="icon ni ni-cross-sm"></em><span>Cancelar</span></a>
                </div>
                `,
                showCancelButton: false,
                showConfirmButton: false,
            }).then(() => {
                // Aquí puedes agregar cualquier acción que quieras realizar después de que el modal se cierre
            });
        } else {
            alert("introduzca un valor");
        }

        // Agregar controladores de eventos para los botones personalizados después de que el modal se haya mostrado
        $(document).on("click", "#customButton", function() {
            // Acción para el botón "Editar"
            var url = "./crearFertilidad/" + idpaciente;
            window.location.href = url;
            // Aquí puedes agregar la lógica que quieras ejecutar para editar
        });

        $(document)
            .off("click", "#consultaFert")
            .on("click", "#consultaFert", function() {
                $.ajax({
                    type: "GET",
                    url: "./cantidadHistorial/" + idpaciente,
                    dataType: "json",
                    success: function(response) {
                        console.log(response);
                        var sw = 0;
                        response.forEach(function(item) {
                            var cantidad = item.cantidad;
                            var tipo = item.tipo;
                            if (tipo == 6 && cantidad > 0) {
                                sw = 1;
                            }
                        });
                        if (sw == 0) {
                            var audio = document.getElementById("alertSound");
                            audio.play();
                            Swal.close();
                            Swal.fire({
                                html: `
                          <div class="container-fluid swal2-miEstilo">Fertilidad</div>
                          <div class="swal2-contenido">No hay registros que coincidan con estos criterios de búsqueda</div>
                          <div class="mt-2">
                          <a href="#" class="btn  btn-danger" id="swal2-cancel"><em class="icon ni ni-cross-sm"></em><span>Aceptar</span></a>
                          </div>
                          `,
                                timer: 10000,
                                showConfirmButton: false,
                            });
                        } else {

                            var url =
                                "{{ route('historialInformacionFertilidad', ['dato' => 'ID_PLACEHOLDER']) }}";
                            url = url.replace("ID_PLACEHOLDER", idpaciente);

                            window.location.href = url;
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error("Error en la solicitud AJAX:", status, error);
                    },
                });
            });

        $(document).on("click", "#swal2-cancel", function() {
            // Acción para el botón "Cancelar"
            console.log("Cancelar");
            Swal.close(); // Cerrar el modal
        });
    }
</script>
    <script>
        function alertaCreacionPacienteGine() {
            Swal.fire({
                title: "Atención",
                text: "Seguro que quieres crear un nuevo paciente",
                showCancelButton: true,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: "Si"
            }).then((result) => {
                if (result.isConfirmed) {
                    var url = "{{ route('pacientes.create') }}";
                    window.location.href = url;
                }
            });
        }

        function alertaEdicionPaciente() {
            var idpaciente = $("#idpaciente").val();
            var Paciente = $("#paterno").val() + " " + $("#materno").val() + " " + $("#nombre").val();
            Valor = capitalizeWords(Paciente);
            if (idpaciente !== "") {
                Swal.fire({
                    title: "Atención",
                    html: "Seguro que quieres Editar Informacion del Paciente: <br>" + Valor,
                    showCancelButton: true,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "Si"
                }).then((result) => {
                    if (result.isConfirmed) {
                        var url = "{{ route('pacientes.edit', ['paciente' => ':idpaciente']) }}";
                        window.location.href = url.replace(':idpaciente', idpaciente);
                    }
                });
            } else {
                alert("introduzca un valor")
            }
        }
    </script>
@endsection
@endsection
