@extends('layouts.app')
<style>
  input[type="file"] {
              display: block;
              margin: 0 auto 20px;
              padding: 10px;
              border: 1px solid #ccc;
              border-radius: 4px;
              width: 100%;
              cursor: pointer;
          }
          .preview {
              display: flex;
              flex-wrap: wrap;
              gap: 10px;
              justify-content: center;
              margin-bottom: 20px;
          }
  
          .preview .img-container {
              position: relative;
              width: 250px;
              height: 250px;
          }
  
          .preview img {
              width: 250px;
              height: 250px;
              border-radius: 8px;
              object-fit: cover;
          }
  
          .preview .close-btn {
              position: absolute;
              top: 5px;
              right: 5px;
              background-color: rgba(255, 255, 255, 0.7);
              border: none;
              border-radius: 50%;
              width: 20px;
              height: 20px;
              font-size: 14px;
              cursor: pointer;
              line-height: 20px;
              text-align: center;
              padding: 0;
          }
  
          .preview .close-btn:hover {
              background-color: rgba(255, 0, 0, 0.7);
              color: #fff;
          }
  </style>
@section('content')
<div class="nk-content">
    <div class="container-fluid">
      <div class="nk-content-inner">
        <div class="nk-content-body">
          <div class="nk-block">
            <a href="{{route('dashboard')}}" class="btn btn-white btn-dim btn-outline-dark m-1">
                <em class="icon ni ni-home"></em><span>Home</span>
              </a>
              <a href="{{URL::previous()}}" class="btn btn-white btn-dim btn-outline-dark m-1">
                <em class="icon ni ni-arrow-left"></em><span>Retornar</span>
              </a>
            <div class="row g-gs">
              <div class="col-xxl-12 col-sm-12">
                <div class="card">
                  <div class="nk-ecwg nk-ecwg6">
                    <div class="card-inner">
                      <div class="card-title-group">
                        <div class="card-title">
                            <h6 class="titulo"><em class="icon ni ni-user-alt"></em><span>HISTORIAL DE PACIENTES</span></h6>
                        </div>
                      </div>
                      <div class="card-body">
                        <div class="row g-3">
                            <div class="col-12 col-lg-8">
                                <div id="miTabla" style="height: 600px; width:100%;" class="ag-theme-alpine"></div>
                            </div>
                            <div class="col-12 col-lg-4">
                                <div class="card-inner">
                                    <div class="row gy-4">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label">Fecha Inicial</label>
                                                <div class="form-control-wrap focused">
                                                    <input type="date" class="form-control" id="fechaInicial">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label">Fecha Final</label>
                                                <div class="form-control-wrap focused">
                                                    <input type="date" class="form-control" id="fechaFinal">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-1 text-center">
                                            <a href="#" class="btn btn-outline-secondary" onclick="generarDatos()">Buscar</a>
                                        </div>
                                        <hr>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label class="form-label" for="default-01">
                                                    Px
                                                </label>
                                                <div class="form-control-wrap">
                                                    <input type="text" class="form-control" id="px"  disabled>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label" for="default-01">
                                                    S.S.U.
                                                </label>
                                                <div class="form-control-wrap">
                                                    <input type="text" class="form-control" id="ssu" disabled>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label" for="default-01">
                                                    Particular
                                                </label>
                                                <div class="form-control-wrap">
                                                    <input type="text" class="form-control" id="particular" disabled>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</div>
</div>
@section('js1')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="{{asset("js/modulos/informePacientes.js")}}"></script>
<script>
function generarDatos(){
    var fechaInicial = $("#fechaInicial").val();
    var fechaFinal = $("#fechaFinal").val();
    $.ajax({
        type: "GET",
        url: "./obtenerEstadisticaInformes/",
        data: {
            fechaInicial: fechaInicial,
            fechaFinal: fechaFinal,
        },
        dataType: "json",
        success: function (response) {
            console.log(response)
            $('#px').val(response.cantidadParticular+response.cantidadUniversidad);
            $('#particular').val(response.cantidadParticular);
            $('#ssu').val(response.cantidadUniversidad);

        },
        error: function (error) {},
        });
}
</script>
@endsection
@endsection