@extends('layouts.app')
@section('content')
<div class="nk-content">
    <div class="container-fluid">
      <div class="nk-content-inner">
        <div class="nk-content-body">
          <div class="nk-block">
            <div class="row g-gs">
              <div class="col-xxl-12 col-sm-6">
                <div class="card">
                  <div class="nk-ecwg nk-ecwg6">
                    <div class="card-inner">
                      <div class="card-title-group">
                        <div class="card-title">
                            <h6 class="titulo mb-1"><em class="icon ni ni-users"></em> Administracion: <span>Usuarios</span></h6>
                            
                        </div>
                      </div>
                      <hr>
                      <div class="data">
                        <span class="preview-title-lg overline-title">Crear Usuario</span>
                        <form method="post" action="{{ route('usuarios.store') }}" class="" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label class="form-label" for="nombre">Nombres</label>
                                <div class="form-control-wrap">
                                    <input type="text" class="form-control form-control-sm" name="first_name" id="nombre" autocomplete="nombre" placeholder="Nombres" value="{{ old('first_name') }}">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label" for="apellidos">Apellidos</label>
                                <div class="form-control-wrap">
                                    <input type="text" class="form-control form-control-sm" name="last_name" id="apellidos" autocomplete="apellidos" placeholder="Apellidos" value="{{ old('last_name') }}">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label" for="email">Correo Electronico</label>
                                <div class="form-control-wrap">
                                    <input type="email" class="form-control form-control-sm" name="email" id="email" autocomplete="email" placeholder="Correo Electronico" value="{{ old('email') }}">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label" for="password">Contraseña</label>
                                <div class="form-control-wrap">
                                    <input type="password" class="form-control form-control-sm" name="password" id="password" placeholder="Contraseña" required="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="form-label" for="role_id">Role</label>
                                <div class="form-control-wrap">
                                    <select class="form-select js-select2 select2-hidden-accessible" data-search="on" data-select2-id="6" aria-hidden="true" name="role_id" id="role_id" required="">
                                        <option disabled selected>Seleccione un Role</option>
                                        @foreach ($roles as $item)
                                        <option value="{{$item->id}}">{{$item->title}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary btn-sm">Registrar</button>
                            <a href="{{route('usuarios.index')}}"><button type="button" class="btn btn-danger btn-sm">Salir</button></a>
                        </form>
                        
                      </div>
                      @if ($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
</div>
</div>
@endsection