<html>

<head>
    <link rel="stylesheet" href="<?php echo e(public_path('css/pdf.css')); ?>">
</head>
<style>
    .markdown-content p {
        margin: 0;
        /* Elimina márgenes superior e inferior */
        padding: 0;
        /* Elimina relleno si lo hubiera */
    }
</style>
<body>
    <div id="header" class="w-100" style="">
        <table class=" w-100">
            <tr>
                <td style="text-align: left; width: 50%;" class="">
                    <img src="images/inlaci1.png" alt="logo" width="200">
                </td>
                <td style="text-align: right; width: 50%;" class="">
                    <font face="verdana, arial, helvetica" size=1>
                        <div style="margin: 15px; magin-left: 15px">
                            <h2 align="right" style="margin: 0;" class="">INFORME DE OBSTETRICIA</h2>
                            <h3 align="right" style="margin: 0;" class="">Informe Final</h3>
                        </div>
                    </font>
                </td>
            </tr>
        </table>
    </div>

    <div id="footer">
        <div>
            <table width="100%" style="margin-top: 20px" class="">
                <td style="vertical-align: bottom;" align="left" width="25%"><strong
                        style="font-size: 9px;">Galileo
                        Software</strong>
                    <p style="margin: -8;">
                        <strong style="font-size: 8px; padding-left: 11px">Laboratorio de Anatomia
                            Ginecológica</strong>
                    <p style="margin: -8;">
                        <strong style="font-size: 8px; padding-left: 11px">y Obstetricia</strong>
                    <p style="margin: -8;">
                        <small style="font-size: 8px; padding-left: 11px">Av. 6 de Agosto - Sopocachi</small>
                    <p style="margin: -8;">
                        <span style="font-size: 8px; padding-left: 11px">Celular: 78900226</span>
                    <p style="margin: -8;">
                        <strong style="font-size: 8px; padding-left: 11px">La Paz - Bolivia</strong>
                    <p style="margin: 1px;">
                </td>
            </table>
        </div>
        <table width="100%" class="text-xs" style="border-top: 1px solid #000000; margin-top: 5px">
            <td style="vertical-align: middle;">
                © 2024 by Galileo Software Bolivia
            </td>
        </table>
    </div>

    <div class="container">
        <?php
        $fecha_actual = date('Y-m-d');
        $time1 = strtotime($datosPaciente->nacimiento);
        $time2 = strtotime($fecha_actual);
        $d = $time2 - $time1;
        $edad = floor($d / (60 * 60 * 24 * 365.25));
        $fechaCompleta = $datosPaciente->nacimiento;
        $fechaNacimiento = date('d/m/Y', strtotime($fechaCompleta));
        
        ?>
        
        <table class="informacion-paciente "
            style="width: 100%; padding-top:8px;font-size: 11px; width:100%;page-break-inside: avoid;">
            <tbody>
                <tr style="border-bottom: solid #262626 1.5px">
                    <th style="font-size: 13px;text-transform: uppercase;" align="left" colspan="3">
                        <?php echo e($datosPaciente->nombre); ?> <?php echo e($datosPaciente->paterno); ?> <?php echo e($datosPaciente->materno); ?>

                    </th>
                    <th style="font-size: 13px" align="right;">ID: <?php echo e($datosPaciente->historial); ?></th>
                </tr>
                <tr>
                    <td style="width: 30%"><strong>Fecha de Nacimiento:</strong> <?php echo e($fechaNacimiento); ?></td>
                    <td style="width: 15%"><strong>Edad:</strong> <?php echo e($edad . ' años' ?? ''); ?></td>
                    <td style="width: 20%"><strong>C.I.:</strong> <?php echo e($datosPaciente->ci); ?></td>
                    <td style="width: 35%; text-transform: capitalize"><strong>Medico:</strong>
                        <?php echo e($datosMedico[0]->nombreMedico); ?> </td>
                </tr>
                <tr>
                    <td><strong>La Paz:</strong> <?php echo e(date('d/m/Y', $time2)); ?></td>
                    <td><strong>Sexo:</strong><span style="text-transform: uppercase;">
                            <?php echo e($datosPaciente->sexo); ?></span></td>
                    <td><strong>Celular:</strong> <?php echo e($datosPaciente->telefono); ?></td>
                    <td><strong>Seguro:</strong><span style="text-transform: uppercase;">
                            <?php echo e($datosPaciente->institucion); ?></span></td>
                </tr>
                <tr style="border-bottom: solid #262626 1.5px">
                    <td class="" colspan="4" style=" page-break-inside: avoid;">
                        <strong>Diagnostico:</strong><span style="text-transform: uppercase; ">
                            <?php echo e($datosPaciente->diagnostico); ?>


                        </span>
                    </td>
                </tr>
            </tbody>
        </table>

        
        <table width="100%" class="" style="margin-top: 5px;">
            <tr>
                <td class="" style="text-align: left; width: 80%; vertical-align: top;">
                    <div class="text-sm ">
                        <strong style="">MOTIVO DE CONSULTA</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            <?php echo $datosGinecologia[0]->motivo; ?>

                        </div>
                    </div>
                    <div class="text-sm" style="margin-top: 5px;">
                        <strong style="">ENFERMEDAD ACTUAL</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            <?php echo $datosGinecologia[0]->enfermedad; ?>

                        </div>
                    </div>
                    <div class="text-sm" style="margin-top: 5px;">
                        <strong style="">ANTECEDENTES PERSONALES PATOLÓGICOS</strong>
                        <div style="margin-top: 5px;" class="markdown-content">
                            <?php echo $datosGinecologia[0]->antecedentes; ?>

                        </div>
                    </div>
                    <div class="text-sm" style="margin-top: 5px;">
                        <strong style="">ANTECEDENTES PERSONALES GINECOLÓGICOS - OSBTÉTRICOS</strong>
                        <div class=""
                            style=" text-align: justify; font-size: 10px; margin-top: 0px; padding-top: 0px; ">
                            <table style="width:100%;" class="antecedentes-table">
                                <tr>
                                    <td style="width: 5%">
                                        <strong>Menarca:</strong>
                                    </td>
                                    <td style="width: 7%">
                                        <?php echo e($datosGinecologia[0]->menarca ? $datosGinecologia[0]->menarca . ' años' : ''); ?>

                                    </td>
                                    <td style="width: 5%">
                                        <strong>Gestas: </strong>
                                    </td>
                                    <td colspan="" style="width: 4%">
                                        <?php echo e($datosGinecologia[0]->gestas); ?>

                                    </td>
                                    <td style="width: 3%">
                                    </td>
                                    <td style="width: 18%">
                                    </td>
                                </tr>
                                <tr>
                                    <td><strong>Ritmo: </strong></td>
                                    <td><?php echo e($datosGinecologia[0]->ritmo); ?></td>
                                    <td>
                                        <strong>Partos:</strong>
                                    </td>
                                    <td><?php echo e($datosGinecologia[0]->partos); ?></td>
                                    <td>
                                        <strong>FUP: </strong>
                                    </td>
                                    <td>
                                        <?php echo e(\Carbon\Carbon::parse($datosGinecologia[0]->fup)->format('d/m/Y')); ?>

                                    </td>
                                </tr>
                                <tr>
                                    <td><strong>FUM: </strong></td>
                                    <td><?php echo e(\Carbon\Carbon::parse($datosGinecologia[0]->fum)->format('d/m/Y')); ?></td>
                                    <td><strong>Abortos: </strong></td>
                                    <td ><?php echo e($datosGinecologia[0]->abortos); ?></td>
                                    <td >
                                        <strong>FUAb: </strong>
                                    </td>
                                    <td><?php echo e(\Carbon\Carbon::parse($datosGinecologia[0]->fuab)->format('d/m/Y')); ?></td>
                                </tr>
                                <tr>
                                    <td><strong>MAC: </strong></td>
                                    <td ><?php echo e($datosGinecologia[0]->mac); ?></td>

                                    <td ><strong>Cesareas:
                                        </strong>
                                    </td>
                                    <td><?php echo e($datosGinecologia[0]->cesareas); ?></td>
                                    <td><strong>FUC: </strong></td>
                                    <td><?php echo e(\Carbon\Carbon::parse($datosGinecologia[0]->fuc)->format('d/m/Y')); ?></td>
                                </tr>
                                <tr>
                                    <td ><strong>IRS: </strong>
                                    </td>
                                    <td ><?php echo e($datosGinecologia[0]->irs ? $datosGinecologia[0]->irs . ' años' : ''); ?></td>
                                    <td >
                                        <strong>Fecha PAP: </strong>
                                    </td>
                                    <td colspan="3">
                                        <?php echo e(\Carbon\Carbon::parse($datosGinecologia[0]->pap)->format('d/m/Y')); ?>

                                    </td>
                                </tr>
                                <tr>
                                    <td style="vertical-align: top" ><strong>Nº de P. Sex.: </strong>
                                    </td>
                                    <td style="vertical-align: top" >
                                        <?php echo e($datosGinecologia[0]->psex); ?>

                                    </td>
                                    <td colspan="4">
                                        <strong>Resultado del PAP: </strong> <?php echo e($datosGinecologia[0]->resultado_pap); ?>

                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </td>
                <td style="text-align: right; width: 20%; ; padding: 0; vertical-align: top;">
                    <div class="content-tabla">
                        <table align="left" class="tabla2" style="min-width: 145px;">
                            <tbody class="text-xs">
                                <tr>
                                    <td><strong>Talla:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->talla); ?></td>
                                    <td>cm.</td>
                                </tr>
                                <tr>
                                    <td><strong>Peso:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->peso); ?></td>
                                    <td>Kg.</td>
                                </tr>
                                <tr>
                                    <td colspan="2"><strong>Sat O2:</strong> <?php echo e($estadoPaciente[0]->sat); ?></td>
                                    <td>%</td>
                                </tr>
                                <tr>
                                    <td><strong>PA:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->pa); ?>/<?php echo e($estadoPaciente[0]->pa1); ?></td>
                                    <td>mmHg</td>
                                </tr>
                                <tr>
                                    <td><strong>FC:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->fc); ?></td>
                                    <td>Lat/Min</td>
                                </tr>
                                <tr>
                                    <td><strong>FR:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->fr); ?></td>
                                    <td>Resp/Min</td>
                                </tr>
                                <tr>
                                    <td><strong>Tº:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->temp); ?></td>
                                    <td>°C</td>
                                </tr>
                                <tr>
                                    <td><strong>PS:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->ps); ?></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td><strong>IMC:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->imc); ?></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td><strong>SC:</strong></td>
                                    <td><?php echo e($estadoPaciente[0]->sc); ?></td>
                                    <td></td>
                                </tr>


                            </tbody>
                        </table>
                        <div class="qr-image text-center" style="margin-top: 10px">
                            <div><img src="qrcodes/<?php echo e($codigoqr . '.png'); ?>" alt="logo" width="100"></div>
                        </div>
                    </div>
                </td>

            </tr>
        </table>
        <div style="border-top: 1.5px solid #262626; margin-top: 0px">
        </div>

        
        <table style="width:100%; margin-top: 0px !important; " class="producto-table text-xs ">
            <tr class="">
                <td style="width: 34%">
                    <strong>Producto: </strong> <?php echo e($obstetricia[0]->producto); ?>

                </td>
                <td style="width: 33%">
                    <strong>Peso Fetal: </strong>
                    <?php echo e($obstetricia[0]->peso_fetal ? $obstetricia[0]->peso_fetal . ' gr.' : ''); ?>

                    <span style="margin-left: 5px; ">
                        <strong>FCF: </strong><?php echo e($obstetricia[0]->fcf ? $obstetricia[0]->fcf . ' lat/min' : ''); ?>

                    </span>
                </td>
                <td style="width: 33%;" class="">
                    <strong>Fondo Uterino: </strong>
                    <?php echo e($obstetricia[0]->uterino ? $obstetricia[0]->uterino . ' cm' : ''); ?>

                    
                </td>
            </tr>
            <tr class="">
                <td><strong>Edad Gestacional:
                    </strong><?php echo e($obstetricia[0]->semanas ? $obstetricia[0]->semanas . ' semanas' : ''); ?>

                    <?php echo e($obstetricia[0]->dias ? $obstetricia[0]->dias . ' días' : ''); ?></td>
                <td><strong>Presentación: </strong><?php echo e($obstetricia[0]->presentacion); ?></td>
                <td><strong>Liq. Amn.: </strong><?php echo e($obstetricia[0]->liq_amn ? $obstetricia[0]->liq_amn . ' ml' : ''); ?>

                </td>
            </tr>
            <tr>
                <td>
                    <table style="border-collapse: collapse; padding: 0; line-height: 1; margin-top: -5px;">
                        <tr>
                            <td style="padding: 0; vertical-align: middle;">
                                <strong>Movilidad Fetal:</strong>
                            </td>
                            <td style="padding: 0; vertical-align: middle;">
                                <input type="checkbox" <?php echo e($obstetricia[0]->movilidad === 1 ? 'checked' : ''); ?> />
                            </td>
                        </tr>
                    </table>
                </td>
                <td>
                    <div style="margin-top: -5px;"><strong>Posicion: </strong><?php echo e($obstetricia[0]->posicion); ?></div>
                </td>
                <td>
                    <div style="margin-top: -5px;"><strong>Placenta: </strong><?php echo e($obstetricia[0]->placenta); ?></div>
                </td>
            </tr>


            <tr>
                <td>
                    <div style="margin-top: -6px">
                        <strong>Fecha Probable de parto: </strong><?php echo e($obstetricia[0]->fecha_parto); ?>

                    </div>
                </td>
                <td>
                    <div style="margin-top: -5px">
                        
                    </div>
                </td>
            </tr>
        </table>

        
        <table style="width: 100%;">
            <tr>
                <td style="text-align: left; width: 50%;">
                    <table>
                        <tr class="">
                            <td style="width: 25%"><img src="images/normal.png" style="width: 80px; height: auto;"
                                    alt="normal"></td>
                            <td style="width: 25%"><img src="images/marginal.png" style="width: 80px; height: auto;"
                                    alt="marginal"></td>
                            <td style="width: 25%"><img src="images/oclusivaParcial.png"
                                    style="width: 80px; height: auto;" alt="oclusivaParcial"></td>
                            <td style="width: 25%"><img src="images/oclusivaTotal.png"
                                    style="width: 80px; height: auto;" alt="oclusivaTotal"></td>
                        </tr>
                        <tr class="" style="text-align: center;">
                            <td><input type="radio" <?php echo e($obstetricia[0]->posicion_placenta === 1 ? 'checked' : ''); ?>>
                            </td>
                            <td><input type="radio" <?php echo e($obstetricia[0]->posicion_placenta === 2 ? 'checked' : ''); ?>>
                            </td>
                            <td><input type="radio" <?php echo e($obstetricia[0]->posicion_placenta === 3 ? 'checked' : ''); ?>>
                            </td>
                            <td><input type="radio" <?php echo e($obstetricia[0]->posicion_placenta === 4 ? 'checked' : ''); ?>>
                            </td>
                        </tr>
                    </table>
                </td>

                <td style="text-align: right; width: 50%;">
                    <table style="border-left: 1px solid black;">
                        <tr class="">
                            <td style="width: 25%"><img src="images/cefalica.png" style="width: 80px; height: auto;"
                                    alt="normal"></td>
                            <td style="width: 25%"><img src="images/podalica.png" style="width: 80px; height: auto;"
                                    alt="marginal"></td>
                            <td style="width: 25%"><img src="images/oblicuo.png" style="width: 80px; height: auto;"
                                    alt="oclusivaParcial"></td>
                            <td style="width: 25%"><img src="images/transversa.png"
                                    style="width: 80px; height: auto;" alt="oclusivaTotal"></td>
                        </tr>
                        <tr class="" style="text-align: center;">
                            <td><input type="radio"
                                    <?php echo e($obstetricia[0]->posicion_presentacion === 1 ? 'checked' : ''); ?>></td>
                            <td><input type="radio"
                                    <?php echo e($obstetricia[0]->posicion_presentacion === 2 ? 'checked' : ''); ?>></td>
                            <td><input type="radio"
                                    <?php echo e($obstetricia[0]->posicion_presentacion === 3 ? 'checked' : ''); ?>></td>
                            <td>
                                <input type="radio"
                                    <?php echo e($obstetricia[0]->posicion_presentacion === 4 ? 'checked' : ''); ?>>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <div style="border-top: 1.5px solid #262626; margin-top: 5px">
        </div>
        
        <div style="margin-top:5px; margin-top: 5px; text-transform: capitalize; font-size: 11px;" >
            <strong> <span style="margin-top:10px"> Ecografia y Exámenes Complementarios: </span></strong>

        </div>
        <div style=" text-align: justify; margin-top: 5px; padding-top: 0px;" class="markdown-content text-xs">
            <?php echo $datosGinecologia[0]->ecografia; ?>

            <div style=" text-transform: capitalize; margin-top: 5px; font-size: 11px;" >
                <strong>Conclusión y Diagnostico:</strong>
            </div>
            <div style=" text-align: justify; margin-top: 5px; padding-top: 0px;" class="markdown-content text-xs">
                <?php echo $datosGinecologia[0]->conclusion; ?> </div>
            <div style=" text-transform: capitalize; margin-top: 5px; font-size: 11px;" >
                <strong>Tratamiento:</strong>
            </div>
            <div class="" style=" text-align: justify; margin-top: 5px; padding-top: 0px;" class="markdown-content text-xs">
                <?php echo $datosGinecologia[0]->tratamiento; ?>

            </div>
            <div
                style="position: fixed; bottom: -0.7cm; left: 0.1cm; right: 0cm; text-align: left; text-transform: capitalize;">
                <strong>Próxima Consulta: </strong> <br>
                <?php echo \Carbon\Carbon::parse($datosGinecologia[0]->control)->locale('es')->translatedFormat('l d \d\e F \d\e Y'); ?>

            </div>
            <div
            style="position: fixed; bottom: -2.2cm; left: 13cm; right: 0cm; text-align: left; text-transform: capitalize;">
                <div align="center" style="">
                    <?php $__currentLoopData = $datosMedico; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <img src="./firmas/<?php echo e($item->firma); ?>" style="width: 110px;margin: 0px;">
                        <p style="margin: 0px;"><?php echo e($item->nombreMedico); ?></p>
                        <p style="font-size: 9px;margin: 0px;"><?php echo e($item->especialidad); ?></p>
                        <p style="font-size: 9px;margin: 0px;"><?php echo e($item->colegialo); ?></p>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
        <script type="text/php">
        if ( isset($pdf) ) {
            $pdf->page_script('
                $font = $fontMetrics->get_font("Arial, Helvetica, sans-serif", "normal");
                $pdf->text(530, 775, "Página $PAGE_NUM de $PAGE_COUNT", $font, 7);
            ');
        }
    </script>

</body>

</html>
<?php /**PATH C:\xampp\htdocs\ginecologia\resources\views\obstetricia\obstetriciaPdf.blade.php ENDPATH**/ ?>