<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/main.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/estilostabla.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/ag-theme-alpine.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/selectize.css')); ?>">
        <title><?php echo e((config('app.name')) ?? config('app.name')); ?></title>
        
        
        <?php echo $__env->yieldContent('css'); ?>
    </head>
    <body class="nk-body bg-lighter npc-default has-sidebar">
        <div class="nk-app-root">
            <div class="nk-wrap ">
                <div class="nk-header nk-header-fluid is-theme  is-regular">
                    <div class="container-fluid">
                        <div class="nk-header-wrap">
                            <div class="nk-menu-trigger me-sm-2 d-lg-none">
                                <a href="#" class="nk-nav-toggle nk-quick-nav-icon" data-target="headerNav"><em class="icon ni ni-menu"></em></a></div>
                            <div class="nk-header-brand">
                                <a href="<?php echo e(route('dashboard')); ?>" class="logo-link">
                                    <img class="logo-light logo-img" src="<?php echo e(asset('/images/inlaci1.png')); ?>">
                                    <img class="logo-dark logo-img" src="<?php echo e(asset('/images/inlaci1.png')); ?>"></a>
                                </div>
                            <div class="nk-header-menu" data-content="headerNav">
                                <div class="nk-header-mobile">
                                    <div class="nk-header-brand">
                                        <a href="<?php echo e(route('dashboard')); ?>" class="logo-link">
                                            <img class="logo-light logo-img" src="<?php echo e(asset('/images/inlaci1.png')); ?>" alt="logo">
                                            <img class="logo-dark logo-img" src="<?php echo e(asset('/images/inlaci1.png')); ?>" alt="logo-dark">
                                        </a>
                                    </div>
                                    <div class="nk-menu-trigger me-n2">
                                        <a href="#" class="nk-nav-toggle nk-quick-nav-icon" data-target="headerNav"><em class="icon ni ni-arrow-left"></em></a>
                                    </div>
                                </div>
                            </div>
                            <div class="nk-header-tools">
                                <ul class="nk-quick-nav">
                                    <li class="dropdown user-dropdown order-sm-first"><a href="#" class="dropdown-toggle"
                                            data-bs-toggle="dropdown">
                                            <div class="user-toggle">
                                                <div class="user-avatar sm"><em class="icon ni ni-user-alt"></em></div>
                                                <div class="user-info d-none d-xl-block">
                                                    <div class="user-status">Medico</div>
                                                    <div class="user-name dropdown-indicator"><?php echo e(Auth::user()->first_name); ?> <?php echo e(Auth::user()->last_name); ?></div>
                                                </div>
                                            </div>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-md dropdown-menu-end dropdown-menu-s1 is-light">
                                            <div class="dropdown-inner">
                                                <ul class="link-list">
                                                    <li><a href="<?php echo e(route('perfiles.index')); ?>"><em class="icon ni ni-user-alt"></em><span>Ver perfil</span></a></li>
                                                </ul>
                                            </div>
                                            <div class="dropdown-inner">
                                                <ul class="link-list">
                                                    <form method="POST" action="<?php echo e(route('logout')); ?>">
                                                    <?php echo csrf_field(); ?>
                                                    <li><a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); this.closest('form').submit();"><em class="icon ni ni-signout"></em><span>Salir</span></a></li>
                                                    </form>
                                                </ul>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                
            <!--contenido principal-->
            <?php echo $__env->yieldContent('content'); ?>

                <div class="nk-footer nk-footer-fluid bg-lighter">
                    <div class="container-fluid">
                        <div class="nk-footer-wrap">
                            <div class="nk-footer-copyright"> &copy; 2024 <a
                                target>Galileo Software Bolivia</a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script src="<?php echo e(asset('js/main.js')); ?>"></script>
        <script src="<?php echo e(asset('js/mainscript.js')); ?>"></script>
        <script src="<?php echo e(asset('js/ag-grid-community.min.js')); ?>"></script>
        <?php echo $__env->yieldContent('js1'); ?>
    </body>
</html><?php /**PATH C:\xampp\htdocs\ginecologia\resources\views/layouts/app.blade.php ENDPATH**/ ?>